from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM105/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM105(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM105/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM105"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Jak se poznali")
                              self.urls.append("https://www.youtube.com/watch?v=DelrXMGl08c")
                              self.names.append("Do jara nebudit")
                              self.urls.append("https://www.youtube.com/watch?v=tB2LCMRi7Qc")            
                              self.names.append("Svit stromecku svit")
                              self.urls.append("https://www.youtube.com/watch?v=IyjOmY_8NKc")      
                              self.names.append("Stopy neznamych zvirat")
                              self.urls.append("https://www.youtube.com/watch?v=gAkuaryqzuc")            
                              self.names.append("Hratky s vlky")
                              self.urls.append("https://www.youtube.com/watch?v=JDoS29LmWts")  
                              self.names.append("Zavarovaci den")
                              self.urls.append("https://www.youtube.com/watch?v=7LlyLeMB7Rk")            
                              self.names.append("Jaro je tu")
                              self.urls.append("https://www.youtube.com/watch?v=wode4oeRivY")  
                              self.names.append("Chyt se rybo")
                              self.urls.append("https://www.youtube.com/watch?v=4pbhzmwZWcM")            
                              self.names.append("Zavolej mi")
                              self.urls.append("https://www.youtube.com/watch?v=aifMYl5_z8o")        
                              self.names.append("Poprve ve skole")
                              self.urls.append("https://www.youtube.com/watch?v=Fzu2ZkRgBc8")  
                              self.names.append("Deset dvacet uz jdu")
                              self.urls.append("https://www.youtube.com/watch?v=n1a_V2-VmhY")            
                              self.names.append("Brzy se uzdrav")
                              self.urls.append("https://www.youtube.com/watch?v=ruq8ZlThOOE")   
                              self.names.append("Bratranek")
                              self.urls.append("https://www.youtube.com/watch?v=VUr_z5C5F-k")  
                              self.names.append("Varila Masa kasicku")
                              self.urls.append("https://www.youtube.com/watch?v=y8HSb7vDOQE")            
                              self.names.append("Fousac pruhovany")
                              self.urls.append("https://www.youtube.com/watch?v=X1N8Z5EWcB0")           
                              self.names.append("Hodina klaviru")
                              self.urls.append("https://www.youtube.com/watch?v=z734dl3ouNY")  
                              self.names.append("Nalezenec")
                              self.urls.append("https://www.youtube.com/watch?v=FmKwU9brGS4")  
                              self.names.append("Dobrou chut")
                              self.urls.append("https://www.youtube.com/watch?v=GYFD4zEk_ns")     
                              self.names.append("Cary mary")
                              self.urls.append("https://www.youtube.com/watch?v=kphCGBHfuR4") 
                              self.names.append("Malovani")
                              self.urls.append("https://www.youtube.com/watch?v=6juam5u6ukU") 
                              self.names.append("Vitezny kcik")
                              self.urls.append("https://www.youtube.com/watch?v=yI_9pRHflQY") 
                              self.names.append("Urychlovac rustu")
                              self.urls.append("https://www.youtube.com/watch?v=4BBFuEbyGzg") 
                              self.names.append("")
                              self.urls.append("") 
                              self.names.append("")
                              self.urls.append("")                               
                              self.names.append("Zima prichazi")
                              self.urls.append("https://www.youtube.com/watch?v=G0nkfxWyV30")                                          
                              self.names.append("Hrajeme si s Masou")
                              self.urls.append("https://www.youtube.com/watch?v=ke9BF9x_Qjc")
                              self.names.append("Jako z pohadky")
                              self.urls.append("https://www.youtube.com/watch?v=CAGUlsaiJag")      
                              self.names.append("Kapka odvahy")
                              self.urls.append("https://www.youtube.com/watch?v=Gia0pslbznQ")
                              self.names.append("Vikend s masou")
                              self.urls.append("https://www.youtube.com/watch?v=ixCscN1RVH8")    
                              self.names.append("Slunicko a lizatka")
                              self.urls.append("https://www.youtube.com/watch?v=8y75wPys8v4")
                              self.names.append("Tajemsvi noveho dne")
                              self.urls.append("https://www.youtube.com/watch?v=lxmq4vtS-Lg")    
                              self.names.append("Zlaty podzim")
                              self.urls.append("https://www.youtube.com/watch?v=vrffiuiiUvA")
                              self.names.append("V nedeli se veseli")
                              self.urls.append("https://www.youtube.com/watch?v=GMypU_TNNj0")    
                              self.names.append("Hudebni stream")
                              self.urls.append("https://www.youtube.com/watch?v=7aiAntFjDFE")
                              self.names.append("Novy rok")
                              self.urls.append("https://www.youtube.com/watch?v=bCWIUifxePg")    
                              self.names.append("Zivot je pohyb")
                              self.urls.append("https://www.youtube.com/watch?v=m_nQTUjxA-E")
                              self.names.append("Cas kouzel")
                              self.urls.append("https://www.youtube.com/watch?v=FZ4BaubiWhI")    
                              self.names.append("Pohodicka v medvedove dome")
                              self.urls.append("https://www.youtube.com/watch?v=OZ0u3pG1CQs")
                              self.names.append("Za dobrodruzstvim")
                              self.urls.append("https://www.youtube.com/watch?v=V8CeciSBKFs")       
                              self.names.append("Ci pak jsou ty stopy")
                              self.urls.append("https://www.youtube.com/watch?v=PBYHN9GBA2w")   
                              self.names.append("Na programu je odpocinek")
                              self.urls.append("https://www.youtube.com/watch?v=bhEl1Go08lU")   
                              self.names.append("Jsem nejlepsi")
                              self.urls.append("https://www.youtube.com/watch?v=ctbrVHZ1Y1c")   
                              self.names.append("Vsedni dny fesandy")
                              self.urls.append("https://www.youtube.com/watch?v=iSarQhf_O8s")   
                              self.names.append("Kouzlo kolem nas")
                              self.urls.append("https://www.youtube.com/watch?v=NUOMqjqtjMc")   
                              self.names.append("Ucte se a rozvijejte")
                              self.urls.append("https://www.youtube.com/watch?v=I20PLi-mN6s")     
                              self.names.append("Pojdte se spolu zasmat")
                              self.urls.append("https://www.youtube.com/watch?v=9OEVtAmhlv4")   
                              self.names.append("Nekonecna zabava")
                              self.urls.append("https://www.youtube.com/watch?v=Hg_YT33PPss")   
                              self.names.append("Zabava po skole")
                              self.urls.append("https://www.youtube.com/watch?v=luGQUr_sJIo")  
                              self.names.append("Kdo je tam")
                              self.urls.append("https://www.youtube.com/watch?v=1mAYukeIlMg")   
                              self.names.append("Nedelni pribehy")
                              self.urls.append("https://www.youtube.com/watch?v=KvdRcTxApd4")   
                              self.names.append("Jak se nastartovat do noveho tydne")
                              self.urls.append("https://www.youtube.com/watch?v=6FUgLjaF4N4")  
                              self.names.append("At se tyden vydari")
                              self.urls.append("https://www.youtube.com/watch?v=CUHGkF4_1Ck")   
                              self.names.append("Kouzlo kolem nas")
                              self.urls.append("https://www.youtube.com/watch?v=NUOMqjqtjMc")   
                              self.names.append("Jako z pohadky")
                              self.urls.append("https://www.youtube.com/watch?v=CAGUlsaiJag")     
                              self.names.append("Kdo je tam")
                              self.urls.append("https://www.youtube.com/watch?v=1mAYukeIlMg")   
                              self.names.append("Od zimy k letu")
                              self.urls.append("https://www.youtube.com/watch?v=MKW1VK6hFEE")  
                              self.names.append("Zivotni lekce")
                              self.urls.append("https://www.youtube.com/watch?v=BE1eo4yuxc4")   
                              self.names.append("Nekonecna zabava")
                              self.urls.append("https://www.youtube.com/watch?v=Hg_YT33PPss")  
                              self.names.append("Zabava po skole")
                              self.urls.append("https://www.youtube.com/watch?v=luGQUr_sJIo")   
                              self.names.append("Neskutecna dobrodruzstvi")
                              self.urls.append("https://www.youtube.com/watch?v=wBjKJdOp4Oc")  
                              self.names.append("Pruzkumnici divociny")
                              self.urls.append("https://www.youtube.com/watch?v=KvNcLAnkkWE")   
                              self.names.append("Ctyri rocni obdobi")
                              self.urls.append("https://www.youtube.com/watch?v=wUa1sc_vUYM")      
                              self.names.append("Vsechny barvy zeme")
                              self.urls.append("https://www.youtube.com/watch?v=tKSk4zYWYak")  
                              self.names.append("Vesela nalada")
                              self.urls.append("https://www.youtube.com/watch?v=fbbw5BUoQqs")  
                              self.names.append("Nedelni pribehy")
                              self.urls.append("https://www.youtube.com/watch?v=KvdRcTxApd4")  
                              self.names.append("Jak si zaridit perfektni den")
                              self.urls.append("https://www.youtube.com/watch?v=4uszDnnclWc")  
                              self.names.append("Vesele pondeli")
                              self.urls.append("https://www.youtube.com/watch?v=4BH3pKjSGVo")       
                              self.names.append("Jak se nastartovat do noveho tydne")
                              self.urls.append("https://www.youtube.com/watch?v=6FUgLjaF4N4")  
                              self.names.append("At se tyden vydari")
                              self.urls.append("https://www.youtube.com/watch?v=CUHGkF4_1Ck") 
                              self.names.append("Vikendove strasidelne pribehy")
                              self.urls.append("https://www.youtube.com/watch?v=Fy6VIjRBg0M")  
                              self.names.append("V obklopeni kvetin a stromu")
                              self.urls.append("https://www.youtube.com/watch?v=KtjmNfhixR0")                               
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '</a>. <a href="(.*?)/away.php'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2

               line = "" + url + "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM105/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet Masa z youtube ..bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















