from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.sh"
os.system(cmd)

def getUrl(url):
    with open('/tmp/Youtube.txt', 'r') as f:
        adresa = f.readline().strip()
        print(adresa)

    api_key = "AIzaSyCNReMvKLnaWRR5T5uGWpvn4I2VYc78Gy4"
    links = []
    next_page_token = None

    while True:
        full_url = "https://www.googleapis.com/youtube/v3/search?q='" + adresa + "'&maxResults=50&key=" + api_key + "&part=snippet,id"
        if next_page_token:
            full_url += "&pageToken=" + next_page_token

        print("Here in client2 getUrl url =", full_url)

        try:
            req = urllib2.Request(full_url)
            req.add_header('User-Agent', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36')
            response = urllib2.urlopen(req)
            link = response.read()
            response.close()

            links.append(link)

            next_page_token = extract_next_page_token(link)
            if not next_page_token:
                break

        except:
            break

    combined_links = ''.join(links)
    return combined_links

def extract_next_page_token(response):
    regex = r'"nextPageToken":\s*"([^"]+)"'
    match = re.search(regex, response)
    if match:
        next_page_token = match.group(1)
        return next_page_token
    else:
        return None

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text=" " font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="10,53" size="690,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="600,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
                    <ePixmap name="green"  position="533,500" zPosition="4" size="533,50" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/logoy.png" transparent="1" alphatest="on" />                    
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="333,500" zPosition="4" size="333,50" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/streamhunter.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM11(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Prosim zvolte video, ktere se ma prehrat")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = 'https://www.youtube.com/watch?v='
                      dotall = re.DOTALL
                      
	              regexcat = '"videoId": "(.*?)".*?"title": "(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      for i in range(len(match)):
                          url, name = match[i]
                          name = name.replace("amp;", "")
                          name = name.replace("&#39;", "'")
                          match[i] = (url, name)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append(name)
                              self.urls.append(url)
                      showlist(self.names, self["list"])
                      with open('/tmp/match.txt', 'w') as file:
                          for url, name in match:
                              file.write('{}: {}\n'.format(url, name))

    def okClicked(self):
        idx = self["list"].getSelectionIndex()
        if idx is None:
            return
        try:
            name = self.names[idx]
            url = self.urls[idx]
            streams = self.parseStreams(name, url)
            # run player
            # mozne spustenie je:
            # 1) Player(self.session).play(name, "url_adresa na stream")
            # 2) Player(self.session).play(name, [{'title':'nazov streamu', 'url':'url_adresa na stream'}]) - a teda tu mozes poslat pole streamov ci uz jeden alebo X ked je ich viac ako jeden tak ti vyhodi na vyber ktory chces poslat
            Player(self.session).play(name, streams)
        except:
            print("ERROR: %s"%traceback.format_exc())
            self.session.open(MessageBox, text="Video neni k dispozici", type=MessageBox.TYPE_ERROR, timeout = 8)
                  
                  
    def parseStreams(self, name, url):
        link = 'https://www.youtube.com/watch?v='   
        directory = '/tmp/youtube/'
        if not os.path.exists(directory):
            try:
                os.makedirs(directory)
            except OSError as e:
                if e.errno != 17:  
                    raise
        cmd = "echo '" + url + "'  > /tmp/youtube/slovo.txt"      
        os.system(cmd)        
        cmd = "curl -X POST -d 'url=https://www.youtube.com/watch?v='"+ url +"'&q_auto=0&ajax=1' https://yt1ss.org/mates/en/analyze/ajax  > /tmp/youtube/rozl.txt"      
        os.system(cmd)         
        content2 = getUrl2(link + url, url)  
        cmd = "echo  '" + content2 + "' > /tmp/youtube/youtube.html"
        os.system(cmd)         
        with open('/tmp/youtube/rozl.txt', 'r') as y:
          adresa2 = y.readline().strip()
          print(adresa2)  
        content3 = ("") + adresa2      
        regexvideo1 = '360p(.*?)'
        regexvideo2 = '480p(.*?)'        
        regexvideo3 = '720p(.*?)' 
        regexvideo4 = '1080p(.*?)'                
        regexvideo5 = '1440p(.*?)'       
        regexvideo6 = '2160p(.*?)'           
        match3 = re.compile(regexvideo1,re.DOTALL).findall(content3)
        match4 = re.compile(regexvideo2,re.DOTALL).findall(content3)     
        match5 = re.compile(regexvideo3,re.DOTALL).findall(content3)  
        match6 = re.compile(regexvideo4,re.DOTALL).findall(content3)    
        match7 = re.compile(regexvideo5,re.DOTALL).findall(content3)     
        match8 = re.compile(regexvideo6,re.DOTALL).findall(content3)         
        streams = []  
        cmd = "echo '#NAME YOUTUBE' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
        os.system(cmd)         
        if len(match8) > 0:
            cmd = 'curl -d "platform=youtube&url=https://www.youtube.com/watch?v=' + url + '&title=&id=' + url + '&ext=mp4&note=2160p&format=137" -X POST "https://yt1ss.org/mates/en/convert?id=' + url + '" > /tmp/youtube/x'
            os.system(cmd) 
            cmd = "grep -o -i 'https:[^\"<]*' /tmp/youtube/x > /tmp/youtube/adresa9.txt"
            os.system(cmd)  
            with open('/tmp/youtube/adresa9.txt', 'r') as k:
              adresa9 = k.readline().strip()
              print(adresa9)  
            url9 = ("") + adresa9  
            streams.append({'title': name + " 2160p", 'url':adresa9})

            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + adresa9 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (2160p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)          
        if len(match7) > 0:
            cmd = 'curl -d "platform=youtube&url=https://www.youtube.com/watch?v=' + url + '&title=&id=' + url + '&ext=mp4&note=1440p&format=137" -X POST "https://yt1ss.org/mates/en/convert?id=' + url + '" > /tmp/youtube/x'
            os.system(cmd) 
            cmd = "grep -o -i 'https:[^\"<]*' /tmp/youtube/x > /tmp/youtube/adresa8.txt"
            os.system(cmd)  
            with open('/tmp/youtube/adresa8.txt', 'r') as k:
              adresa8 = k.readline().strip()
              print(adresa8)  
            url8 = ("") + adresa8  
            streams.append({'title': name + " 1440p", 'url':adresa8})

            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + adresa8 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (1440p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)   
        if len(match6) > 0:
            cmd = 'curl -d "platform=youtube&url=https://www.youtube.com/watch?v=' + url + '&title=&id=' + url + '&ext=mp4&note=1080p&format=137" -X POST "https://yt1ss.org/mates/en/convert?id=' + url + '" > /tmp/youtube/x'
            os.system(cmd) 
            cmd = "grep -o -i 'https:[^\"<]*' /tmp/youtube/x > /tmp/youtube/adresa7.txt"
            os.system(cmd)  
            with open('/tmp/youtube/adresa7.txt', 'r') as k:
              adresa7 = k.readline().strip()
              print(adresa7)  
            url7 = ("") + adresa7  
            streams.append({'title': name + " 1080p", 'url':adresa7})

            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + adresa7 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (1080p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)    
        if len(match5) > 0:
            cmd = 'curl -d "platform=youtube&url=https://www.youtube.com/watch?v=' + url + '&title=&id=' + url + '&ext=mp4&note=720p&format=137" -X POST "https://yt1ss.org/mates/en/convert?id=' + url + '" > /tmp/youtube/x'
            os.system(cmd) 
            cmd = "grep -o -i 'https:[^\"<]*' /tmp/youtube/x > /tmp/youtube/adresa6.txt"
            os.system(cmd)  
            with open('/tmp/youtube/adresa6.txt', 'r') as k:
              adresa6 = k.readline().strip()
              print(adresa6)  
            url6 = ("") + adresa6  
            streams.append({'title': name + " 720p", 'url':adresa6})

            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + adresa6 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (720p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)     
        if len(match4) > 0:
            cmd = 'curl -d "platform=youtube&url=https://www.youtube.com/watch?v=' + url + '&title=&id=' + url + '&ext=mp4&note=480p&format=137" -X POST "https://yt1ss.org/mates/en/convert?id=' + url + '" > /tmp/youtube/x'
            os.system(cmd) 
            cmd = "grep -o -i 'https:[^\"<]*' /tmp/youtube/x > /tmp/youtube/adresa5.txt"
            os.system(cmd)  
            with open('/tmp/youtube/adresa5.txt', 'r') as k:
              adresa5 = k.readline().strip()
              print(adresa5)  
            url5 = ("") + adresa5  
            streams.append({'title': name + " 480p", 'url':adresa5})

            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + adresa5 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (480p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)              
        if len(match3) > 0:
            cmd = 'curl -d "platform=youtube&url=https://www.youtube.com/watch?v=' + url + '&title=&id=' + url + '&ext=mp4&note=360p&format=137" -X POST "https://yt1ss.org/mates/en/convert?id=' + url + '" > /tmp/youtube/x'
            os.system(cmd) 
            cmd = "grep -o -i 'https:[^\"<]*' /tmp/youtube/x > /tmp/youtube/adresa4.txt"
            os.system(cmd)  
            with open('/tmp/youtube/adresa4.txt', 'r') as k:
              adresa4 = k.readline().strip()
              print(adresa4)  
            url4 = ("") + adresa4  
            streams.append({'title': name + " 360p", 'url':adresa4})

            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + adresa4 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (360p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.txt"
            os.system(cmd)                                     
        return streams
            
    def cancel(self):
        cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM11/mylist.sh >>/dev/null 2>&1 </dev/null & disown"   
        os.system(cmd)     
        cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"   
        os.system(cmd)         
        f.close()   
        cmd = "rm -rf /tmp/youtube/  >>/dev/null 2>&1 </dev/null & disown"
        os.system(cmd)         
        # name1 = "X"
        # cmd = ""
        # print("sh cmd =", cmd)
        # os.system(cmd)
        self.close()


















