# -*- coding: utf-8 -*-
from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM156/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM156(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM156/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("XXX 1")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777780&extension=ts&play_token=Dg2sRRQTw6")
                              self.names.append("XXX 2")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773969&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 3")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773970&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 4")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773971&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 5")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773972&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 6")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773973&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 7")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773974&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 8")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773975&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 9")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773976&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 10")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773977&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 11")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773978&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 12")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773979&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 13")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773981&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 14")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773982&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 15")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773983&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 16")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773984&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 17")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773985&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 18")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773986&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 19")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773988&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 20")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773989&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 21")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773990&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 22")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773991&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 23")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773992&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 24")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773993&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 25")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773994&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 26")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773995&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 27")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773996&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 28")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773997&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 29")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773998&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 30")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=773999&extension=ts&play_token=6lniN1l2FO")
                              self.names.append("XXX 31")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774003&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 32")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774000&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 33")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774004&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 34")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774005&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 35")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774006&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 36")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774007&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 37")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774008&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 38")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774009&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 39")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774010&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 40")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774011&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 41")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774012&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 42")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774013&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 43")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774014&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 44")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774015&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 45")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774016&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 46")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774018&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 47")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774019&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 48")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774020&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 49")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774022&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 50")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774023&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 51")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774024&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 52")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774025&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 53")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774026&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 54")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774027&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 55")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774028&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 56")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774029&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 57")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774033&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 58")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774034&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 59")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774035&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 60")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774036&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 61")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774037&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 62")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774038&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 63")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774039&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 64")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774040&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 65")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774042&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 66")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774043&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 67")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774045&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 68")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774046&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 69")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774047&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 70")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774048&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 71")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774050&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 72")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774051&extension=ts&play_token=k9kE4kMoZZ")
                              self.names.append("XXX 73")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774052&extension=ts&play_token=vMbk9xsTIL")
                              self.names.append("XXX 74")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774054&extension=ts&play_token=vMbk9xsTIL")
                              self.names.append("XXX 75")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774056&extension=ts&play_token=vMbk9xsTIL")
                              self.names.append("XXX 76")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=774059&extension=ts&play_token=vMbk9xsTIL")
                              self.names.append("XXX 77")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777863&extension=ts&play_token=mr7tjsm73A")
                              self.names.append("XXX 78")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777864&extension=ts&play_token=mr7tjsm73A")
                              self.names.append("XXX 79")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777865&extension=ts&play_token=mr7tjsm73A")
                              self.names.append("XXX 80")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777862&extension=ts&play_token=mr7tjsm73A")
                              self.names.append("XXX 81")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777827&extension=ts&play_token=piFWGmcNCt")
                              self.names.append("XXX 82")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777830&extension=ts&play_token=piFWGmcNCt")
                              self.names.append("XXX 83")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777832&extension=ts&play_token=piFWGmcNCt")
                              self.names.append("XXX 84")
                              self.urls.append("http://innovationpro.nl:80/play/live.php?mac=00:1A:79:c5:6b:57&stream=777819&extension=ts&play_token=ccGDEpTZi3")
                              self.names.append("Alba XXX HD 1")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/8311")
                              self.names.append("Alba XXX HD 1+")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/6600.ts")
                              self.names.append("Alba XXX HD 1+")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/296945")
                              self.names.append("Alba XXX HD 2")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/8310")
                              self.names.append("Alba XXX HD 2+")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/17657.ts")
                              self.names.append("Alba XXX HD 2+")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/296946")
                              self.names.append("Alba XXX HD 3")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/8315")
                              self.names.append("Alba XXX HD 4")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/8314")
                              self.names.append("Alba XXX HD 5")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/8313")
                              self.names.append("Alba XXX HD 6")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/3307")
                              self.names.append("Alba XXX HD 7")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/295183")
                              self.names.append("Alba XXX HD 8")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/295184")
                              self.names.append("BABES TV")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2973")
                              self.names.append("BABES TV")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/17668.ts")
                              self.names.append("BABES TV+")
                              self.urls.append("http://146.59.54.163/354/index.m3u8")
                              self.names.append("BABES PORNBOX ")
                              self.urls.append("http://c4n.fun:80/Nuvens48/N050546sk/861297.ts")
                              self.names.append("BALKAN EROTIC")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/3320")
                              self.names.append("BALKAN EROTIC")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47669")
                              self.names.append("BRASILEIRINHAS")
                              self.urls.append("http://pdsrv.io:80/GUI98XBRBD/GUITV98XBR/97681")
                              self.names.append("BRAZZERS EUROPE")
                              self.urls.append("http://966367095163755114.ofd0107.xyz:80/play/hu41674/vjt7dDFpGfT/755114.ts")
                              self.names.append("BRAZZERS EUROPE")
                              self.urls.append("http://motivatv.club:80/Orlando/1234/1039026")
                              self.names.append("BRAZZERS EUROPE+")
                              self.urls.append("http://88.212.7.11/live/test_brazzers_hd_hevc/playlist.m3u8")
                              self.names.append("DESIRE")
                              self.urls.append("http://88.212.7.11/live/test_desire_hd_hevc/playlist.m3u8")
                              self.names.append("DESIRE")
                              self.urls.append("http://636123681657759905.ofd112.xyz:80/play/vi1213409/@6rbVw7Trejs/759905.ts")
                              self.names.append("Dorcel XXX")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2981")
                              self.names.append("Dorcel XXX")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2981")
                              self.names.append("DORCEL TV")
                              self.urls.append("http://636123681657755123.ofd112.xyz:80/play/vi1213409/@6rbVw7Trejs/755123.ts")
                              self.names.append("DORCEL TV")
                              self.urls.append("http://88.212.7.11/live/test_dorcel_hd_hevc/playlist.m3u8")
                              self.names.append("DORCEL TV")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/6560.ts")
                              self.names.append("DORCEL TV")
                              self.urls.append("http://motivatv.club:80/Orlando/1234/1039024")
                              self.names.append("DORCEL TV")
                              self.urls.append("http://146.59.54.163/359/index.m3u8")
                              self.names.append("DORCEL CLUB")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/299147")
                              self.names.append("DORCEL CLUB")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/17718.ts")
                              self.names.append("DORCEL CLUB PORNBOX")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2982")
                              self.names.append("DORCEL CLUB PORNBOX")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2982")
                              self.names.append("DORCEL CLUB PORNBOX")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1165137")
                              self.names.append("DUSK")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/17585")
                              self.names.append("DUSK")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/17722.ts")
                              self.names.append("DUSK")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2968")
                              self.names.append("EROTIC SPICE")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/282172")
                              self.names.append("EROTIC SPICE")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/17724.ts")
                              self.names.append("EXPO EROX")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/296949")
                              self.names.append("EROX SD")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/17569")
                              self.names.append("EROX HD")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2978")
                              self.names.append("EROX HD")
                              self.urls.append("http://88.212.7.11/live/test_erox_hd_hevc/playlist.m3u8")
                              self.names.append("EROX HD+")
                              self.urls.append("http://88.212.7.11/live/test_eroxxx_hd_hevc/playlist.m3u8")
                              self.names.append("EROX HD+")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/37276")
                              self.names.append("EROX HD+")
                              self.urls.append("http://636123681657759901.ofd112.xyz:80/play/vi1213409/@6rbVw7Trejs/759901.ts")
                              self.names.append("EXTASY HD")
                              self.urls.append("http://636123681657759904.ofd112.xyz:80/play/vi1213409/@6rbVw7Trejs/759904.ts")
                              self.names.append("EXTASY HD")
                              self.urls.append("http://88.212.7.11/live/test_extasy_hd_hevc/playlist.m3u8")
                              self.names.append("EXXXOTICA")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47686")
                              self.names.append("FRENCH LOVER")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47681")
                              self.names.append("HITZEFREI")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/300811")
                              self.names.append("HOT XXL")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/15844")
                              self.names.append("HUSTLER TV")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/290277")
                              self.names.append("HUSTLER TV")
                              self.urls.append("http://146.59.54.163/349/index.m3u8")
                              self.names.append("HUSTLER BLUE")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/17687.ts")
                              self.names.append("Hustler HD")
                              self.urls.append("http://636123681657759913.ofd112.xyz:80/play/vi1213409/@6rbVw7Trejs/759913.ts")
                              self.names.append("Hustler HD")
                              self.urls.append("http://146.59.54.163/348/index.m3u8")
                              self.names.append("Hustler HD")
                              self.urls.append("http://193.111.244.35:7474/hustlerhd/manifest.m3u8")
                              self.names.append("Hustler HD")
                              self.urls.append("http://motivatv.club:80/Orlando/1234/1039027")
                              self.names.append("IPPA JAPAN")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/297092")
                              self.names.append("LEO TV HD")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47688")
                              self.names.append("LEO TV GOLD")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47672")
                              self.names.append("MILF TV")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47675")
                              self.names.append("NET XXL")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/17559")
                              self.names.append("PASSIE")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2966")
                              self.names.append("PASSION FEATURE FLM")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2965")
                              self.names.append("PASSION LESBIAN")
                              self.urls.append("http://422210229579755187.ofd112.xyz:80/play/Ruben712A/Ruben712AM123/755187.ts")
                              self.names.append("PASSION LESBIAN")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/283040")
                              self.names.append("PASSION LESBIAN")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2964")
                              self.names.append("PENTHOUSE PASSION")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2975")
                              self.names.append("PENTHOUSE PASSION")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2975")
                              self.names.append("Penthouse Gold HD")
                              self.urls.append("http://51.159.102.100/PenthouseGold/index.m3u8")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2977")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://146.59.54.163/353/index.m3u8")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/32056")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://motivatv.club:80/Orlando/1234/1039030")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2977")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://51.159.102.100/PenthouseGold/index.m3u8")
                              self.names.append("PENTHOUSE GOLD HD")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/6591.ts")
                              self.names.append("Penthouse.com")
                              self.urls.append("http://netse.es:8080/play/l9TaMfage-d5ZJY0J3D44YDMw5XEZ7VMkoYraClZ3D8")
                              self.names.append("PIXEL TV")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1201704")
                              self.names.append("Playboy TV (1080p)")
                              self.urls.append("http://190.11.225.124:5000/live/playboy_hd/playlist.m3u8")
                              self.names.append("PLAYBOY TV")
                              self.urls.append("http://nxt.plus:8080/max1/max1/1177")
                              self.names.append("PLAYBOY TV")
                              self.urls.append("http://tv.com.vc:80/antonio123/antonio123/967539")
                              self.names.append("PLAYBOY TV")
                              self.urls.append("http://c4n.fun:80/Nuvens48/N050546sk/1002.ts")
                              self.names.append("PLAYBOY TV")
                              self.urls.append("http://190.11.225.124:5000/live/playboy_hd/playlist.m3u8")
                              self.names.append("PLAYBOY TV")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1515264")
                              self.names.append("PLAYBOY+")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/14222")
                              self.names.append("PRIVATE HD")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2983")
                              self.names.append("PRIVATE HD")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2983")
                              self.names.append("PRIVATE HD")
                              self.urls.append("http://motivatv.club:80/Orlando/1234/588361")
                              self.names.append("REDLIGHT HD")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2984")
                              self.names.append("REDLIGHT HD")
                              self.urls.append("http://146.59.54.163/358/index.m3u8")
                              self.names.append("REDLIGHT HD")
                              self.urls.append("http://51.159.102.100/RedlightHD/index.m3u8")
                              self.names.append("REDLIGHT HD")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2984")
                              self.names.append("RED XXX")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47676")
                              self.names.append("RUSSKAYA NOCH")
                              self.urls.append("http://watch-myjokertv.xyz:8080/0280303739/0448777544/385133")
                              self.names.append("SECRET CIRCLE")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47687")
                              self.names.append("Sexy HOT")
                              self.urls.append("http://195.128.248.216:8080/2023LineP2afdyuotXo5N6tju7LKqN1Q54lV0cusJ/2023L0Da9dHurlBtHo9xIL9C69KAvOsJ5KIg6kTTdW2023/18989")
                              self.names.append("Sexy HOT")
                              self.urls.append("http://schin.cc:80/sveouwrj/102030/97655")
                              self.names.append("SEXY HOT")
                              self.urls.append("http://pdsrv.io:80/GUI98XBRBD/GUITV98XBR/97655")
                              self.names.append("HOT$ GOLD")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/291250")
                              self.names.append("Super One SD")
                              self.urls.append("http://watch-myjokertv.xyz:8080/0280303739/0448777544/385128")
                              self.names.append("VENUS")
                              self.urls.append("http://pdsrv.io:80/GUI98XBRBD/GUITV98XBR/97658")
                              self.names.append("VENUS")
                              self.urls.append("http://sdmx.vip:8080/Rodolfo01/Rodolfo01/215450")
                              self.names.append("VENUS")
                              self.urls.append("http://watch-myjokertv.xyz:8080/0280303739/0448777544/385171")
                              self.names.append("VIVID Red HD")
                              self.urls.append("http://vo01.mohdtv.com:8880/ALLChannels681def144e21/45153572/2980")
                              self.names.append("VIVID Red HD")
                              self.urls.append("http://146.59.54.163/361/index.m3u8")
                              self.names.append("VIVID Red HD")
                              self.urls.append("http://abcnew.site:8880/29ud02013n01/adfr3r232/2980")
                              self.names.append("XXL")
                              self.urls.append("http://146.59.54.163/363/index.m3u8")
                              self.names.append("XY Max HD")
                              self.urls.append("http://watch-myjokertv.xyz:8080/0280303739/0448777544/442059")
                              self.names.append("XXX VIDEO: MOM TEACHES SEX")
                              self.urls.append("http://fast.bounceme.net:8080/live/MXnnadb2uK/2GsF8UK7QA/6567.ts")
                              self.names.append("XXX VIDEO: NAUGHTY AMERICA")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1331853")
                              self.names.append("XXX VIDEO: NAUGHTY AMERICA")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/297024")
                              self.names.append("XXX VIDEO: PERV MOM")
                              self.urls.append("http://37.49.225.197:8080/2c258a9b/c73f1cfbce/297839")
                              self.names.append("XXX VIDEO: PRIVATE.COM")
                              self.urls.append("http://23.237.100.82:8000/HUSTLER/index.m3u8")
                              self.names.append("XXX VIDEO: PORNBOX FAMILY STROKE")
                              self.urls.append("http://c4n.fun:80/Nuvens48/N050546sk/861322.ts")
                              self.names.append("XXX VIDEO: PORNBOX HOTWIFE")
                              self.urls.append("http://watch-myjokertv.xyz:8080/0280303739/0448777544/382333")
                              self.names.append("XXX VIDEO: PORNBOX MOM")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1165134")
                              self.names.append("XXX VIDEO: PURE TABOO")
                              self.urls.append("http://78.47.224.234/puretaboo/index.m3u8")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://cineplay.vip:8080/aracelilo/YKZvdd2Udy/38896")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://user.ttvrilieos.xyz:8080/DqxyvDFnMK/DhQdrzE2VE/34496")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1308148")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1311939")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1334442")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/1335115")
                              self.names.append("XXX VIDEO: SEXMEX")
                              self.urls.append("http://user.ttvrilieos.xyz:8080/bxgzMhDrAmRC/AVUqJk7ne3eX/34496")
                              self.names.append("XXX VIDEO: SL HOT HD 6")
                              self.urls.append("http://23.227.132.58:25461/Dlhaukaas/Logand27/47655")
                              self.names.append("XXX VIDEO: SL HOT HD 7")
                              self.urls.append("http://mymoontools.xyz:8080/segundorecuare3/eHVWyqwe4MGR3U/17532")
                              self.names.append("Playboy FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260418")
                              self.names.append("PLAYBOY HD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260419")
                              self.names.append("Sexy Hot HD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260420")
                              self.names.append("SEXTREME SD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260421")
                              self.names.append("PORNBOX: BANG BROS NETWORK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260423")
                              self.names.append("PORNBOX: EVIL ANGEL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260424")
                              self.names.append("PORNBOX: FIT18")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260425")
                              self.names.append("PORNBOX: LETHAL HARDCORE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260426")
                              self.names.append("PORNBOX: MY LIFE IN MIAMI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260427")
                              self.names.append("PORNBOX: NEW SENSATIONS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260428")
                              self.names.append("PORNBOX: PASSION")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260429")
                              self.names.append("PORNBOX: REALITY KINGS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260430")
                              self.names.append("PORNBOX: BLOW ME POV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260431")
                              self.names.append("PORNBOX: GOTMYLF")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260432")
                              self.names.append("PORNBOX: KINKY FAMILY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260433")
                              self.names.append("PORNBOX: DREAMROOM")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260434")
                              self.names.append("PORNBOX: MOMMY BLOWS BEST")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260435")
                              self.names.append("PORNBOX: BLACKED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260436")
                              self.names.append("PORNBOX: DAGFS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260437")
                              self.names.append("PORNBOX: MY TINY WISH")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260438")
                              self.names.append("PORNBOX: JULES JORDAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260439")
                              self.names.append("PORNBOX: PRENCESS CUM")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260440")
                              self.names.append("PORNBOX GAY: BREED IT RAW")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260441")
                              self.names.append("PORNBOX GAY: CZECH HUNTER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260442")
                              self.names.append("PORNBOX: BRAZZERS EN ESPANOL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260443")
                              self.names.append("PORNBOX: DIABOLIC")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260444")
                              self.names.append("PORNBOX: BIPHORIA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260445")
                              self.names.append("PORNBOX: CUM 4K")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260446")
                              self.names.append("PORNBOX: EROTIKVONBENAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260447")
                              self.names.append("PORNBOX: PERV CITY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260448")
                              self.names.append("PORNBOX: ADULT TIME")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260449")
                              self.names.append("PORNBOX: STROKIES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260450")
                              self.names.append("PORNBOX: FAMILY SWAP XXX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260451")
                              self.names.append("PORNBOX: KINKY FAMILY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260452")
                              self.names.append("PORNBOX: BROWN BUNNIES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260453")
                              self.names.append("PORNBOX: DIGITAL PLAYGROUND")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260454")
                              self.names.append("PORNBOX: SLIM 4K")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260455")
                              self.names.append("PORNBOX: LETHAL HARDCORE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260456")
                              self.names.append("PORNBOX: SUGAR BABES TV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260457")
                              self.names.append("PORNBOX: REALITY JUNKIES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260458")
                              self.names.append("PORNBOX: ANALIZED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260459")
                              self.names.append("PORNBOX: FIRST ANAL QUEST")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260460")
                              self.names.append("PORNBOX: REAL DIRTY VIDEOS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260461")
                              self.names.append("PORNBOX: HENTAINED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260462")
                              self.names.append("PORNBOX: LUBED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260463")
                              self.names.append("PORNBOX: HER LIMIT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260464")
                              self.names.append("PORNBOX: HOT WIFE XXX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260465")
                              self.names.append("PORNBOX: FAKE HOSTEL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260466")
                              self.names.append("PORNBOX: FAKE TAXI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260467")
                              self.names.append("PORNBOX: LUXURE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260468")
                              self.names.append("PORNBOX: FAMILY STROKES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260469")
                              self.names.append("PORNBOX: MODEL MEDIA ASIA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260470")
                              self.names.append("PORNBOX: JESH BY JESH")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260471")
                              self.names.append("PORNBOX: JOI BABES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260472")
                              self.names.append("PORNBOX: POVD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260473")
                              self.names.append("PORNBOX: REAL MOM EXPOSED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260474")
                              self.names.append("PORNBOX: PORNHOCHIC")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260475")
                              self.names.append("PORNBOX: KINKY INLAWS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260476")
                              self.names.append("PORNBOX: GF REGENVE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260477")
                              self.names.append("PORNBOX: NURU MASSAGE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260478")
                              self.names.append("PORNBOX: LOVE HOME PORN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260479")
                              self.names.append("PORNBOX: MOFOS LAB")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260480")
                              self.names.append("PORNBOX: GIRLSAWAY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260481")
                              self.names.append("PORNBOX: KINKY SPA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260482")
                              self.names.append("PORNBOX: AMATEUR ALLURE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260483")
                              self.names.append("PORNBOX: SWEET SINNER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260484")
                              self.names.append("PORNBOX: JAYS POV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260485")
                              self.names.append("PORNBOX: MASSAGE ROOMS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260486")
                              self.names.append("PORNBOX: NUBILE FILMS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260487")
                              self.names.append("PORNBOX: LETS DO IT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260488")
                              self.names.append("PORNBOX: LIFE SELECTOR")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260489")
                              self.names.append("PORNBOX: LOVE HER ASS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260490")
                              self.names.append("PORNBOX: FAKEHUB ORIGINALS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260491")
                              self.names.append("PORNBOX: MIKES APARTMENT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260492")
                              self.names.append("PORNBOX: MILE HIGH")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260493")
                              self.names.append("PORNBOX: SEX WORKING")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260494")
                              self.names.append("PORNBOX: MOFOS B SIDES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260495")
                              self.names.append("PORNBOX: MOFOS LAB")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260496")
                              self.names.append("PORNBOX: INTERRACIAL PASS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260497")
                              self.names.append("PORNBOX: FILTHY POV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260498")
                              self.names.append("PORNBOX: MONEY TALKS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260499")
                              self.names.append("PORNBOX: RK PRIME")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260500")
                              self.names.append("PORNBOX: BLUSH EROTICA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260501")
                              self.names.append("PORNBOX: DEEPER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260502")
                              self.names.append("PORNBOX: HOOKUP HOTSHOT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260503")
                              self.names.append("PORNBOX: MY LIFE IN MIAMI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260504")
                              self.names.append("PORNBOX: MY PERVY FAMILY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260505")
                              self.names.append("PORNBOX: MY VERY FIRST TIME")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260506")
                              self.names.append("PORNBOX: MYLF")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260507")
                              self.names.append("PORNBOX: MY PERVY FAMILY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260508")
                              self.names.append("PORNBOX: BIG WET BUTTS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260509")
                              self.names.append("PORNBOX: NF BUSTY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260510")
                              self.names.append("PORNBOX: NUBILE PORN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260511")
                              self.names.append("PORNBOX: OFFICE OBSESSION")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260512")
                              self.names.append("PORNBOX: PERV MOM")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260513")
                              self.names.append("PORNBOX: MONEY TALKS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260514")
                              self.names.append("PORNBOX: RAW ATTACK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260515")
                              self.names.append("PORNBOX: AVARAGE POV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260516")
                              self.names.append("PORNBOX: DOGFART NETWORK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260517")
                              self.names.append("PORNBOX: PRETTY DIRTY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260518")
                              self.names.append("PORNBOX: PRIVATE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260519")
                              self.names.append("PORNBOX: PROPERTY SEX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260520")
                              self.names.append("PORNBOX: PUBLIC AGENT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260521")
                              self.names.append("PORNBOX: PUBLIC PICKUPS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260522")
                              self.names.append("PORNBOX: PURE18")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260523")
                              self.names.append("PORNBOX: RAW ATTACK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260524")
                              self.names.append("PORNBOX: REAL EX GIRLFRIENDS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260525")
                              self.names.append("PORNBOX: REAL SENSUAL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260526")
                              self.names.append("PORNBOX: RK PRIME")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260527")
                              self.names.append("PORNBOX: BIG NATURALS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260528")
                              self.names.append("PORNBOX: SEX WORKING")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260529")
                              self.names.append("PORNBOX: SHARE MY BF")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260530")
                              self.names.append("PORNBOX: MOMMYS GIRL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260531")
                              self.names.append("PORNBOX: NEBRASKA COEDS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260532")
                              self.names.append("PORNBOX: HARD X")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260533")
                              self.names.append("PORNBOX: SWALLOW SALON")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260534")
                              self.names.append("PORNBOX: MY VERY FIRST TIME")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260535")
                              self.names.append("PORNBOX: NET VIDEO GIRLS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260536")
                              self.names.append("PORNBOX: TURNING TWISTYS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260537")
                              self.names.append("PORNBOX: MOM TEACH SEX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260538")
                              self.names.append("PORNBOX: 1111 CUSTOMS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260539")
                              self.names.append("PORNBOX: HOMEMADE AMATUERS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260540")
                              self.names.append("STARS EXCLUSIVE: ABELLA DANGER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260541")
                              self.names.append("STARS EXCLUSIVE: ADRIANA CHECHIK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260542")
                              self.names.append("STARS EXCLUSIVE: ALINA LOPEZ")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260543")
                              self.names.append("STARS EXCLUSIVE: ANGELA WHITE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260544")
                              self.names.append("STARS EXCLUSIVE: ARIANA MARIE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260545")
                              self.names.append("STARS EXCLUSIVE: AUGUST AMES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260546")
                              self.names.append("STARS EXCLUSIVE: AUTUMN FALLS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260547")
                              self.names.append("STARS EXCLUSIVE: BRANDI LOVE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260548")
                              self.names.append("STARS EXCLUSIVE: DANI DANIELS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260549")
                              self.names.append("STARS EXCLUSIVE: DANI JENSEN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260550")
                              self.names.append("STARS EXCLUSIVE: ELSA JEAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260551")
                              self.names.append("STARS EXCLUSIVE: EMILY WILLIS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260552")
                              self.names.append("STARS EXCLUSIVE: EVA LOVIA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260553")
                              self.names.append("STARS EXCLUSIVE: GINA VALENTINA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260554")
                              self.names.append("STARS EXCLUSIVE: JANICE GRIFFITH")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260555")
                              self.names.append("STARS EXCLUSIVE: JESSA RHODES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260556")
                              self.names.append("STARS EXCLUSIVE: LANA RHOADES")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260557")
                              self.names.append("STARS EXCLUSIVE: LENA PAUL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260558")
                              self.names.append("STARS EXCLUSIVE: LISA ANN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260559")
                              self.names.append("STARS EXCLUSIVE: MADISON IVY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260560")
                              self.names.append("STARS EXCLUSIVE: MIA MALKOVA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260561")
                              self.names.append("STARS EXCLUSIVE: NICOLE ANISTON")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260562")
                              self.names.append("PORNSTAR: CHAD ALVA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260563")
                              self.names.append("STARS EXCLUSIVE: UMA JOLIE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260564")
                              self.names.append("STARS EXCLUSIVE: VALENTINA NAPPI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260565")
                              self.names.append("VERIFIED AMATEURS: ALICE REDLIPS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260566")
                              self.names.append("VERIFIED AMATEURS: BIGTITTYGOTHEGG")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260567")
                              self.names.append("VERIFIED AMATEURS: CHERRY GRACE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260568")
                              self.names.append("VERIFIED AMATEURS: CHESSIE RAE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260569")
                              self.names.append("VERIFIED AMATEURS: DIANA DANIELS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260570")
                              self.names.append("VERIFIED AMATEURS: ELLAKAI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260571")
                              self.names.append("VERIFIED AMATEURS: FIAMURR")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260572")
                              self.names.append("VERIFIED AMATEURS: KRISS KISS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260573")
                              self.names.append("VERIFIED AMATEURS: LEAH MEOW")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260574")
                              self.names.append("VERIFIED AMATEURS: LUXURYGIRL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260575")
                              self.names.append("VERIFIED AMATEURS: MIKANIKA69")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260576")
                              self.names.append("VERIFIED AMATEURS: MINI DIVA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260577")
                              self.names.append("VERIFIED AMATEURS: MOLLYREDWOLF")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260578")
                              self.names.append("VERIFIED AMATEURS: NOFACEGIRL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260579")
                              self.names.append("VERIFIED AMATEURS: NOTSOAMATEUR")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260580")
                              self.names.append("VERIFIED AMATEURS: NYNA FERRAGNI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260581")
                              self.names.append("VERIFIED AMATEURS: PURPLE BITCH")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260582")
                              self.names.append("VERIFIED AMATEURS: REISLIN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260583")
                              self.names.append("VERIFIED AMATEURS: SECRETCRUSH")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260584")
                              self.names.append("VERIFIED AMATEURS: SHAIDEN ROUGE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260585")
                              self.names.append("VERIFIED AMATEURS: SOLAZOLA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260586")
                              self.names.append("VERIFIED AMATEURS: SWEET BUNNY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260587")
                              self.names.append("VERIFIED AMATEURS: TESSA WINTERS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260588")
                              self.names.append("VERIFIED AMATEURS: TINNA ANGEL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260589")
                              self.names.append("VERIFIED AMATEURS: YINYLEON")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260590")
                              self.names.append("PORNHUB✰CHANNEL: SUGAR BABES TV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260591")
                              self.names.append("PORNHUB✰CHANNEL: SPIZOO")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260592")
                              self.names.append("PORNHUB✰CHANNEL: SPANKMONSTER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260593")
                              self.names.append("PORNHUB✰CHANNEL: MY PERVY FAMILY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260594")
                              self.names.append("PORNHUB✰CHANNEL: LETSDOIT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260595")
                              self.names.append("PORNHUB✰CHANNEL: DOGFART NETWORK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260596")
                              self.names.append("PORNHUB✰CHANNEL: BRAZZERS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260597")
                              self.names.append("PORNHUB✰CHANNEL: BRATTY SIS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260598")
                              self.names.append("PORNHUB✰CHANNEL: 1111 CUSTOMERS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260599")
                              self.names.append("PORNHUB✰CHANNEL: JAYS POV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260600")
                              self.names.append("PORNHUB✰CHANNEL: NF BUSTY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260601")
                              self.names.append("PORNHUB✰CHANNEL: STEP SIBILINGS CAUGHT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260602")
                              self.names.append("PORNHUB✰CHANNEL: MOFOS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260603")
                              self.names.append("PORNHUB✰GERMAN: SEXTAPE GERMANY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260605")
                              self.names.append("PORNHUB✰GERMAN: BUMSBUS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260606")
                              self.names.append("PORNHUB✰GERMAN: EROTIK VON BENAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260607")
                              self.names.append("PORNHUB✰GERMAN: USER DATE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260608")
                              self.names.append("PORNHUB✰GERMAN: WOLF WAGNER LOVE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260609")
                              self.names.append("PORNHUB✰GERMAN: ALP GIRLS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260610")
                              self.names.append("PORNHUB✰GERMAN: DEUTSCHLAND REPORT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260611")
                              self.names.append("PORNHUB✰GERMAN: REIFE SWINGER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260612")
                              self.names.append("PORNHUB✰CATAGORIES: SWINGER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260613")
                              self.names.append("PORNHUB✰CATAGORIES: TEENIE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260614")
                              self.names.append("PORNHUB✰CATAGORIES: STUDENT")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260615")
                              self.names.append("PORNHUB✰CATAGORIES: OUTDOOR")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260616")
                              self.names.append("PORNHUB✰CATAGORIES: ROMANCE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260617")
                              self.names.append("PORNHUB✰CATAGORIES: RUSSIA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260618")
                              self.names.append("PORNHUB✰CATAGORIES: SCHOOL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260619")
                              self.names.append("PORNHUB✰CATAGORIES: MILF")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260620")
                              self.names.append("PORNHUB✰CATAGORIES: MASSAGE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260621")
                              self.names.append("PORNHUB✰CATAGORIES: LESBIAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260622")
                              self.names.append("PORNHUB✰CATAGORIES: ITALY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260623")
                              self.names.append("PORNHUB✰CATAGORIES: HARDCORE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260624")
                              self.names.append("PORNHUB✰CATAGORIES: CAARTON PORN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260625")
                              self.names.append("PORNHUB✰CATAGORIES: BLOWJOB")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260626")
                              self.names.append("PORNHUB✰CATAGORIES: BLOND")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260627")
                              self.names.append("PORNHUB✰CATAGORIES: BLACK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260628")
                              self.names.append("PORNHUB✰CATAGORIES: BIG COOK")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260629")
                              self.names.append("PORNHUB✰CATAGORIES: BABYSITER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260630")
                              self.names.append("PORNHUB✰CATAGORIES: ASIAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260631")
                              self.names.append("PORNHUB✰CATAGORIES: ANAL")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260632")
                              self.names.append("PORNHUB✰CATAGORIES: MY WIFE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260633")
                              self.names.append("PORNHUB✰CATAGORIES: HD PORN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260634")
                              self.names.append("PORNHUB✰CATAGORIES: NURSE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260635")
                              self.names.append("PORNHUB✰CATAGORIES: POLICE OFFICER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260636")
                              self.names.append("PORNHUB✰CATAGORIES: PRISONERS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260637")
                              self.names.append("PORNHUB✰TRANS: SANTINI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260638")
                              self.names.append("PORNHUB✰TRANS: FOXXY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260639")
                              self.names.append("PORNHUB✰TRANS: NATALIE MARS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260640")
                              self.names.append("PORNHUB✰TRANS: KHLOE KAY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260641")
                              self.names.append("PORNHUB✰TRANS: AUBREY KATE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260642")
                              self.names.append("PORNHUB✰GAY: ARMOND RIZZO")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260643")
                              self.names.append("PORNHUB✰GAY: ATLAS GRAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260644")
                              self.names.append("PORNHUB✰GAY: CALVIN BANKS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260645")
                              self.names.append("PORNHUB✰GAY: DANTE JOLLE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260646")
                              self.names.append("PORNHUB✰GAY: DE ANGELO")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260647")
                              self.names.append("PORNHUB✰GAY: JACK HUNTER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260648")
                              self.names.append("PORNHUB✰GAY:  ROCCO STELLE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260649")
                              self.names.append("PORNHUB✰GAY: RICKY LARKIN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260650")
                              self.names.append("PORNHUB✰GAY: MAX KONNOR")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260651")
                              self.names.append("PORNHUB✰GAY: KYLER MOSS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260652")
                              self.names.append("PORNHUB✰GAY: ROCCO STELLE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260653")
                              self.names.append("PORNBOX: THROATED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260654")
                              self.names.append("PORNBOX TRANS: TRANS EROTICA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260655")
                              self.names.append("PORNBOX TRANS: TRANS ANGELS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260656")
                              self.names.append("PORNBOX: X CHIMERA")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260657")
                              self.names.append("PORNBOX: HOLED")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260658")
                              self.names.append("PORNBOX: BUMS BUS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260659")
                              self.names.append("PORNBOX: PURE MATURE")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260660")
                              self.names.append("PORNBOX: FAPADOO")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260661")
                              self.names.append("PORNBOX: MOM XXX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260662")
                              self.names.append("PORNBOX: ALL GROUP SEX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/260663")
                              self.names.append("Playboy FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271483")
                              self.names.append("RedTraffic TV Anal")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271489")
                              self.names.append("RedTraffic TV Big Ass")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271490")
                              self.names.append("RedTraffic TV Big Dick")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271491")
                              self.names.append("RedTraffic TV Big Tits")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271492")
                              self.names.append("RedTraffic TV Blonde")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271493")
                              self.names.append("RedTraffic TV Blowjob")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271494")
                              self.names.append("RedTraffic TV Brunette")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271495")
                              self.names.append("RedTraffic TV Compilation")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271496")
                              self.names.append("RedTraffic TV Cuckold")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271497")
                              self.names.append("RedTraffic TV Fetish")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271498")
                              self.names.append("RedTraffic TV Gangbang")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271499")
                              self.names.append("RedTraffic TV Gay")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271500")
                              self.names.append("RedTraffic TV Hardcore")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271501")
                              self.names.append("RedTraffic TV Interracial")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271502")
                              self.names.append("RedTraffic TV Latina")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271503")
                              self.names.append("RedTraffic TV Lesbian")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271504")
                              self.names.append("RedTraffic TV Live Cams")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271505")
                              self.names.append("RedTraffic TV MILF")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271506")
                              self.names.append("RedTraffic TV Pornstar")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271507")
                              self.names.append("RedTraffic TV POV")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271508")
                              self.names.append("RedTraffic TV Rough")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271509")
                              self.names.append("RedTraffic TV Russian")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271510")
                              self.names.append("RedTraffic TV Teen")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271511")
                              self.names.append("RedTraffic TV Threesome")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271512")
                              self.names.append("Sex Prive FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271513")
                              self.names.append("Sex Prive HD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271514")
                              self.names.append("Sextreme HD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271515")
                              self.names.append("Sextreme SD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271516")
                              self.names.append("Visit-X TV HD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271522")
                              self.names.append("XXX 4K Brasileirinhas: Contos do Big")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271523")
                              self.names.append("XXX 4K Brasileirinhas: Contos Eróticos")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271524")
                              self.names.append("XXX A Casa das Brasileirinhas Vol. 62")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271525")
                              self.names.append("XXX A Casa das Brasileirinhas Vol. 63")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271526")
                              self.names.append("XXX Abella Danger")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271527")
                              self.names.append("XXX Alessandra Marques")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271528")
                              self.names.append("XXX Alexandre Frota")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271529")
                              self.names.append("XXX Aline Rios")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271530")
                              self.names.append("XXX Ana Julia")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271531")
                              self.names.append("XXX Analine")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271532")
                              self.names.append("XXX Asiaticas 01")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271533")
                              self.names.append("XXX Asiaticas 02")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271534")
                              self.names.append("XXX Asiaticas 03")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271535")
                              self.names.append("XXX Asiaticas 04")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271536")
                              self.names.append("XXX Brad Montana 01")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271537")
                              self.names.append("XXX Brad Montana 02")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271538")
                              self.names.append("XXX Brad Montana 03")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271539")
                              self.names.append("XXX Brad Montana 04")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271540")
                              self.names.append("XXX Brad Montana 05")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271541")
                              self.names.append("XXX Brad Montana 06")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271542")
                              self.names.append("XXX Brad Montana 07")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271543")
                              self.names.append("XXX Brad Montana 08")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271544")
                              self.names.append("XXX Brad Montana 09")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271545")
                              self.names.append("XXX Brad Montana 10")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271546")
                              self.names.append("XXX Brad Montana 11")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271547")
                              self.names.append("XXX Brad Montana 12")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271548")
                              self.names.append("XXX Brazzers 01 FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271549")
                              self.names.append("XXX Brazzers 02 FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271550")
                              self.names.append("XXX Brazzers 03 FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271551")
                              self.names.append("XXX Brazzers 04 FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271552")
                              self.names.append("XXX Brazzers 05 FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271553")
                              self.names.append("XXX Brazzers 06 FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271554")
                              self.names.append("XXX Carol Fenix")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271555")
                              self.names.append("XXX Esposa Heyya [amador]")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271556")
                              self.names.append("XXX Fernandinha Fernandez")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271557")
                              self.names.append("XXX Gina Jolie")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271558")
                              self.names.append("XXX Julia Mattos")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271559")
                              self.names.append("XXX Julia Paes")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271560")
                              self.names.append("XXX Julianna Vega")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271561")
                              self.names.append("XXX Loupan")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271562")
                              self.names.append("XXX Manu Fox")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271563")
                              self.names.append("XXX Mia Linz")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271564")
                              self.names.append("XXX Mofos Latina Sex FHD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271565")
                              self.names.append("XXX Monica Santiago")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271566")
                              self.names.append("XXX Nicolle Bittencourt")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271567")
                              self.names.append("XXX Pamela Pantera")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271568")
                              self.names.append("XXX Rafaela Nakamura")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271569")
                              self.names.append("XXX Rita Cadillac 01")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271570")
                              self.names.append("XXX Rita Cadillac 02")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271571")
                              self.names.append("XXX Show de Bundas 01")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271572")
                              self.names.append("XXX Show de Bundas 02")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271573")
                              self.names.append("XXX Thammy Gretchen")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271574")
                              self.names.append("XXX Wanessa Boyer")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271575")
                              self.names.append("XXX Yara Rocha")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271576")
                              self.names.append("XXX | 4K | BangBros 01")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271577")
                              self.names.append("XXX | 4K | BangBros 02")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271578")
                              self.names.append("XXX | 4K | BangBros 03")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271579")
                              self.names.append("XXX | 4K | BangBros 04")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271580")
                              self.names.append("XXX | 4K | CarnaFunk 2019")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271581")
                              self.names.append("XXX | 4K | Holed 01")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271582")
                              self.names.append("XXX | 4K | Holed 02")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271583")
                              self.names.append("XXX | 4K | Holed 03")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271584")
                              self.names.append("XXX | 4K | Holed 04")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271585")
                              self.names.append("XXX | 4K | Holed 05")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271586")
                              self.names.append("XXX | 4K | Holed 06")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271587")
                              self.names.append("XXX | 4K | Holed 07")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271588")
                              self.names.append("XXX | 4K | Holed 08")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271589")
                              self.names.append("XXX | 4K | Holed 09")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271590")
                              self.names.append("XXX | 4K | Holed 10")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/271591")
                              self.names.append("For Man HD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289730")
                              self.names.append("PORNHUB ✰ GAY: COLBY KNOX")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289731")
                              self.names.append("PORNHUB✰GAY: CHANEK SANTINI")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289732")
                              self.names.append("PORNHUB✰GAY: TREASURE ISLAND")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289733")
                              self.names.append("PORNHUB✰GAY:  FLAVA WORKS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289734")
                              self.names.append("PORNHUB✰GAY: TS FOXXY")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289735")
                              self.names.append("PORNHUB ✰ GAY: ATLAS GRAN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289736")
                              self.names.append("PORNHUB ✰ GAY: SHIRI ALLWOOD")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289737")
                              self.names.append("PORNHUB✰GAY: DEANGELO JACKSON")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289738")
                              self.names.append("PORNHUB ✰ GAY: JACK HUNTER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289739")
                              self.names.append("PORNHUB ✰ GAY:  TRANSGENDER")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289740")
                              self.names.append("ORNHUB ✰ GAY: RICKY LARKIN")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289741")
                              self.names.append("PORNHUB ✰ GAY: KYLER MOSS")
                              self.urls.append("http://135.148.169.68:80/ottplayerchannel/JFYQWKNbCUe5/289742")                              
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = []
               match2 = []
               print "getVideos match2=", match2
               cmd = "echo 'FILM156' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM156/mylist.txt"
               os.system(cmd)    
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2
               cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM156/mylist.txt"
               os.system(cmd)
               line = "" + url + "\n"
               cmd = "echo '#DESCRIPTION ''" + name + "'' ' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM156/mylist.txt"
               os.system(cmd)   
               print "In bouquet line 1=", line
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.close()
               name1 = "X"                     
               Player(self.session).play(name, [{'title':name + " ***", 'url':url}])                         
               return

    def cancel(self):
                cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM156/mylist.sh >>/dev/null 2>&1 </dev/null & disown"
                os.system(cmd)
                cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
                os.system(cmd)   
                f.close()
                self.close()


















