# -*- coding: utf-8 -*-
from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import zlib
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist.sh"
os.system(cmd)
cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist1.sh"
os.system(cmd)




def getUrl(url):
    with open('/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/mylist.txt', 'r') as f:
        adresa = f.readline().strip()
        print(adresa)
    
    url = adresa
    
    # Pokud je soubor /tmp/stranka.html k dispozici, načte se přímo odtud
    file_path = '/tmp/stranka.html'
    if os.path.exists(file_path):
        with open(file_path, 'r') as file:
            link = file.read()
        return link
    
   
    try:
        req = urllib2.Request(url)
        response = urllib2.urlopen(req)
        
        # Check if the response is gzipped
        if response.headers.get('Content-Encoding') == 'gzip':
            link = zlib.decompress(response.read(), 16+zlib.MAX_WBITS)
        else:
            link = response.read()
        
        response.close()
        
        return link
    except urllib2.URLError as e:
        print("Chyba při načítání stránky:", e)
        
        # Stáhne stránku pomocí curl
        cmd = "curl --retry 2 -k -Lbk -m 55532 -m 555104 -A 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36' '" + url + "' > /tmp/stranka.html"
        os.system(cmd)
        
        # Načte stáhnutou stránku
        with open(file_path, 'r') as file:
            link = file.read()
        
        return link


def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM56(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = '<a class="VideoCard__thumbLink video_item__thumb_link" href="(.*?)" aria-label="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append(name)
                              self.urls.append(url)
                      showlist(self.names, self["list"])
                      cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist1.sh"
                      os.system(cmd)
                      
                     
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '</a>. <a href="(.*?)/away.php'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               cmd = "echo 'FILM56' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist.txt"
               os.system(cmd)    
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2
               cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist.txt"
               os.system(cmd)
               line = "" + url + "\n"
               cmd = "echo '#DESCRIPTION ''" + name + "'' ' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist.txt"
               os.system(cmd)   
               print "In bouquet line 1=", line
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.close()
               name1 = "X"  
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM355/FILM56/mylist.sh >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)
               while not os.path.exists('/tmp/adresa.txt'):  # Kontrola existence souboru
                 time.sleep(3)
               with open('/tmp/jmeno.txt', 'r') as h:
                 jmeno = h.readline().strip()
                 print(jmeno)  
               name = ("") + jmeno                 
               with open('/tmp/adresa.txt', 'r') as k:
                 adresa = k.readline().strip()
                 print(adresa)  
               url = ("") + adresa      
               with open('/tmp/adresa1.txt', 'r') as k:
                 adresa1 = k.readline().strip()
                 print(adresa1)  
               url1 = ("") + adresa1 
               with open('/tmp/adresa2.txt', 'r') as k:
                 adresa2 = k.readline().strip()
                 print(adresa2)  
               url2 = ("") + adresa2        
               with open('/tmp/adresa3.txt', 'r') as k:
                 adresa3 = k.readline().strip()
                 print(adresa3)  
               url3 = ("") + adresa3                  
               try:
                Player(self.session).play(name, [{'title':jmeno + " **", 'url':adresa1}])   
               except:
                self.close()
               finally:
                self.close()  
               h.close()
               k.close()   
               cmd = "rm -rf /tmp/jmeno.txt >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)               
               cmd = "rm -rf /tmp/adresa.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)   
               cmd = "rm -rf /tmp/adresa1.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)  
               cmd = "rm -rf /tmp/adresa2.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)      
               cmd = "rm -rf /tmp/adresa3.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)                    
               return

    def cancel(self):
                cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
                os.system(cmd)   
                f.close()
                self.close()

















