from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM56/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM56(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM56/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Alannah Myles - Our World, Our Times")
                              self.urls.append("https://vk.com/video502557487_456243527")
                              self.names.append("Alannah Myles - Who Loves You")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456241993")
                              self.names.append("Kai Tracid - Life Is Too Short (Official Video)")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456241991")
                              self.names.append("Kai Tracid - Life Is Too Short (Long Version)")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456241992")
                              self.names.append("Jennifer Rush - The Power Of Love")
                              self.urls.append("https://vk.com/video-104917606_456239311") 
                              self.names.append("Rui Da Silva - Touch Me ft. Cassandra")
                              self.urls.append("https://vk.com/video18383546_456239715")
                              self.names.append("Tatu - Zachem Ya")
                              self.urls.append("https://vk.com/video-154792724_456239080")
                              self.names.append("Jon Secada - Just Another Day (Dance MIX)")
                              self.urls.append("https://vk.com/video50861944_456239972")
                              self.names.append("Jon Secada - Just Another Day")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242004")
                              self.names.append("Jon Secada - If You Go")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242003")
                              self.names.append("David A. Stewart - Lily Was Here ft. Candy Dulfer")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242000")
                              self.names.append("Richard Marx - Angelia")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242002")
                              self.names.append("Tango & Cash  - Don't go")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242006")
                              self.names.append("Mr. Mister - Kyrie")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242007")
                              self.names.append("Mr. Mister - Broken Wings ")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242008")
                              self.names.append("USA For Africa - We Are The World")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242009")
                              self.names.append("Modern Talking - Mona Lisa")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242010")
                              self.names.append("George Michael, Aretha Franklin - I Knew You Were Waiting")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242011")
                              self.names.append("Arrival to Earth (Film Version) - Transformers")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242012")
                              self.names.append("John Farnham - You're the Voice")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242013")
                              self.names.append("Frank Harris   hold on to the vision")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242014")
                              self.names.append("Lady Gaga - Dance in the Dark")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242015")
                              self.names.append("Europe - The Final Countdown")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242016")
                              self.names.append("Europe - Carrie")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242017")
                              self.names.append("Van Halen - Jump")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242018")
                              self.names.append("Van Halen Dreams Original Blue Angels")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242019")
                              self.names.append("TOP GUN - DANGER ZONE")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242020")
                              self.names.append("TOP - GUN ANTHEM")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242021")
                              self.names.append("Billy Idol - Rebel Yell")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242022")
                              self.names.append("Robert Tepper - Angel Of The City")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242023")
                              self.names.append("Robert Tepper - No Easy Way Out")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242024")
                              self.names.append("Rocky - Eye of The Tiger")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242025")
                              self.names.append("Survivor - Burning heart")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242026")
                              self.names.append("Over The Top - Winner Takes It All")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242027")
                              self.names.append("GUNS N ROSES _ SWEET CHILD O MINE")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242028")
                              self.names.append("Marky Mark - No Mercy")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242029")
                              self.names.append("Tears For Fears - Shout")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242030")
                              self.names.append("Tears For Fears - Everybody Wants To Rule The World")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242031")
                              self.names.append("Tears For Fears - Woman In Chains")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242032")
                              self.names.append("C-Block - So Strung Out")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242033")
                              self.names.append("C-Block - Time Is Tickin Away")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242034")
                              self.names.append("Bomfunk MC s - Freestyler")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242035")
                              self.names.append("Bomfunk MC s - Uprocking Beats")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242036")
                              self.names.append("Robin Zander - In This Country ,Over The Top soundtrack")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242037")
                              self.names.append("NANA - Lonely")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242038")
                              self.names.append("Centory - Take It To The Limit")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242039")
                              self.names.append("SNAP - The Power")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242040")
                              self.names.append("CENTORY - The Spirit")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242041")
                              self.names.append("Billy Idol - Sweet Sixteen")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242042")
                              self.names.append("Wicked Game - Chris Isaak")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242043")
                              self.names.append("Bryan Adams - Everything I Do ,I Do It For You")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242044")
                              self.names.append("Bon Jovi - Livin On A Prayer")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242064")
                              self.names.append("ZZ Top - Rough Boy")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242047")
                              self.names.append("Double You - Please Dont Go")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242048")
                              self.names.append("D-REAM - Things Can Only Get Better")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242049")
                              self.names.append("Tina Turner - We Dont Need Another Hero")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242050")
                              self.names.append("Tina Turner - One of the Living")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242051")
                              self.names.append("Starship - Nothing Gonna Stop Us Now")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242052")
                              self.names.append("Meat Loaf - Id Do Anything For Love")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242053")
                              self.names.append("Lionel Richie - All Night Long")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242054")
                              self.names.append("Love Message -Scooter, Masterboy, E Rotic, Mr  President, Fun Factory, Worlds Apart, U96")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242055")
                              self.names.append("Hans Zimmer - Rain Man")
                              self.urls.append("https://vk.com/video320755200_456240072")
                              self.names.append("Gheorghe Zamfir - Kill Bill - Soundtrack - The Lonely Shepherd")
                              self.urls.append("https://vk.com/video320755200_456240072")
                              self.names.append("Hans Zimmer - Time (OST Inception) Live in Prague, 2017")
                              self.urls.append("https://vk.com/video-166564_456239364")
                              self.names.append("Hans ZimmerAlan Walker - Time Official Remix")
                              self.urls.append("https://vk.com/video387956957_456239064")
                              self.names.append("Hans ZimmerAlan Walker - Enya - Now We Are Free Gladiator")
                              self.urls.append("https://vk.com/video321504671_171286923")
                              self.names.append("The Last of the Mohicans - Promontory")
                              self.urls.append("https://vk.com/video356069357_456239029")
                              self.names.append("Braveheart Movie - Soundtrack")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242062")
                              self.names.append("Ennio morricone - Cera Una Volta il West")
                              self.urls.append("https://vk.com/video31979080_170044001")
                              self.names.append("Vangelis - Conquest of paradise")
                              self.urls.append("https://vk.com/video29519300_171663357")
                              self.names.append("John Williams - Superman")
                              self.urls.append("https://vk.com/video248855076_456243733")
                              self.names.append("Hans Zimmer - Man of Steel")
                              self.urls.append("https://vk.com/video-98270175_456241338")
                              self.names.append("Hans Zimmer - Wonder Woman 1984")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242063")
                              self.names.append("Hans Zimmer - Wonder Woman 1984 -Virtual premiere-")
                              self.urls.append("https://vk.com/video-660924_456239361")
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '</a>. <a href="(.*?)/away.php'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               cmd = "echo 'FILM56' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM56/mylist.txt"
               os.system(cmd)    
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2
               cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM56/mylist.txt"
               os.system(cmd)
               line = "" + url + "\n"
               cmd = "echo '#DESCRIPTION ''" + name + "'' ' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM56/mylist.txt"
               os.system(cmd)   
               print "In bouquet line 1=", line
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.close()
               name1 = "X"  
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM56/mylist.sh >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)
               while not os.path.exists('/tmp/adresa.txt'):  # Kontrola existence souboru
                 time.sleep(3)
               with open('/tmp/jmeno.txt', 'r') as h:
                 jmeno = h.readline().strip()
                 print(jmeno)  
               name = ("") + jmeno                 
               with open('/tmp/adresa.txt', 'r') as k:
                 adresa = k.readline().strip()
                 print(adresa)  
               url = ("") + adresa      
               with open('/tmp/adresa1.txt', 'r') as k:
                 adresa1 = k.readline().strip()
                 print(adresa1)  
               url1 = ("") + adresa1 
               with open('/tmp/adresa2.txt', 'r') as k:
                 adresa2 = k.readline().strip()
                 print(adresa2)  
               url2 = ("") + adresa2        
               with open('/tmp/adresa3.txt', 'r') as k:
                 adresa3 = k.readline().strip()
                 print(adresa3)  
               url3 = ("") + adresa3                  
               Player(self.session).play(name, [{'title':jmeno + " ***", 'url':adresa}, {'title':jmeno + " **", 'url':adresa1}, {'title':jmeno + " *", 'url':adresa2}, {'title':jmeno + " m3u", 'url':adresa3}])   
               h.close()
               k.close()   
               cmd = "rm -rf /tmp/jmeno.txt >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)               
               cmd = "rm -rf /tmp/adresa.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)   
               cmd = "rm -rf /tmp/adresa1.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)  
               cmd = "rm -rf /tmp/adresa2.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)      
               cmd = "rm -rf /tmp/adresa3.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)                    
               return

    def cancel(self):
                cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
                os.system(cmd)   
                f.close()
                self.close()


















