from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM62/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM62(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM62/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM62"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = 'https://mat6tube.com'
                      dotall = re.DOTALL
                      
	              regexcat = '<div class="item">.*?<a href="(.*?)".*?alt="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append(name)
                              self.urls.append(url)
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = 'https://mat6tube.com'
               content2 = getUrl2(link + url, url)
               regexvideo = '<div id="player_box"><iframe id="iplayer" src="(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -k " + url + " > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "1"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM62/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet MAT6TUBE-bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "1"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















