from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM63/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM63(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM63/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM63"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Fuck my white wife negro")
                              self.urls.append("https://www.hd-easyporn.com/videos/fuck-my-white-wife-negro-5271/")
                              self.names.append("Noelle Easton's teenage twat is fucked by Billy Glide")
                              self.urls.append("https://www.hd-easyporn.com/videos/noelle-eastons-teenage-twat-is-fucked-by-billy-glide-13997/")       
                              self.names.append("Chubby tits and a fat ass")
                              self.urls.append("https://www.hd-easyporn.com/videos/chubby-tits-and-a-fat-ass-2872/")   
                              self.names.append("Giant dick plugs a brunettes dreamlike ass")
                              self.urls.append("https://www.hd-easyporn.com/videos/giant-dick-plugs-a-brunettes-dreamlike-ass-32517/")           
                              self.names.append("Young hottie enjoys hard strokes from behind")
                              self.urls.append("https://www.hd-easyporn.com/videos/young-hottie-enjoys-hard-strokes-from-behind-32937/")   
                              self.names.append("Guy allows his cock two cunts")
                              self.urls.append("https://www.hd-easyporn.com/videos/guy-allows-his-cock-two-cunts-15587/")   
                              self.names.append("Hot pussy wants to suck and to bang")
                              self.urls.append("https://www.hd-easyporn.com/videos/hot-pussy-wants-to-suck-and-to-bang-4450/")  
                              self.names.append("Hot sucking mouth")
                              self.urls.append("https://www.hd-easyporn.com/videos/hot-sucking-mouth-3484/")   
                              self.names.append("Cute pussies exist to be fucked")
                              self.urls.append("https://www.hd-easyporn.com/videos/cute-pussies-exist-to-be-fucked-7344/")                               
                              self.names.append("Short-haired nerd girl fucks like a pro")
                              self.urls.append("https://www.hd-easyporn.com/videos/short-haired-nerd-girl-fucks-like-a-pro-4578/")                                 
                              self.names.append("Teenage hussy wants to suck and fuck")
                              self.urls.append("https://www.hd-easyporn.com/videos/teenage-hussy-wants-to-suck-and-fuck-4272/")                                
                              self.names.append("Black phallus for the horny schoolgirl")
                              self.urls.append("https://www.hd-easyporn.com/videos/black-phallus-for-the-horny-schoolgirl-4764/") 
                              self.names.append("Shorty Mac fucks Savannah Heat")
                              self.urls.append("https://www.hd-easyporn.com/videos/shorty-mac-fucks-savannah-heat-19696/")
                              self.names.append("Black dick is nearly too big for her teen cunt")
                              self.urls.append("https://www.hd-easyporn.com/videos/black-dick-is-nearly-too-big-for-her-teen-cunt-26982/")   
                              self.names.append("As a reward she gets Shorty Macs huge cock in her vagina")
                              self.urls.append("https://www.hd-easyporn.com/videos/as-a-reward-she-gets-shorty-macs-huge-cock-in-her-vagina-25469/")   
                              self.names.append("Shorty Macs huge prick is too much for her")
                              self.urls.append("https://www.hd-easyporn.com/videos/shorty-macs-huge-prick-is-too-much-for-her-24459/")       
                              self.names.append("Shorty Macs gigantic cunt spreader in action")
                              self.urls.append("https://www.hd-easyporn.com/videos/shorty-macs-gigantic-cunt-spreader-in-action-24037/")     
                              self.names.append("Shorty Mac fucks Ariel Rose")
                              self.urls.append("https://www.hd-easyporn.com/videos/shorty-mac-fucks-ariel-rose-19488/")      
                              self.names.append("Redheaded girl is picked up and gets two cocks")
                              self.urls.append("https://www.hd-easyporn.com/videos/redheaded-girl-is-picked-up-and-gets-two-cocks-5660/")         
                              self.names.append("Teenie in net stockings fucks a black lover")
                              self.urls.append("https://www.hd-easyporn.com/videos/teenie-in-net-stockings-fucks-a-black-lover-16435/")      
                              self.names.append("30 cm bbc in a white pussy")
                              self.urls.append("https://www.hd-easyporn.com/videos/30-cm-bbc-in-a-white-pussy-31948/")     
                              self.names.append("Bitch seduces her black daddy to have sex with his bbc")
                              self.urls.append("https://www.hd-easyporn.com/videos/bitch-seduces-her-black-daddy-to-have-sex-with-his-bbc-26302/")      
                              self.names.append("Bbc drives white housewife crazy")
                              self.urls.append("https://www.hd-easyporn.com/videos/bbc-drives-white-housewife-crazy-18796/")     
                              self.names.append("Lexingtons giant cock destroys a white cunt")
                              self.urls.append("https://www.hd-easyporn.com/videos/lexingtons-giant-cock-destroys-a-white-cunt-31496/")      
                              self.names.append("Sexy slut with bbc in her ass")
                              self.urls.append("https://www.hd-easyporn.com/videos/sexy-slut-with-bbc-in-her-ass-26930/")        
                              self.names.append("White slut takes the bbc deeply into her mouth")
                              self.urls.append("https://www.hd-easyporn.com/videos/white-slut-takes-the-bbc-deeply-into-her-mouth-26920/")      
                              self.names.append("Hot ass fuck with Lea Lexis and Lexington Steele")
                              self.urls.append("https://www.hd-easyporn.com/videos/hot-ass-fuck-with-lea-lexis-and-lexington-steele-25010/")      
                              self.names.append("Dominatrix Katja Kassin commands Lexington Steele to fuck hard")
                              self.urls.append("https://www.hd-easyporn.com/videos/dominatrix-katja-kassin-commands-lexington-steele-to-fuck-hard-20539/")      
                              self.names.append("Nikki Grind lets Lexington Steele spread her labia")
                              self.urls.append("https://www.hd-easyporn.com/videos/nikki-grind-lets-lexington-steele-spread-her-labia-18333/")   
                              self.names.append("Lexington Steele fills Brooke Scotts tight pussy")
                              self.urls.append("https://www.hd-easyporn.com/videos/lexington-steele-fills-brooke-scotts-tight-pussy-21442/") 
                              self.names.append("Gianna Michaels lets her boobs bounce while riding Lex")
                              self.urls.append("https://www.hd-easyporn.com/videos/gianna-michaels-lets-her-boobs-bounce-while-riding-lex-18473/") 
                              self.names.append("Sophie Dee is fucked pov by her black lover")
                              self.urls.append("https://www.hd-easyporn.com/videos/sophie-dee-is-fucked-pov-by-her-black-lover-18281/") 
                              self.names.append("Girl is fucked by a black dick in front of a mirror")
                              self.urls.append("https://www.hd-easyporn.com/videos/girl-is-fucked-by-a-black-dick-in-front-of-a-mirror-18280/") 
                              self.names.append("Christa Moore is fucked by a black cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/christa-moore-is-fucked-by-a-black-cock-10559/")     
                              self.names.append("Claudia Downs is fucked by two black cocks")
                              self.urls.append("https://www.hd-easyporn.com/videos/claudia-downs-is-fucked-by-two-black-cocks-25013/") 
                              self.names.append("Interracial blowjob with Claudia Downs")
                              self.urls.append("https://www.hd-easyporn.com/videos/interracial-blowjob-with-claudia-downs-18205/")   
                              self.names.append("Her wet wanked cunt needs a bbc")
                              self.urls.append("https://www.hd-easyporn.com/videos/her-wet-wanked-cunt-needs-a-bbc-13763/") 
                              self.names.append("Bbc fucks cute curly girl")
                              self.urls.append("https://www.hd-easyporn.com/videos/bbc-fucks-cute-curly-girl-19945/")     
                              self.names.append("Black cock for a milf's oiled twat")
                              self.urls.append("https://www.hd-easyporn.com/videos/black-cock-for-a-milfs-oiled-twat-30441/")   
                              self.names.append("Black cock likes oiled sluts")
                              self.urls.append("https://www.hd-easyporn.com/videos/black-cock-likes-oiled-sluts-819/") 
                              self.names.append("Pressley Carter is fucked by a bbc")
                              self.urls.append("https://www.hd-easyporn.com/videos/pressley-carter-is-fucked-by-a-bbc-10930/")  
                              self.names.append("Busty slut is banged by a long bbc")
                              self.urls.append("https://www.hd-easyporn.com/videos/busty-slut-is-banged-by-a-long-bbc-23829/")   
                              self.names.append("She looks deep in his eyes when she sucks his cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/she-looks-deep-in-his-eyes-when-she-sucks-his-cock-2152/") 
                              self.names.append("Blonde milf sucks negros cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/blonde-milf-sucks-negros-cock-6966/")  
                              self.names.append("Head fucked by a monster dick")
                              self.urls.append("https://www.hd-easyporn.com/videos/head-fucked-by-a-monster-dick-6896/")   
                              self.names.append("Fuck my mouth with two cocks")
                              self.urls.append("https://www.hd-easyporn.com/videos/fuck-my-mouth-with-two-cocks-6894/") 
                              self.names.append("Big cock for the blonde milf")
                              self.urls.append("https://www.hd-easyporn.com/videos/big-cock-for-the-blonde-milf-6895/")             
                              self.names.append("A hard black cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/a-hard-black-cock-11501/")  
                              self.names.append("Pressley Carter spreads her legs for the black cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/pressley-carter-spreads-her-legs-for-the-black-cock-12401/")   
                              self.names.append("Sporty girl practices gymnastics with his black prick")
                              self.urls.append("https://www.hd-easyporn.com/videos/sporty-girl-practices-gymnastics-with-his-black-prick-12801/") 
                              self.names.append("Jessica Ryan is keen on black giants")
                              self.urls.append("https://www.hd-easyporn.com/videos/jessica-ryan-is-keen-on-black-giants-13005/")     
                              self.names.append("Hot interracial sex with Latina and her black lover")
                              self.urls.append("https://www.hd-easyporn.com/videos/hot-interracial-sex-with-latina-and-her-black-lover-15041/")  
                              self.names.append("Buxom whore Cali Couture is drilled by a black prick")
                              self.urls.append("https://www.hd-easyporn.com/videos/buxom-whore-cali-couture-is-drilled-by-a-black-prick-23504/")   
                              self.names.append("Black prick makes a Southern woman happy")
                              self.urls.append("https://www.hd-easyporn.com/videos/black-prick-makes-a-southern-woman-happy-23822/") 
                              self.names.append("My God impaled by a colored monster cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/my-god-impaled-by-a-colored-monster-cock-24973/")     
                              self.names.append("Biggest cock ever stretches Kita Zen's cunt brutally")
                              self.urls.append("https://www.hd-easyporn.com/videos/biggest-cock-ever-stretches-kita-zens-cunt-brutally-25356/") 
                              self.names.append("Black cock torpedo bangs an Asian cunt creamy")
                              self.urls.append("https://www.hd-easyporn.com/videos/black-cock-torpedo-bangs-an-asian-cunt-creamy-30228/") 
                              self.names.append("Mulatto with big ass sits down on a long black cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/mulatto-with-big-ass-sits-down-on-a-long-black-cock-26101/") 
                              self.names.append("An oiled cock slips better")
                              self.urls.append("https://www.hd-easyporn.com/videos/an-oiled-cock-slips-better-2416/") 
                              self.names.append("Starla Sterling sucks and fucks a huge dark cock pov")
                              self.urls.append("https://www.hd-easyporn.com/videos/starla-sterling-sucks-and-fucks-a-huge-dark-cock-pov-18350/") 
                              self.names.append("Mae Victoria sucks and rides Byron Longs huge cock")
                              self.urls.append("https://www.hd-easyporn.com/videos/mae-victoria-sucks-and-rides-byron-longs-huge-cock-10879/") 
                              self.names.append("A lift with fucking")
                              self.urls.append("https://www.hd-easyporn.com/videos/a-lift-with-fucking-4758/")     
                              self.names.append("Blondine Claudia Downs gibt dunklem Riemen Blowjob Outdoor")
                              self.urls.append("https://www.pornojenny.com/film/blondine-claudia-downs-gibt-dunklem-riemen-blowjob-outdoor-90/?utm_source=hd-easyporn.com&utm_campaign=iframe") 
                              self.names.append("Ein BBC fickt das Tittengirl anal")
                              self.urls.append("https://www.pornojenny.com/film/ein-bbc-fickt-das-tittengirl-anal-15320/")    
                              self.names.append("Ebonyriese von blonder Milf geritten")
                              self.urls.append("https://www.pornojenny.com/film/ebonyriese-von-blonder-milf-geritten-4682/")            
                              self.names.append("Ebonyschwanz von Prallarschiger Milf geritten")
                              self.urls.append("https://www.pornojenny.com/film/ebonyschwanz-von-prallaerschiger-milf-geritten-3102/")          
                              self.names.append("Dickbusige eingeolte Schlampe von BBC gefickt")
                              self.urls.append("https://www.pornojenny.com/film/dickbusige-eingeoelte-schlampe-von-bbc-gefickt-6387/")          
                              self.names.append("In geilen Dessous wir die Schlampe im Interracial Dreier Arschgefickt")
                              self.urls.append("https://www.pornojenny.com/film/in-geilen-dessous-wir-die-schlampe-im-interracial-dreier-arschgefickt-2341/")          
                              self.names.append("Sexy Teenagerin reitet auf BBC")
                              self.urls.append("https://www.pornojenny.com/film/sexy-teenagerin-reitet-auf-bbc-5331/")   
                              self.names.append("Braungaarige steht auf den Fick mit BBCs")
                              self.urls.append("https://www.pornojenny.com/film/braungaarige-steht-auf-den-fick-mit-bbcs-9599/") 
                              self.names.append("Das blonde Madel fickt mit einem riesigen Negerschwanz")
                              self.urls.append("https://www.pornojenny.com/film/das-blonde-maedel-fickt-mit-einem-riesigen-negerschwanz-15134/") 
                              self.names.append("Monster Negerschwanz fur ein brunettes Luder")
                              self.urls.append("https://www.pornojenny.com/film/monster-negerschwanz-fuer-ein-bruenettes-luder-7929/") 
                              self.names.append("Seinen Monstercock will das Luder jetzt")
                              self.urls.append("https://www.pornojenny.com/film/seinen-monstercock-will-das-luder-jetzt-14415/") 
                              self.names.append("Geile Miley Villa und der dunkle Lustpfeil")
                              self.urls.append("https://www.pornojenny.com/film/geile-miley-villa-und-der-dunkle-lustpfeil-2113/") 
                              self.names.append("Sexy Luder bei Kehlenfick und Sex in POV")
                              self.urls.append("https://www.pornojenny.com/film/sexy-luder-bei-kehlenfick-und-sex-in-pov-10403/")                        
                              self.names.append("Mutti fickt mit dem schwarzen Freund")
                              self.urls.append("https://www.pornolisa.com/porno/mutti-fickt-mit-dem-schwarzen-freund-493/")                 
                              self.names.append("Auf seinem schwarzen Schwanz sitzt das dickarschige Luder")
                              self.urls.append("https://www.pornolisa.com/porno/auf-seinem-schwarzen-schwanz-sitzt-das-dickaerschige-luder-516/")                 
                              self.names.append("Ein Neger fickt mit einem blonden Madel")
                              self.urls.append("https://www.pornolisa.com/porno/ein-neger-fickt-mit-einem-blonden-maedel-930/")                 
                              self.names.append("Ein farbiges Teenie fickt mit Papis Freund")
                              self.urls.append("https://www.pornolisa.com/porno/ein-farbiges-teenie-fickt-mit-papis-freund-675/")                 
                              self.names.append("Der BBC zerfickt fast ihre Muschi")
                              self.urls.append("https://www.pornolisa.com/porno/der-bbc-zerfickt-fast-ihre-muschi-729/")         
                              self.names.append("Mega Negerschwanz fur die dunkelhaarige Frau")
                              self.urls.append("https://www.pornojenny.com/film/mega-negerschwanz-fuer-die-dunkelhaarige-frau-13934/")    
                              self.names.append("Megaprugel fur dunkelhaariges Babe")
                              self.urls.append("https://www.pornojenny.com/film/megapruegel-fuer-dunkelhaariges-babe-12608/")    
                              self.names.append("Pralle Strapsmaus mit Neger beim Sex")
                              self.urls.append("https://www.pornojenny.com/film/pralle-strapsmaus-mit-neger-beim-sex-7196/")    
                              self.names.append("Fette Pimmel bearbeitet das Luder am liebsten")
                              self.urls.append("https://www.pornojenny.com/film/fette-pimmel-bearbeitet-das-luder-am-liebsten-7436/")                                  
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '<source src="(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace(":", "%3a")
               line = "" + url + "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM63/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet LEGENDARNIfilmy ..bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















