from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM79/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM79(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM79/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM79"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("BrothaLovers-Jenna Marie")
                              self.urls.append("https://vk.com/video-96936410_456240572")  
                              self.names.append("BrothaLovers-Amber Chase")
                              self.urls.append("https://vk.com/video-186018111_456243275")  
                              self.names.append("BrothaLovers-Kinsley Anne")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242500")                              
                              self.names.append("BrothaLovers-Jenna Fireworks")
                              self.urls.append("https://vk.com/video-204089844_456240167")
                              self.names.append("BrothaLovers-Kaylynn")
                              self.urls.append("https://vk.com/video357951836_456239030")
                              self.names.append("BrothaLovers-Hazel Moore")
                              self.urls.append("https://vk.com/video-126032549_456256720")
                              self.names.append("BrothaLovers-Kate England Lowtruand Phil Dangers")
                              self.urls.append("https://vk.com/video-210512053_456240321")
                              self.names.append("BrothaLovers-Kagney Linn Karter Cash1")
                              self.urls.append("https://vk.com/video-96141600_456239216")
                              self.names.append("BrothaLovers-Eva Karera")
                              self.urls.append("https://vk.com/video-42678659_456246590")
                              self.names.append("BrothaLovers-Jessie Rogers")
                              self.urls.append("https://vk.com/video-210800958_456239881")
                              self.names.append("BrothaLovers-Taylor Price Cash1")
                              self.urls.append("https://vk.com/video-105273112_171599554")
                              self.names.append("BrothaLovers-Stephanie Love-ToniG")
                              self.urls.append("https://vk.com/video-105273112_171700663")
                              self.names.append("BrothaLovers-Alice Green  Lowtru")
                              self.urls.append("https://vk.com/video-105273112_171536481")
                              self.names.append("BrothaLovers-Diane Limber")
                              self.urls.append("https://vk.com/video-105273112_171580195")
                              self.names.append("BrothaLovers-Amber Moore")
                              self.urls.append("https://vk.com/video-187320292_456253896")
                              self.names.append("BrothaLovers-Amber Moore")
                              self.urls.append("https://vk.com/video-104484945_456239903")
                              self.names.append("BrothaLovers-Jenna Fireworks")
                              self.urls.append("https://vk.com/video-104484945_456239828")
                              self.names.append("BrothaLovers-Amber Moore")
                              self.urls.append("https://vk.com/video-187320292_456253897")
                              self.names.append("BrothaLovers-Valerie White And Derek Skeeter")
                              self.urls.append("https://vk.com/video-187320292_456246859")
                              self.names.append("BrothaLovers-Valerie White")
                              self.urls.append("https://vk.com/video-175181769_456243987")
                              self.names.append("BrothaLovers-myfriendshotmom")
                              self.urls.append("https://vk.com/video-48337221_456239474")
                              self.names.append("BrothaLovers-Bianca Burke")
                              self.urls.append("https://vk.com/video-136099286_456239736")
                              self.names.append("BrothaLovers-Bianca Burke")
                              self.urls.append("https://vk.com/video-149256645_456241924")
                              self.names.append("BrothaLovers-Bianca Burke")
                              self.urls.append("https://vk.com/video-191725384_456239162")
                              self.names.append("BrothaLovers-Bianca Burke")
                              self.urls.append("https://vk.com/video-165582493_456239831")
                              self.names.append("BrothaLovers-Bianca Burke")
                              self.urls.append("https://vk.com/video-191725384_456239744")
                              self.names.append("BrothaLovers-Jenna Marie")
                              self.urls.append("https://vk.com/video-104484945_456239628")
                              self.names.append("BrothaLovers-Jenna Marie")
                              self.urls.append("https://vk.com/video-191725384_456239150")
                              self.names.append("BrothaLovers-JennaMarie")
                              self.urls.append("https://vk.com/video-191725384_456239736")
                              self.names.append("BrothaLovers-Jenna Marie")
                              self.urls.append("https://vk.com/video-191725384_456239158")
                              self.names.append("BrothaLovers-Kate England And Damion Dayski")
                              self.urls.append("https://vk.com/video-172709097_456245337")
                              self.names.append("BrothaLovers-Kate.England.And.Tribal")
                              self.urls.append("https://vk.com/video-215335912_456239765")
                              self.names.append("BrothaLovers-Amber Chase")
                              self.urls.append("https://vk.com/video-152625405_456242147")
                              self.names.append("BrothaLovers-Hazel Moore And Phil Dangers")
                              self.urls.append("https://vk.com/video-172709097_456245336")
                              self.names.append("BrothaLovers-Riley Reynolds")
                              self.urls.append("https://vk.com/video-191725384_456239151")
                              self.names.append("BrothaLovers-Natalie Knight")
                              self.urls.append("https://vk.com/video-186018111_456243315")
                              self.names.append("BrothaLovers-Amber Chase")
                              self.urls.append("https://vk.com/video-170380359_456243472")
                              self.names.append("BrothaLovers-Angelina Diamanti")
                              self.urls.append("https://vk.com/video-104484945_456239905")
                              self.names.append("BrothaLovers-Cassie Bender")
                              self.urls.append("https://vk.com/video-191725384_456239741")
                              self.names.append("BrothaLovers-Cadence Lux")
                              self.urls.append("https://vk.com/video-191725384_456239159")
                              self.names.append("BrothaLovers-Amber Moore")
                              self.urls.append("https://vk.com/video-187320292_456251223")
                              self.names.append("BrothaLovers-Kate.England.And.Phil.Dangers")
                              self.urls.append("https://vk.com/video-215335912_456240508")
                              self.names.append("BrothaLovers-Kate England")
                              self.urls.append("https://vk.com/video-172709097_456245847")
                              self.names.append("BrothaLovers-Aubrey Thomas")
                              self.urls.append("https://vk.com/video-104484945_456239906")
                              self.names.append("BrothaLovers-Alex Harper")
                              self.urls.append("https://vk.com/video-187320292_456251323")
                              self.names.append("BrothaLovers-Kagney Linn Karter")
                              self.urls.append("https://vk.com/video-172709097_456246147")
                              self.names.append("BrothaLovers-Jessie Rogers Flash Brown")
                              self.urls.append("https://vk.com/video-118016506_456239026")
                              self.names.append("BrothaLovers-Anissa Kate And Phil Dangers")
                              self.urls.append("https://vk.com/video-210512053_456239817")
                              self.names.append("BrothaLovers-Eva Karera")
                              self.urls.append("https://vk.com/video-96141600_456239387")
                              self.names.append("BrothaLovers-Kagney Linn Karter")
                              self.urls.append("https://vk.com/video-191725384_456239739")
                              self.names.append("BrothaLovers-Chloe Chaos")
                              self.urls.append("https://vk.com/video-96141600_456239705")
                              self.names.append("BrothaLovers-AmberChase And Lowtru")
                              self.urls.append("https://vk.com/video-187320292_456244791")
                              self.names.append("BrothaLovers-Alex Harper")
                              self.urls.append("https://vk.com/video-203322265_456240345")
                              self.names.append("BrothaLovers-Kate England And Damion Dayski")
                              self.urls.append("https://vk.com/video-210512053_456239786")
                              self.names.append("BrothaLovers-Kate England Lowtru And Phil Dangers")
                              self.urls.append("https://vk.com/video-187320292_456245865")
                              self.names.append("BrothaLovers-Pristine Edge")
                              self.urls.append("https://vk.com/video-191725384_456239148")
                              self.names.append("BrothaLovers-Kashae.Technique.And.Jemarcus.Jackson")
                              self.urls.append("https://vk.com/video-204089844_456240160")
                              self.names.append("BrothaLovers-Celestina Blooms And Phil Dangers")
                              self.urls.append("https://vk.com/video-187320292_456245942")
                              self.names.append("BrothaLovers-Natalie Knight")
                              self.urls.append("https://vk.com/video-197537621_456243740")
                              self.names.append("BrothaLovers-Bianca Burke And Je Marcus Jackson")
                              self.urls.append("https://vk.com/video-210512053_456239769")
                              self.names.append("BrothaLovers-Sara St Clair")
                              self.urls.append("https://vk.com/video-191725384_456239157")
                              self.names.append("BrothaLovers-Jenna.Fireworks.And.Lowtru")
                              self.urls.append("https://vk.com/video-204089844_456240166")
                              self.names.append("BrothaLovers-Jenna Fireworks And Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-210512053_456239776")
                              self.names.append("BrothaLovers-Aubrey Thomas")
                              self.urls.append("https://vk.com/video-197537621_456243746")
                              self.names.append("BrothaLovers-anissa.kate.and.phil.dangers")
                              self.urls.append("https://vk.com/video-204089844_456240161")
                              self.names.append("BrothaLovers-Riley Jacobs And Cash")
                              self.urls.append("https://vk.com/video-187320292_456248056")
                              self.names.append("BrothaLovers-candy.white.and.phil.dangers")
                              self.urls.append("https://vk.com/video-172454327_456259618")
                              self.names.append("BrothaLovers-Scarlett.Hton.and.Phil.Dangers")
                              self.urls.append("https://vk.com/video-204089844_456240164")
                              self.names.append("BrothaLovers-kate.england.avn.hook")
                              self.urls.append("https://vk.com/video-150691430_456252969")
                              self.names.append("BrothaLovers-zanka")
                              self.urls.append("https://vk.com/video-106087314_456239783")
                              self.names.append("BrothaLovers-Candy White And Phil Dangers")
                              self.urls.append("https://vk.com/video-187320292_456250150")
                              self.names.append("BrothaLovers-Kate England And Boyd Banks")
                              self.urls.append("https://vk.com/video-210512053_456239797")
                              self.names.append("BrothaLovers-Kagney Linn Karter Lowtru")
                              self.urls.append("https://vk.com/video-191725384_456240875")
                              self.names.append("BrothaLovers-Kagney Linn Karter-Hardcore")
                              self.urls.append("https://vk.com/video-165582493_456245514")
                              self.names.append("BrothaLovers-Riley.Reyes.and.Javonte.Stone")
                              self.urls.append("https://vk.com/video-204089844_456240163")
                              self.names.append("BrothaLovers-Savannah Stevens And Sean Swipe")
                              self.urls.append("https://vk.com/video-187320292_456244790")
                              self.names.append("BrothaLovers-Sarah Vandella")
                              self.urls.append("https://vk.com/video-48337221_456239539")
                              self.names.append("BrothaLovers-Anastasia Knight")
                              self.urls.append("https://vk.com/video-191725384_456240878")
                              self.names.append("BrothaLovers-Syndee Belle-MrBig-pt1-high")
                              self.urls.append("https://vk.com/video-18958886_171537174")
                              self.names.append("BrothaLovers-Kate England")
                              self.urls.append("https://vk.com/video-191725384_456239169")
                              self.names.append("BrothaLovers-Aubrey Thomas")
                              self.urls.append("https://vk.com/video-191725384_456240877")
                              self.names.append("BrothaLovers-Tia Cyrus")
                              self.urls.append("https://vk.com/video-191725384_456239160")
                              self.names.append("BrothaLovers-Emily Austin")
                              self.urls.append("https://vk.com/video-191725384_456239149")
                              self.names.append("BrothaLovers-Hime Marie")
                              self.urls.append("https://vk.com/video-191725384_456239746")
                              self.names.append("BrothaLovers-Angelina Diamanti Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-191725384_456240880")
                              self.names.append("BrothaLovers-Celestina Blooms Je Marcus Jackson")
                              self.urls.append("https://vk.com/video-191725384_456240876")
                              self.names.append("BrothaLovers-Carmen Valentina Lowtru")
                              self.urls.append("https://vk.com/video-191725384_456240881")
                              self.names.append("BrothaLovers-Emma Starletto")
                              self.urls.append("https://vk.com/video-191725384_456239745")
                              self.names.append("BrothaLovers-Eva Karera")
                              self.urls.append("https://vk.com/video-191725384_456239165")
                              self.names.append("BrothaLovers-Kyler Quinn")
                              self.urls.append("https://vk.com/video-191725384_456239737")
                              self.names.append("BrothaLovers-Kate England")
                              self.urls.append("https://vk.com/video-191725384_456239742")
                              self.names.append("BrothaLovers-Anastasia Knight")
                              self.urls.append("https://vk.com/video-191725384_456239163")
                              self.names.append("BrothaLovers-Kate England")
                              self.urls.append("https://vk.com/video-191725384_456239155")
                              self.names.append("BrothaLovers-Angelina Diamanti")
                              self.urls.append("https://vk.com/video-191725384_456239168")
                              self.names.append("BrothaLovers-Moka Mora")
                              self.urls.append("https://vk.com/video-191725384_456239738")
                              self.names.append("BrothaLovers-Luna Rival")
                              self.urls.append("https://vk.com/video-191725384_456239735")
                              self.names.append("BrothaLovers-Reena Sky")
                              self.urls.append("https://vk.com/video-191725384_456239166")
                              self.names.append("BrothaLovers-Judy Jolie")
                              self.urls.append("https://vk.com/video-191725384_456239156")
                              self.names.append("BrothaLovers-Savannah Stevens")
                              self.urls.append("https://vk.com/video-191725384_456239743")
                              self.names.append("BrothaLovers-Sarah Vandella")
                              self.urls.append("https://vk.com/video-191725384_456239740")
                              self.names.append("BrothaLovers-Valerie White")
                              self.urls.append("https://vk.com/video-191725384_456239154")
                              self.names.append("BrothaLovers-Kate England Anastasia Knight")
                              self.urls.append("https://vk.com/video-191725384_456239167")
                              self.names.append("BrothaLovers-Reena Sky")
                              self.urls.append("https://vk.com/video-133180178_456239575")
                              self.names.append("BrothaLovers-Reena Sky 2017")
                              self.urls.append("https://vk.com/video-135154925_456239248")
                              self.names.append("BrothaLovers-Cindy Sun.")
                              self.urls.append("https://vk.com/video-153555986_456239040")
                              self.names.append("BrothaLovers-Savannah Stevens Jovan Jordan")
                              self.urls.append("https://vk.com/video-93149017_456239908")
                              self.names.append("BrothaLovers-Kashae Technique")
                              self.urls.append("https://vk.com/video-201110384_456240282")
                              self.names.append("BrothaLovers-Jenna Fireworks Lowtru")
                              self.urls.append("https://vk.com/video-195765461_456239165")
                              self.names.append("BrothaLovers-KylerQuinn Lowtru-1")
                              self.urls.append("https://vk.com/video-148989495_456258810")
                              self.names.append("BrothaLovers-Niki Snow")
                              self.urls.append("https://vk.com/video-96141600_456239360")
                              self.names.append("BrothaLovers-Jennifer Ashton")
                              self.urls.append("https://vk.com/video-179190252_456242413")
                              self.names.append("BrothaLovers-Jennifer Ashton Lowtru")
                              self.urls.append("https://vk.com/video-96141600_456239181")
                              self.names.append("BrothaLovers-Barbie Blazer Mr.Big-1")
                              self.urls.append("https://vk.com/video-105273112_171534138")
                              self.names.append("BrothaLovers-Candy Co Tton Ty")
                              self.urls.append("https://vk.com/video-105273112_171571689")
                              self.names.append("BrothaLovers-Jennifer Ashton DFWKnight Marco")
                              self.urls.append("https://vk.com/video-105273112_171608322")
                              self.names.append("BrothaLovers-Savannah Stevens")
                              self.urls.append("https://vk.com/video-67894857_456243390")
                              self.names.append("BrothaLovers-Skylar Vox-Skylar Voxand Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-141785907_456241002")
                              self.names.append("BrothaLovers-Riley Reyes")
                              self.urls.append("https://vk.com/video-104484945_456239881")
                              self.names.append("BrothaLovers-Riley Reyesand Javonte Stone")
                              self.urls.append("https://vk.com/video-210512053_456241489")
                              self.names.append("BrothaLovers-Hazel Moore")
                              self.urls.append("https://vk.com/video-216962646_456239049")
                              self.names.append("BrothaLovers-Emma Starletto and Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-199124038_456240169")
                              self.names.append("BrothaLovers-Jenna.Fireworks.And.Jemarcus.Jackson")
                              self.urls.append("https://vk.com/video-204089844_456240165")
                              self.names.append("BrothaLovers-Skylar Vox and Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-148989495_456261908")
                              self.names.append("BrothaLovers-Skylar Vox-Skylar Vox and Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-212288666_456239248")
                              self.names.append("BrothaLovers-Hazel Moore")
                              self.urls.append("https://vk.com/video-191725384_456239164")
                              self.names.append("BrothaLovers-Hazel Moore")
                              self.urls.append("https://vk.com/video-210301053_456247305")
                              self.names.append("BrothaLovers-Riley Reynolds")
                              self.urls.append("https://vk.com/video-209662437_456246342")
                              self.names.append("BrothaLovers-Chloe Chaos")
                              self.urls.append("https://vk.com/video-210301053_456242910")
                              self.names.append("BrothaLovers-Pristine Edge Lowtru")
                              self.urls.append("https://vk.com/video-135154925_456239278")
                              self.names.append("BrothaLovers-Chloe Riley Lowtru")
                              self.urls.append("https://vk.com/video-60945920_171625685")
                              self.names.append("BrothaLovers-Summer Carter Lowtru")
                              self.urls.append("https://vk.com/video-96141600_456239195")
                              self.names.append("BrothaLovers-Alana Rains-Lowtru")
                              self.urls.append("https://vk.com/video-55993209_456239037")
                              self.names.append("BrothaLovers-Jessie Rogers Lowtru")
                              self.urls.append("https://vk.com/video-64534668_171329410")
                              self.names.append("BrothaLovers-Alice Green Lowtru")
                              self.urls.append("https://vk.com/video-96141600_456239295")
                              self.names.append("BrothaLovers-Nikki Delano Lowtru")
                              self.urls.append("https://vk.com/video-96141600_456239296")
                              self.names.append("BrothaLovers-Mallory Thompson-Lowtru-high")
                              self.urls.append("https://vk.com/video-73147569_169033387")
                              self.names.append("BrothaLovers-Jessie Rogers Lowtru")
                              self.urls.append("https://vk.com/video-64534668_171320539")
                              self.names.append("BrothaLovers-Tara Ashley")
                              self.urls.append("https://vk.com/video-184348226_456239954")
                              self.names.append("BrothaLovers-Tara Ashley")
                              self.urls.append("https://vk.com/video-199124038_456239878")
                              self.names.append("BrothaLovers-Anastasia Knight")
                              self.urls.append("https://vk.com/video-150731609_456252298")
                              self.names.append("BrothaLovers-Anastasia Knight")
                              self.urls.append("https://vk.com/video-87462670_456240658")
                              self.names.append("BrothaLovers-Anastasia Knight")
                              self.urls.append("https://vk.com/video-136454481_456242251")
                              self.names.append("BrothaLovers-Anastasia Knight")
                              self.urls.append("https://vk.com/video-118775062_456239491")
                              self.names.append("BrothaLovers-Kagney Linn Karter And Lowtru")
                              self.urls.append("https://vk.com/video-187320292_456248141")
                              self.names.append("BrothaLovers-Angelina Diamantiand Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-56772707_456250772")
                              self.names.append("BrothaLovers-Skylar Vox And Jemarcus Jackson")
                              self.urls.append("https://vk.com/video-181266330_456253077")
                              self.names.append("BrothaLovers-Natalie Knight And Phil Dangers")
                              self.urls.append("https://vk.com/video-199996377_456239282")
                              self.names.append("BrothaLovers-Hazel Moore Phil Dangers")
                              self.urls.append("https://vk.com/video-126032549_456256706")
                              self.names.append("BrothaLovers-Kagney Linn Karter")
                              self.urls.append("https://vk.com/video/@id214185242?z=video214185242_456242501")
                              self.names.append("BrothaLovers-Alison Star")
                              self.urls.append("https://vk.com/video-96936410_171470619")
                              self.names.append("BrothaLovers-Kagney Linn Karter")
                              self.urls.append("https://vk.com/video-96936410_171450374")
                              self.names.append("BrothaLovers-Nikki Snow")
                              self.urls.append("https://vk.com/video-96936410_456239117")
                              self.names.append("BrothaLovers-Kagney Linn Karter")
                              self.urls.append("https://vk.com/video-96936410_171439746")                             
                              self.names.append("BrothaLovers-Jennifer Ashton")
                              self.urls.append("https://vk.com/video-96936410_171448328")
                              self.names.append("BrothaLovers-Rachel Rayye")
                              self.urls.append("https://vk.com/video-96936410_456239046")
                              self.names.append("BrothaLovers-Kate England")
                              self.urls.append("https://vk.com/video-96936410_456240356")
                              self.names.append("BrothaLovers-Sofie Carter")
                              self.urls.append("https://vk.com/video-96936410_171645105")
                              self.names.append("BrothaLovers-Kira Lake")
                              self.urls.append("https://vk.com/video-96936410_171477749")
                              self.names.append("BrothaLovers-Erin Moore")
                              self.urls.append("https://vk.com/video-96936410_171871161")
                              self.names.append("BrothaLovers-Angela Attison")
                              self.urls.append("https://vk.com/video-96936410_171794076")
                              self.names.append("BrothaLovers-Kalani Breeze")
                              self.urls.append("https://vk.com/video-96936410_171728177")
                              self.names.append("BrothaLovers-Kali Kavalli")
                              self.urls.append("https://vk.com/video-96936410_171644403")
                              self.names.append("BrothaLovers-Jessie Rogers")
                              self.urls.append("https://vk.com/video-96936410_171605220")
                              self.names.append("BrothaLovers-Jessie Rogers")
                              self.urls.append("https://vk.com/video-96936410_171604667")
                              self.names.append("BrothaLovers-Allison Star")
                              self.urls.append("https://vk.com/video-96936410_171472083")
                              self.names.append("BrothaLovers-Emily Austin")
                              self.urls.append("https://vk.com/video-96936410_171448494")
                              self.names.append("BrothaLovers-Kali Kavalli")
                              self.urls.append("https://vk.com/video-96936410_171448267")
                              self.names.append("BrothaLovers-Kagney Linn Karter")
                              self.urls.append("https://vk.com/video-96936410_171445159")
                              self.names.append("BrothaLovers-Allie James")
                              self.urls.append("https://vk.com/video-18789734_171290399")  
                              self.names.append("BrothaLovers-Anissa Kate")
                              self.urls.append("https://vk.com/video-104484945_456239534")                                     
                              self.names.append("BrothaLovers-x")
                              self.urls.append("https://vk.com/video-96936410_456240507")                              
                              self.names.append("BrothaLovers-xx")
                              self.urls.append("https://vk.com/video-96936410_456240517")                              
                              self.names.append("BrothaLovers-xxx")
                              self.urls.append("https://vk.com/video-96936410_456239286")
                              self.names.append("BrothaLovers-xxxx")
                              self.urls.append("https://vk.com/video-96936410_456240698")
                              self.names.append("BrothaLovers-xxxxx")
                              self.urls.append("https://vk.com/video-96936410_456240693")     
                              self.names.append("BrothaLovers-xxxxxx")
                              self.urls.append("https://vk.com/video-96936410_456240497")   
                              self.names.append("BrothaLovers-xxxxxxx")
                              self.urls.append("https://vk.com/video-96936410_456240496")      
                              self.names.append("BrothaLovers-Tara Ashley")
                              self.urls.append("https://vk.com/video-199124038_456239878")                              
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '</a>. <a href="(.*?)/away.php'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2

               line = "" + url + "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM79/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet BrothaLovers ..bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()               


    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















