from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM87/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM87(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM87/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM87"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Tough-My-Wife--Jordan-Maxx--Slutty-Cheerleader-Cosplay-Wife--Horny-Halloween")
                              self.urls.append("https://hdporn92.com/tough-my-wife-jordan-maxx-slutty-cheerleader-cosplay-wife-horny-halloween/")                                                          
                              self.names.append("Touch-My-Wife--Lilly-Hall--Caught-Wife-Cheating-Then-Revenge-Fuck")
                              self.urls.append("https://hdporn92.com/touch-my-wife-lilly-hall-caught-wife-cheating-then-revenge-fuck/")
                              self.names.append("Touch-My-Wife--Sydney-Hail--Pissed-Wife-F-rces-Hubby-to-Watch")
                              self.urls.append("https://hdporn92.com/touch-my-wife-sydney-hail-pissed-wife-f-rces-hubby-to-watch/")
                              self.names.append("TouchMyWife--Richelle-Ryan--Special-Valentine-Day-Chocolate-for-My-Wife")
                              self.urls.append("https://hdporn92.com/touchmywife-richelle-ryan-special-valentines-day-chocolate-for-my-wife/")
                              self.names.append("TouchMyWife--Cadence-Lux--Rough-Sex-After-Catching-Cheating-Wife")
                              self.urls.append("https://hdporn92.com/touchmywife-cadence-lux-rough-sex-after-catching-cheating-wife/")
                              self.names.append("TouchMyWife--Kiara-Edwards--Blindfolded-Wife-Swings-st-Time")
                              self.urls.append("https://hdporn92.com/touchmywife-kiara-edwards-blindfolded-wife-swings-st-time/")
                              self.names.append("TouchMyWife--Audrey-Miles--Horny-Wife-Helps-Stranger-Pitch-A-Tent")
                              self.urls.append("https://hdporn92.com/touchmywife-audrey-miles-horny-wife-helps-stranger-pitch-a-tent/")
                              self.names.append("TouchMyWife--Aria-Kai--Bar-BBC-Pick-up-For-Horny-Wife")
                              self.urls.append("https://hdporn92.com/touchmywife-aria-kai-bar-bbc-pick-up-for-horny-wife/")
                              self.names.append("TouchMyWife--Carmela-Clunch--Angry-Wife-Fucks-Stud--Calls-Cuck")
                              self.urls.append("https://hdporn92.com/touchmywife-carmela-clunch-angry-wife-fucks-stud-calls-cuck/")
                              self.names.append("TouchMyWife--Kitten-Latenight-Wants-to-Play")
                              self.urls.append("https://hdporn92.com/touchmywife-kitten-latenight-wants-to-play/")
                              self.names.append("TouchMyWife--Kali-Roses--BBC-Birthday-Surprise")
                              self.urls.append("https://hdporn92.com/touchmywife-kali-roses-bbc-birthday-surprise/")
                              self.names.append("TouchMyWife--Brianna-Rose--I-Warned-You30")
                              self.urls.append("https://hdporn92.com/touchmywife-brianna-rose-i-warned-you/")
                              self.names.append("TouchMyWife--Lolly-Dames--He-Stretches-My-Wife-Out-Better")
                              self.urls.append("https://hdporn92.com/touchmywife-lolly-dames-he-stretches-my-wife-out-better/")
                              self.names.append("TouchMyWife--Keira-Croft--Surprise-Anniversary-Cuck-Vid-for-Hubby")
                              self.urls.append("https://hdporn92.com/touchmywife-keira-croft-surprise-anniversary-cuck-vid-for-hubby/")
                              self.names.append("TouchMyWife--Ally-Cooper--Getting-Cock--Creampied-Just-For-You")
                              self.urls.append("https://hdporn92.com/touchmywife-ally-cooper-getting-cock-creampied-just-for-you/")
                              self.names.append("TouchMyWife--Richelle-Ryan--Trying-Something-New-for-You")
                              self.urls.append("https://hdporn92.com/touchmywife-richelle-ryan-trying-something-new-for-you/")
                              self.names.append("TouchMyWife--Indica-Monroe--Take-Notes-Hubby")
                              self.urls.append("https://hdporn92.com/touchmywife-indica-monroe-take-notes-hubby/")
                              self.names.append("TouchMyWife--Victoria-June--Liking-the-Local-Wood")
                              self.urls.append("https://hdporn92.com/touchmywife-victoria-june-liking-the-local-wood/")
                              self.names.append("TouchMyWife--Reyna-Delacruz--No-Backing-Out-Now30")
                              self.urls.append("https://hdporn92.com/touchmywife-reyna-delacruz-no-backing-out-now/")
                              self.names.append("TouchMyWife--Victoria-Lobov--A-Tempting-Tease")
                              self.urls.append("https://hdporn92.com/touchmywife-victoria-lobov-a-tempting-tease/")
                              self.names.append("TouchMyWife--Aria-Banks--It-OK-Hubby-Likes-it")
                              self.urls.append("https://hdporn92.com/touchmywife-aria-banks-its-ok-hubby-likes-it/")
                              self.names.append("TouchMyWife--Blake-Blossom--My-Wife-Biggest-Cock-Yet")
                              self.urls.append("https://hdporn92.com/touchmywife-blake-blossom-my-wifes-biggest-cock-yet/")
                              self.names.append("TouchMyWife--Nadia-White--Wife-Fucks-BFF-BBC-Boyfriend-for-Me")
                              self.urls.append("https://hdporn92.com/touchmywife-nadia-white-wife-fucks-bffs-bbc-boyfriend-for-me/")
                              self.names.append("TouchMyWife--Cecilia-Lion--We-Don-Have-To-Involve-Insurance30")
                              self.urls.append("https://hdporn92.com/touchmywife-cecilia-lion-we-dont-have-to-involve-insurance/")
                              self.names.append("TouchMyWife--Vivianne-De-Silva--My-Husband-Boss-Has-a-Huge-BBC")
                              self.urls.append("https://hdporn92.com/touchmywife-vivianne-de-silva-my-husbands-boss-has-a-huge-bbc/")
                              self.names.append("TouchMyWife--Katlynn-Keys--My-Wife-Bangs-Black-Male-Stripper")
                              self.urls.append("https://hdporn92.com/touchmywife-katlynn-keys-my-wife-bangs-black-male-stripper/")
                              self.names.append("TouchMyWife--Angel-Youngs--No-Rent-Necessary")
                              self.urls.append("https://hdporn92.com/touchmywife-angel-youngs-no-rent-necessary/")
                              self.names.append("TouchMyWife--Macy-Meadows--Jasmine-Vega--Wife--BFF-Put-On-Show-For-Hubby")
                              self.urls.append("https://hdporn92.com/touchmywife-macy-meadows-jasmine-vega-wife-bff-put-on-show-for-hubby/")
                              self.names.append("TouchMyWife--Jennifer-White--Rimming-Another-Man-For-My-Hubby")
                              self.urls.append("https://hdporn92.com/touchmywife-jennifer-white-rimming-another-man-for-my-hubby/")
                              self.names.append("TouchMyWife--Kyler-Quinn--Petite-Wife-Tricked-Into-Huge-BBC")
                              self.urls.append("https://hdporn92.com/touchmywife-kyler-quinn-petite-wife-tricked-into-huge-bbc/")
                              self.names.append("TouchMyWife--Caitlin-Bell--Hook-Line--Pound7er")
                              self.urls.append("https://hdporn92.com/touchmywife-caitlin-bell-hook-line-pounder/")
                              self.names.append("TouchMyWife--Sophia-Leone--The-Watcher")
                              self.urls.append("https://hdporn92.com/touchmywife-sophia-leone-the-watcher/")
                              self.names.append("TouchMyWife--Kiki-Klout--The-After-Club-Party")
                              self.urls.append("https://hdporn92.com/touchmywife-kiki-klout-the-after-club-party/")
                              self.names.append("TouchMyWife--Leana-Lovings--Older-Man-Fantasy")
                              self.urls.append("https://hdporn92.com/touchmywife-leana-lovings-older-man-fantasy/")
                              self.names.append("TouchMyWife--Valentina-Bellucci--Can-Wait-To-Watch-With-You")
                              self.urls.append("https://hdporn92.com/touchmywife-valentina-bellucci-cant-wait-to-watch-with-you/")
                              self.names.append("TouchMyWife--Anna-Chambers--Good-At-Games")
                              self.urls.append("https://hdporn92.com/touchmywife-anna-chambers-good-at-games/")
                              self.names.append("TouchMyWife--Kate-Dee--Wife-Removes-Condom-On-BBC")
                              self.urls.append("https://hdporn92.com/touchmywife-kate-dee-wife-removes-condom-on-bbc/")
                              self.names.append("TouchMyWife--Kali-Roses--BBC-Creampie-My-Bad-Cop-Hotwife")
                              self.urls.append("https://hdporn92.com/touchmywife-kali-roses-bbc-creampie-my-bad-cop-hotwife/")
                              self.names.append("TouchMyWife--Kendra-Heart--Making-The-Team")
                              self.urls.append("https://hdporn92.com/touchmywife-kendra-heart-making-the-team/")
                              self.names.append("TouchMyWife--Jessie-Saint--Madison-Summers--Couples-Fun")
                              self.urls.append("https://hdporn92.com/touchmywife-jessie-saint-madison-summers-couples-fun/")
                              self.names.append("TouchMyWife--Armani-Black--My-Wife-The-Gambler-Gobble-Gobble")
                              self.urls.append("https://hdporn92.com/touchmywife-armani-black-my-wife-the-gambler-gobble-gobble/")
                              self.names.append("TouchMyWife--Jodi-West--How-My-Hotwife-Gives-a-Tip")
                              self.urls.append("https://hdporn92.com/touchmywife-jodi-west-how-my-hotwife-gives-a-tip/")
                              self.names.append("TouchMyWife--Gia-Oh-My--One-Last-Vacation-Fling")
                              self.urls.append("https://hdporn92.com/touchmywife-gia-oh-my-one-last-vacation-fling/")
                              self.names.append("TouchMyWife--Payton-Preslee--My-Busty-Bunny-Humping-Wife")
                              self.urls.append("https://hdporn92.com/touchmywife-payton-preslee-my-busty-bunny-humping-wife/")
                              self.names.append("TouchMyWife--Sydney-Paige--Big--Black")
                              self.urls.append("https://hdporn92.com/touchmywife-sydney-paige-big-black/")
                              self.names.append("TouchMyWife--Carmela-Clutch--Rimming-In-The-Holidays-With-Chocolate-Balls")
                              self.urls.append("https://hdporn92.com/touchmywife-carmela-clutch-rimming-in-the-holidays-with-chocolate-balls/")
                              self.names.append("TouchMyWife--Slimthick-Vic--Wife-Kissing-BBC-At-Midnight")
                              self.urls.append("https://hdporn92.com/touchmywife-slimthick-vic-wife-kissing-bbc-at-midnight/")
                              self.names.append("TouchMyWife--Evelyn-Payne--Caught-Dick-Handed")
                              self.urls.append("https://hdporn92.com/touchmywife-evelyn-payne-caught-dick-handed/")
                              self.names.append("TouchMyWife--Ashlyn-Peaks--Wife-Can-Take-It-Anymore")
                              self.urls.append("https://hdporn92.com/touchmywife-ashlyn-peaks-wife-cant-take-it-anymore/")
                              self.names.append("TouchMyWife--Katie-Kingerie--Seedy-Stripper-Hotel-BBC-Sex")
                              self.urls.append("https://hdporn92.com/touchmywife-katie-kingerie-seedy-stripper-hotel-bbc-sex/")
                              self.names.append("TouchMyWife--Abby-Somers--Dinner--Dessert")
                              self.urls.append("https://hdporn92.com/touchmywife-abby-somers-dinner-dessert/")
                              self.names.append("TouchMyWife--Kate-Dee--Curious-Cock")
                              self.urls.append("https://hdporn92.com/touchmywife-kate-dee-curious-cock/")
                              self.names.append("TouchMyWife--Kay-Lovely--Blindfold-BBC--Chocolate-V-Day-Surprise")
                              self.urls.append("https://hdporn92.com/touchmywife-kay-lovely-blindfold-bbc-chocolate-v-day-surprise/")
                              self.names.append("TouchMyWife--Zoey-Sinn--Show-Me-What-You-Did")
                              self.urls.append("https://hdporn92.com/touchmywife-zoey-sinn-show-me-what-you-did/")
                              self.names.append("TouchMyWife--Madison-Lust--My-Wife-Nervous-Payback")
                              self.urls.append("https://hdporn92.com/touchmywife-madison-lust-my-wifes-nervous-payback/")
                              self.names.append("TouchMyWife--Jordy-Love--My-Wife-Catch-Of-The-Day30-Big-Cock")
                              self.urls.append("https://hdporn92.com/touchmywife-jordy-love-my-wifes-catch-of-the-day-big-cock/")
                              self.names.append("TouchMyWife--Slimthick-Vic--Wifey-Gets-Lucky-On-St.-Patty-Day")
                              self.urls.append("https://hdporn92.com/touchmywife-slimthick-vic-wifey-gets-lucky-on-st-pattys-day/")
                              self.names.append("TouchMyWife--MJ-Fresh--Unexpected")
                              self.urls.append("https://hdporn92.com/touchmywife-mj-fresh-unexpected/")
                              self.names.append("TouchMyWife--Blake-Blossom--April-Fools-No-Sex-For-You")
                              self.urls.append("https://hdporn92.com/touchmywife-blake-blossom-april-fools-no-sex-for-you/")
                              self.names.append("TouchMyWife--Gianna-Grey--Hubby-Watches-From-the-Closet")
                              self.urls.append("https://hdporn92.com/touchmywife-gianna-grey-hubby-watches-from-the-closet/")
                              self.names.append("TouchMyWife--Mackenzie-Mace--Nudist-Resort-Romp")
                              self.urls.append("https://hdporn92.com/touchmywife-mackenzie-mace-nudist-resort-romp/")
                              self.names.append("TouchMyWife--Carmen-Valentina--Payback-With-Pleasure")
                              self.urls.append("https://hdporn92.com/touchmywife-carmen-valentina-payback-with-pleasure/")
                              self.names.append("TouchMyWife--JC-Wilds--Let-Film--Fiesta")
                              self.urls.append("https://hdporn92.com/touchmywife-jc-wilds-lets-film-fiesta/")
                              self.names.append("Mother-Day-Chocolate--Karen-Fisher")
                              self.urls.append("https://hdporn92.com/mothers-day-chocolate-karen-fisher/")
                              self.names.append("TouchMyWife--Anissa-Kate--Coffee--Cock")
                              self.urls.append("https://hdporn92.com/touchmywife-anissa-kate-coffee-cock/")
                              self.names.append("TouchMyWife--Quinn-Waters--Hooker-Hotel-Hookup")
                              self.urls.append("https://hdporn92.com/touchmywife-quinn-waters-hooker-hotel-hookup/")
                              self.names.append("TouchMyWife--Arietta-Adams--Serviced-For-Service")
                              self.urls.append("https://hdporn92.com/touchmywife-arietta-adams-serviced-for-service/")
                              self.names.append("TouchMyWife--Syren-De-Mer--Wife-Likes-Dark-Meat")
                              self.urls.append("https://hdporn92.com/touchmywife-syren-de-mer-wife-likes-dark-meat/")
                              self.names.append("TouchMyWife--Dixie-Lynn--Treat-My-Young-Wife-Like-A-Whore")
                              self.urls.append("https://hdporn92.com/touchmywife-dixie-lynn-treat-my-young-wife-like-a-whore/")
                              self.names.append("TouchMyWife--Kiki-Vidis--Round--")
                              self.urls.append("https://hdporn92.com/touchmywife-kiki-vidis-round-/")
                              self.names.append("TouchMyWife--Mandy-Rhea--Creampie-Finish-For-Father-Day-Cuck")
                              self.urls.append("https://hdporn92.com/touchmywife-mandy-rhea-creampie-finish-for-fathers-day-cuck/")
                              self.names.append("TouchMyWife--Vivianne-DeSilva--Wife-Welcomes-Our-New-Neighbor")
                              self.urls.append("https://hdporn92.com/touchmywife-vivianne-desilva-wife-welcomes-our-new-neighbor/")
                              self.names.append("TouchMyWife--Chanel-Brooks--Baby30-Can-He-Cum-In-My-Ass?")
                              self.urls.append("https://hdporn92.com/touchmywife-chanel-brooks-baby-can-he-cum-in-my-ass/")
                              self.names.append("TouchMyWife--Demi-Diveena--New-House--BBC-For-The-Wifey")
                              self.urls.append("https://hdporn92.com/touchmywife-demi-diveena-new-house-bbc-for-the-wifey/")
                              self.names.append("TouchMyWife--Sweet-Sophia--Wife-BBC-Anal-Training")
                              self.urls.append("https://hdporn92.com/touchmywife-sweet-sophia-wifes-bbc-anal-training/")
                              self.names.append("TouchMyWife--Anna-Claire-Clouds--Fucking-Her-Ex-In-Front-of-Me")
                              self.urls.append("https://hdporn92.com/touchmywife-anna-claire-clouds-fucking-her-ex-in-front-of-me/")
                              self.names.append("TouchMyWife--Josie-Tucker--Watch-This-Bitch")
                              self.urls.append("https://hdporn92.com/touchmywife-josie-tucker-watch-this-bitch/")
                              self.names.append("TouchMyWife--Kenzie-Love--Baby30You-Brought-Him-Back-for-Me??")
                              self.urls.append("https://hdporn92.com/touchmywife-kenzie-love-baby-you-brought-him-back-for-me/")
                              self.names.append("TouchMyWife--Lily-Starfire--Wife-Gets-Personal-With-Our-Trainer")
                              self.urls.append("https://hdporn92.com/touchmywife-lily-starfire-wife-gets-personal-with-our-trainer/")
                              self.names.append("TouchMyWife--Leana-Lovings--Caught-Lying-In-Our-Own-Home")
                              self.urls.append("https://hdporn92.com/touchmywife-leana-lovings-caught-lying-in-our-own-home/")
                              self.names.append("TouchMyWife--Briana-Banderas--Pre-Party-Poolside--Pussy-Penetrating-Fun")
                              self.urls.append("https://hdporn92.com/touchmywife-briana-banderas-pre-party-poolside-pussy-penetrating-fun/")
                              self.names.append("TouchMyWife--Nami-Lee---Shy-Asian-Wife-st-BBC-Swing")
                              self.urls.append("https://hdporn92.com/touchmywife-nami-lee-shy-asian-wife-st-bbc-swing/")
                              self.names.append("TouchMyWife--Gaby-Ortega---Hotel-+-Horny-Hotwife-=-Great-Vacation")
                              self.urls.append("https://hdporn92.com/touchmywife-gaby-ortega-hotel-horny-hotwife-great-vacation/")
                              self.names.append("TouchMyWife--Sage-Pillar---The-Closet-Cuckold")
                              self.urls.append("https://hdporn92.com/touchmywife-sage-pillar-the-closet-cuckold/")
                              self.names.append("TouchMyWife--Brookie-Blair---Serviced-by-Hotel-Staff")
                              self.urls.append("https://hdporn92.com/touchmywife-brookie-blair-serviced-by-hotel-staff/")
                              self.names.append("TouchMyWife--Aria-Banks---It-Over")
                              self.urls.append("https://hdporn92.com/touchmywife-aria-banks-its-over/")
                              self.names.append("TouchMyWife--Serena-Santos---Gas-Station-Pickup-Before-Party")
                              self.urls.append("https://hdporn92.com/touchmywife-serena-santos-gas-station-pickup-before-party/")
                              self.names.append("TouchMyWife--Aria-Banks---It-Over")
                              self.urls.append("https://hdporn92.com/touchmywife-aria-banks-its-over-/")
                              self.names.append("TouchMyWife--Vivianne-Desilva--Primal-Fucking")
                              self.urls.append("https://hdporn92.com/touchmywife-vivianne-desilva-primal-fucking/")
                              self.names.append("TouchMyWife--Callie-Brooks---Red-White--Bang-My-Wife")
                              self.urls.append("https://hdporn92.com/touchmywife-callie-brooks-red-white-bang-my-wife/")
                              self.names.append("TouchMyWife--Maria-Kazi---Filming-The-First-Time")
                              self.urls.append("https://hdporn92.com/touchmywife-maria-kazi-filming-the-first-time/")
                              self.names.append("TouchMyWife--Skyla-Sun--Man-That-Takes-Charge")
                              self.urls.append("https://hdporn92.com/touchmywife-skyla-sun-man-that-takes-charge/")
                      showlist(self.names, self["list"]) 
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               content2 = getUrl2(url, url)
               regexvideo = 'https://streamtape(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "https://streamtape" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (K HTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36' --referer 'https://streamtape.com/' '" + url + "' > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM87/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet TouchMyWife-bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















