from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM91/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM91(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM91/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM91"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Intimate Massage Persuasions 2")
                              self.urls.append("https://hdporn92.com/intimate-massage-persuasions-2/")                                                          
                              self.names.append("Amateur Vol 1")
                              self.urls.append("https://hdporn92.com/amateur-vol-1/")
                              self.names.append("No Teens Allowed 4")
                              self.urls.append("https://hdporn92.com/no-teens-allowed-4-2022/")         
                              self.names.append("Threesome Vol 1")
                              self.urls.append("https://hdporn92.com/threesome-vol-1/")  
                              self.names.append("Big Boobs 100 Naturals Vol 3")
                              self.urls.append("https://hdporn92.com/big-boobs-100-naturals-vol-3/")  
                              self.names.append("Brickzilla Monster Of Cock")
                              self.urls.append("https://hdporn92.com/brickzilla-monster-of-cock/")  
                              self.names.append("The Babysitters Ass")
                              self.urls.append("https://hdporn92.com/the-babysitters-ass/")  
                              self.names.append("Good Hard Fucking 13")
                              self.urls.append("https://hdporn92.com/good-hard-fucking-13/")  
                              self.names.append("Big Naturals Vol 64")
                              self.urls.append("https://hdporn92.com/big-naturals-vol-64/")  
                              self.names.append("Grandpa in Love")
                              self.urls.append("https://hdporn92.com/grandpa-in-love-2022/")  
                              self.names.append("I Fucked My Best Friends Dad 5")
                              self.urls.append("https://hdporn92.com/i-fucked-my-best-friends-dad-5-2022/")      
                              self.names.append("Teens Love Huge Cocks Vol 51")
                              self.urls.append("https://hdporn92.com/teens-love-huge-cocks-vol-51-2022/")  
                              self.names.append("Teen Seen")
                              self.urls.append("https://hdporn92.com/teen-seen-2022/") 
                              self.names.append("Slutty Wife Happy Life Vol 12")
                              self.urls.append("https://hdporn92.com/slutty-wife-happy-life-vol-12-2022/")  
                              self.names.append("Stars 4")
                              self.urls.append("https://hdporn92.com/stars-4-2022/") 
                              self.names.append("Its A Black Family Thing 2")
                              self.urls.append("https://hdporn92.com/its-a-black-family-thing-2/")  
                              self.names.append("Its A Black Family Thing")
                              self.urls.append("https://hdporn92.com/its-a-black-family-thing/") 
                              self.names.append("Canadian Cheating Wives")
                              self.urls.append("https://hdporn92.com/canadian-cheating-wives/")  
                              self.names.append("Share My Boyfriend Vol 31")
                              self.urls.append("https://hdporn92.com/share-my-boyfriend-vol-31/") 
                              self.names.append("Impulse V2")
                              self.urls.append("https://hdporn92.com/impulse-v2-2022/")  
                              self.names.append("Gorgeous Girls In Lingerie Vol 3")
                              self.urls.append("https://hdporn92.com/gorgeous-girls-in-lingerie-vol-3-2022/")     
                              self.names.append("Gorgeous Girls In Lingerie Vol 2 ")
                              self.urls.append("https://hdporn92.com/gorgeous-girls-in-lingerie-vol-2-2022/")  
                              self.names.append("Stuck in the Friend Zone")
                              self.urls.append("https://hdporn92.com/stuck-in-the-friend-zone-2022/")  
                              self.names.append("The Dark Side of Brandi Love")
                              self.urls.append("https://hdporn92.com/the-dark-side-of-brandi-love-2022/")  
                              self.names.append("Tight Little Asians 3")
                              self.urls.append("https://hdporn92.com/tight-little-asians-3-2022/")  
                              self.names.append("Knotty Family Tree Vol 13")
                              self.urls.append("https://hdporn92.com/knotty-family-tree-vol-13-step-family-fetish-fun-2022/")  
                              self.names.append("Samba Fuck Party Orgy")
                              self.urls.append("https://hdporn92.com/samba-fuck-party-orgy-2022/")  
                              self.names.append("Cheaters Cant Resist BBC")
                              self.urls.append("https://hdporn92.com/cheaters-cant-resist-bbc/")  
                              self.names.append("Cuckold Sessions 39")
                              self.urls.append("https://hdporn92.com/cuckold-sessions-39-2022/")  
                              self.names.append("Blacked Raw V55")
                              self.urls.append("https://hdporn92.com/blacked-raw-v55/")  
                              self.names.append("Tushy Raw V38")
                              self.urls.append("https://hdporn92.com/tushy-raw-v38-2022/")          
                              self.names.append("Absolutely Amazing Tits")
                              self.urls.append("https://hdporn92.com/absolutely-amazing-tits/")  
                              self.names.append("Step Siblings 6")
                              self.urls.append("https://hdporn92.com/step-siblings-6/")  
                              self.names.append("Cheating With Black Cocks Vol 4")
                              self.urls.append("https://hdporn92.com/cheating-with-black-cocks-vol-4/")  
                              self.names.append("True Amateurs Vol 17")
                              self.urls.append("https://hdporn92.com/true-amateurs-vol-17-2022/")  
                              self.names.append("Pure 18 Vol 47")
                              self.urls.append("https://hdporn92.com/pure-18-vol-47-2022/")  
                              self.names.append("Hot Babes")
                              self.urls.append("https://hdporn92.com/hot-babes/")   
                              self.names.append("DILF Chasers")
                              self.urls.append("https://hdporn92.com/dilf-chasers/")  
                              self.names.append("3rd Wheel 3")
                              self.urls.append("https://hdporn92.com/3rd-wheel-3/")  
                              self.names.append("Teenage Party Hearty")
                              self.urls.append("https://hdporn92.com/teenage-party-hearty/")  
                              self.names.append("Naughty Little Sister 7")
                              self.urls.append("https://hdporn92.com/naughty-little-sister-7-2022/")  
                              self.names.append("Joss Lescaf The Masseur")
                              self.urls.append("https://hdporn92.com/joss-lescaf-the-masseur/")  
                              self.names.append("My Stepmom Caught Me Jerking Off 2")
                              self.urls.append("https://hdporn92.com/my-stepmom-caught-me-jerking-off-2-2022/")   
                              self.names.append("Mom Needs It Black")
                              self.urls.append("https://hdporn92.com/mom-needs-it-black-2022/")  
                              self.names.append("My Curvy Hotwife Vol 2")
                              self.urls.append("https://hdporn92.com/my-curvy-hotwife-vol-2-2022/")  
                              self.names.append("Exotics 2")
                              self.urls.append("https://hdporn92.com/exotics-2/")  
                              self.names.append("Performers of the Year")
                              self.urls.append("https://hdporn92.com/performers-of-the-year-2022/")  
                              self.names.append("BBC Pie Vol 6")
                              self.urls.append("https://hdporn92.com/bbc-pie-vol-6/")  
                              self.names.append("Asian Schoolgirls Vol 2")
                              self.urls.append("https://hdporn92.com/asian-schoolgirls-vol-2/")      
                              self.names.append("Stretching My Girlfriends Pussy 18")
                              self.urls.append("https://hdporn92.com/stretching-my-girlfriends-pussy-18/")  
                              self.names.append("A Rack To Die For")
                              self.urls.append("https://hdporn92.com/a-rack-to-die-for/")  
                              self.names.append("Huge Creampies Vol 3")
                              self.urls.append("https://hdporn92.com/huge-creampies-vol-3/")  
                              self.names.append("Black Dick Tryouts 14")
                              self.urls.append("https://hdporn92.com/black-dick-tryouts-14-2022/")  
                              self.names.append("Pornstars Like It Big Vol 27")
                              self.urls.append("https://hdporn92.com/pornstars-like-it-big-vol-27-2022/")  
                              self.names.append("Big Beautiful Women")
                              self.urls.append("https://hdporn92.com/big-beautiful-women-2022/")  
                              self.names.append("Big Naturals Vol 62")
                              self.urls.append("https://hdporn92.com/big-naturals-vol-62/")  
                              self.names.append("Its An Uncle Thing 2")
                              self.urls.append("https://hdporn92.com/its-an-uncle-thing-2/")  
                              self.names.append("Interracial Affair 13")
                              self.urls.append("https://hdporn92.com/interracial-affair-13/")  
                              self.names.append("Blacked Raw V54")
                              self.urls.append("https://hdporn92.com/blacked-raw-v54-2022/")  
                              self.names.append("My Big Booty")
                              self.urls.append("https://hdporn92.com/my-big-booty-2022/")  
                              self.names.append("Teens Love Huge Cocks Vol 49")
                              self.urls.append("https://hdporn92.com/teens-love-huge-cocks-vol-49-2022/")  
                              self.names.append("Ignite Vol. 5")
                              self.urls.append("https://hdporn92.com/ignite-vol-5-2022/")  
                              self.names.append("Busty Wives Next Door 5")
                              self.urls.append("https://hdporn92.com/busty-wives-next-door-5-2022/")  
                              self.names.append("My Wife Likes BBC Vol 3")
                              self.urls.append("https://hdporn92.com/my-wife-likes-bbc-vol-3-2022/")  
                              self.names.append("Petites In Public 4")
                              self.urls.append("https://hdporn92.com/petites-in-public-4-2022/")  
                              self.names.append("Black Stepbrothers 2")
                              self.urls.append("https://hdporn92.com/black-stepbrothers-2-2022/")  
                              self.names.append("Teens Love Huge Cocks Vol 47")
                              self.urls.append("https://hdporn92.com/teens-love-huge-cocks-vol-47-2022/")  
                              self.names.append("BBC My Wife 3")
                              self.urls.append("https://hdporn92.com/bbc-my-wife-3-2022/")  
                              self.names.append("Blacked Raw V51")
                              self.urls.append("https://hdporn92.com/blacked-raw-v51/")         
                              self.names.append("Cake Vol. 2")
                              self.urls.append("https://hdporn92.com/cake-vol-2-2022/")  
                              self.names.append("Hot Blondes 2")
                              self.urls.append("https://hdporn92.com/hot-blondes-2/")  
                              self.names.append("Leana Lovings In Free Use Step Daughter Vol 3")
                              self.urls.append("https://hdporn92.com/leana-lovings-in-free-use-step-daughter-vol-3-2022/")  
                              self.names.append("Cake Vol 2")
                              self.urls.append("https://hdporn92.com/cake-vol-2/")  
                              self.names.append("Cake Vol 1")
                              self.urls.append("https://hdporn92.com/cake-vol-1/")  
                              self.names.append("Titty Attack 11")
                              self.urls.append("https://hdporn92.com/titty-attack-11-2022/")  
                              self.names.append("MILF 2")
                              self.urls.append("https://hdporn92.com/milf-2-2022/")  
                              self.names.append("Black Dick Tryouts 10")
                              self.urls.append("https://hdporn92.com/black-dick-tryouts-10-2021/")   
                              self.names.append("Blacked Raw V49")
                              self.urls.append("https://hdporn92.com/blacked-raw-v49-2022/")  
                              self.names.append("BBC My Wife 2")
                              self.urls.append("https://hdporn92.com/bbc-my-wife-2-2022/")  
                              self.names.append("Bess Breast in My Anal Step Daughter")
                              self.urls.append("https://hdporn92.com/bess-breast-in-my-anal-step-daughter-2022/")  
                              self.names.append("Cum Inside Me Vol 5")
                              self.urls.append("https://hdporn92.com/cum-inside-me-vol-5/")  
                              self.names.append("Black Dick Tryouts 11")
                              self.urls.append("https://hdporn92.com/black-dick-tryouts-11-2022/")  
                              self.names.append("Big Naturals Vol 57")
                              self.urls.append("https://hdporn92.com/big-naturals-vol-57/")  
                              self.names.append("Big Tits Love BBC")
                              self.urls.append("https://hdporn92.com/big-tits-love-bbc-2022/")  
                              self.names.append("All In The Family 7")
                              self.urls.append("https://hdporn92.com/all-in-the-family-7-2022/")       
                              self.names.append("Interracial Double Penetrations 6")
                              self.urls.append("https://hdporn92.com/interracial-double-penetrations-6/")   
                              self.names.append("Threesomes 1")
                              self.urls.append("https://hdporn92.com/threesomes-1/")   
                              self.names.append("LaSirena69 4 You")
                              self.urls.append("https://hdporn92.com/lasirena69-4-you-2021/")   
                              self.names.append("Blacked Raw V44")
                              self.urls.append("https://hdporn92.com/blacked-raw-v44-2021/")   
                              self.names.append("Dont Break Me 30")
                              self.urls.append("https://hdporn92.com/dont-break-me-30/")      
                              self.names.append("Blacked Raw 47")
                              self.urls.append("https://hdporn92.com/blacked-raw-47/")       
                              self.names.append("Big Bouncy Teen Titties")
                              self.urls.append("https://hdporn92.com/big-bouncy-teen-titties/")   
                              self.names.append("Your Wives Are Mine 5")
                              self.urls.append("https://hdporn92.com/your-wives-are-mine-5-2021/")   
                              self.names.append("Latinas Love BBC")
                              self.urls.append("https://hdporn92.com/latinas-love-bbc-2021/")   
                              self.names.append("Black And White 20")
                              self.urls.append("https://hdporn92.com/black-and-white-20/")   
                              self.names.append("Blacked Raw V41")
                              self.urls.append("https://hdporn92.com/blacked-raw-v41-2021/")    
                              self.names.append("Stacked 12")
                              self.urls.append("https://hdporn92.com/stacked-12-2021/")       
                              self.names.append("Freaky Asian Girls")
                              self.urls.append("https://hdporn92.com/freaky-asian-girls-2021/")   
                              self.names.append("Interracial Affair 11")
                              self.urls.append("https://hdporn92.com/interracial-affair-11/")   
                              self.names.append("Busty Hotties")
                              self.urls.append("https://hdporn92.com/busty-hotties/")   
                              self.names.append("Black Dick Tryouts 7")
                              self.urls.append("https://hdporn92.com/black-dick-tryouts-7-2021/")   
                              self.names.append("Tight Fit Mandingo 2")
                              self.urls.append("https://hdporn92.com/tight-fit-mandingo-2-2020/")       
                              self.names.append("Melanie Hicks in Horny Step Mom")
                              self.urls.append("https://hdporn92.com/melanie-hicks-in-horny-step-mom/")    
                              self.names.append("Dredd 12")
                              self.urls.append("https://hdporn92.com/dredd-12/")    
                              self.names.append("")
                              self.urls.append("")    
                              self.names.append("")
                              self.urls.append("")    
                              self.names.append("")
                              self.urls.append("")  
                              self.names.append("Bess-Breast-in-Free-Use-Stepdaughter")
                              self.urls.append("https://hdporn92.com/bess-breast-in-free-use-stepdaughter/")
                              self.names.append("Taboo-Heat--Free-Use-Step-Family")
                              self.urls.append("https://hdporn92.com/taboo-heat-free-use-step-family/")
                              self.names.append("Perfect-Girlfriend--Bess-Breast--Troubleshooting")
                              self.urls.append("https://hdporn92.com/perfect-girlfriend-bess-breast-troubleshooting/")
                              self.names.append("Perfect-Girlfriend--Bess-Breast--Second-Opinion")
                              self.urls.append("https://hdporn92.com/perfect-girlfriend-bess-breast-second-opinion/")
                              self.names.append("Brazzers-Exxtra--Bess-Breast--Charlie-Phoenix--Sneaky-MILF-Landlord-vs-Cheating-Tenant--Big-Natural-Ginger-GF")
                              self.urls.append("https://hdporn92.com/brazzers-exxtra-bess-breast-charlie-phoenix-sneaky-milf-landlord-vs-cheating-tenant-big-natural-ginger-gf/")
                              self.names.append("Bad-Milfs--Bess-Breast--Abby-Somers--The-Desire-To-Improve")
                              self.urls.append("https://hdporn92.com/bad-milfs-bess-breast-abby-somers-the-desire-to-improve/")
                              self.names.append("Pervy-Mom-Fucks-My-Boyfriend--Andi-James--Bess-Breast")
                              self.urls.append("https://hdporn92.com/pervy-mom-fucks-my-boyfriend-andi-james-bess-breast/")
                              self.names.append("SisLovesMe--Bess-Breast--Crypto-Bro")
                              self.urls.append("https://hdporn92.com/sislovesme-bess-breast-crypto-bro/")
                              self.names.append("BFFs--Get-Caught-Get-Fucked")
                              self.urls.append("https://hdporn92.com/bffs-get-caught-get-fucked/")
                              self.names.append("MyPervyFamily--Bess-Breast--Breasts-Are-The-Best-Stepfather7s-Day-Present")
                              self.urls.append("https://hdporn92.com/mypervyfamily-bess-breast-breasts-are-the-best-stepfathers-day-present/")
                              self.names.append("FamilyStrokes--Bess-Breast--Behind-The-Kitchen-Counter")
                              self.urls.append("https://hdporn92.com/familystrokes-bess-breast-behind-the-kitchen-counter/")
                              self.names.append("RKPrime--Mila-Monet--Bess-Breast---Whos-The-Sexier-Cosplayer?")
                              self.urls.append("https://hdporn92.com/rkprime-mila-monet-bess-breast-whos-the-sexier-cosplayer/")
                              self.names.append("Poolside-to-Miami-Penthouse-POV--Bess-Breast")
                              self.urls.append("https://hdporn92.com/poolside-to-miami-penthouse-pov-bess-breast/")  
                              self.names.append("Alice Pink  Deal Closer")
                              self.urls.append("https://hdporn92.com/bbc-pie-alice-pink-deal-closer/")   
                              self.names.append("Quinn Waters  Hooker Hotel Hookup")
                              self.urls.append("https://hdporn92.com/touchmywife-quinn-waters-hooker-hotel-hookup/") 
                              self.names.append("")
                              self.urls.append("")                               
                      showlist(self.names, self["list"]) 
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               content2 = getUrl2(url, url)
               regexvideo = 'https://streamtape(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "https://streamtape" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (K HTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36' --referer 'https://streamtape.com/' '" + url + "' > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM91/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet NetVideoGirls-bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















