from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM96(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("------------unikove filmy------------")
                              self.urls.append("")
                              self.names.append("Temne Sily (2018)")
                              self.urls.append("https://prehraj.to/temne-sily-2018-cz-dabing/5bd6383d39440")
                              self.names.append("-------------------------------------")
                              self.urls.append("")                              
                              self.names.append("Divergence (2014)")
                              self.urls.append("https://prehraj.to/divergence-2014-cz-dabing/6048ae5a879bc")
                              self.names.append("Rezistence (2015)")
                              self.urls.append("https://prehraj.to/rezistence-2015-cz-4k-uhd/6045446fd1edf")
                              self.names.append("Aliance (2016)")
                              self.urls.append("https://prehraj.to/aliance-2016-cz-dabing/5ec0841ac109c")
                              self.names.append("-------------------------------------")
                              self.urls.append("")
                              self.names.append("Labyrint Utek (2014)")
                              self.urls.append("https://prehraj.to/labyrint-utek-2014-cz-dabing/5ebeecfa42b9d")
                              self.names.append("Labyrint Zkousky ohnem (2015)")
                              self.urls.append("https://prehraj.to/labyrint-zkousky-ohnem-2015-cz-1080p/5fd15995ae696")
                              self.names.append("Labyrint Vrazedna lecba (2018)")
                              self.urls.append("https://prehraj.to/labyrint-vrazedna-lecba-2018-cz-dabing/5ebeb60ac63b6")    
                              self.names.append("-------------------------------------")
                              self.urls.append("")
                              self.names.append("Hunger Games Hry o zivot (2012)")
                              self.urls.append("https://prehraj.to/hunger-games-hry-o-zivot-2012-cz/5ff58a726e2b6")    
                              self.names.append("Hunger Games Vrazedna pomsta (2013)")
                              self.urls.append("https://prehraj.to/hunger-games-vrazedna-pomsta-2013-cz-4k-uhd/6011ca33e9b8a")  
                              self.names.append("Hunger Games Sila vzdoru 1. cast (2014)")
                              self.urls.append("https://prehraj.to/hunger-games-sila-vzdoru-1-cast-2014-cz-4k-uhd/6013aea165663")
                              self.names.append("Hunger Games Sila vzdoru 2. cast (2015)")
                              self.urls.append("https://prehraj.to/hunger-games-sila-vzdoru-2-cast-2015-uhd-4k-hevc-h-265-cz-dd-dts-5-1-en/6187ea2a40292")
                              self.names.append("-------------------------------------")
                              self.urls.append("") 
                              self.names.append("----------------upiri----------------")
                              self.urls.append("")   
                              self.names.append("Underworld (2003)")
                              self.urls.append("https://prehraj.to/underworld-2003-cz-4k/60ce7796388db")       
                              self.names.append("Underworld Evoluce (2006)")
                              self.urls.append("https://prehraj.to/underworld-evolution-2006-cz-dabing/63771988493bf")                               
                              self.names.append("Underworld Vzpoura Lycanu (2009)")
                              self.urls.append("https://prehraj.to/underworld-3-vzpoura-lycanu-cz-dabing-2009/5bd0c7fabaf6d")    
                              self.names.append("Underworld Probuzeni (2012)")
                              self.urls.append("https://prehraj.to/underworld-probuzeni-2012-1080p-cz-en/5f3dc524701bd")                                   
                              self.names.append("Underworld Krvave valky (2016)")
                              self.urls.append("https://prehraj.to/underworld-2003-cz-4k/60ce7796388db")                                
                              self.names.append("-------------------------------------")
                              self.urls.append("")          
                              self.names.append("Stmivani (2008)")
                              self.urls.append("https://prehraj.to/stmivani-2008-cz/625e79072b078")          
                              self.names.append("Twilight saga: Novy mesic (2008)")
                              self.urls.append("https://prehraj.to/twilight-saga-novy-mesic-2009-cz-1080p/5f6c1f1baff98")      
                              self.names.append("Twilight saga: Zatmeni (2010)")
                              self.urls.append("https://prehraj.to/twilight-saga-zatmeni-2010-cz-dabing/559165bedcda7")    
                              self.names.append("Twilight saga: Rozbresk cast 1 (2011)")
                              self.urls.append("https://prehraj.to/twilight-saga-rozbresk-1-cast-2011-cz-1080p/60c3f370c1118")  
                              self.names.append("Twilight saga: Rozbresk cast 2 (2012)")
                              self.urls.append("https://prehraj.to/twilight-saga-rozbresk-2-cast-2012-cz-1080p/613bc757a8479")                                
                              self.names.append("-------------------------------------")
                              self.urls.append("")       
                              self.names.append("---------------sci-fy----------------")
                              self.urls.append("")                                 
                              self.names.append("Ready Player One Hra zacina (2018)")
                              self.urls.append("https://prehraj.to/ready-player-one-hra-zacina-cz-dabing-2018-lpf-mkv/5b9ab958c7f6d") 
                              self.names.append("-------------------------------------")
                              self.urls.append("")                               
                              self.names.append("Free Guy: Hra na hrdinu (2021)")
                              self.urls.append("https://prehraj.to/free-guy-cz-dabing/6584fdc284e27") 
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                   
                              self.names.append("Doom (2005)")
                              self.urls.append("https://prehraj.to/doom-2005-czdabing/5eec50b016ad7")       
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                
                              self.names.append("Na hrane zitrka (2014)")
                              self.urls.append("https://prehraj.to/na-hrane-zitrka-hd-czdabing/5f0c7d696dd3b")                               
                              self.names.append("-------------------------------------")
                              self.urls.append("") 
                              self.names.append("Elisium (2013)")
                              self.urls.append("https://prehraj.to/elisium-2013-cz-dab-sci-fi-ak-ni-thriller-drama/574a84d80e0fe")                               
                              self.names.append("-------------------------------------")
                              self.urls.append("")      
                              self.names.append("Vymereny cas (2011)")
                              self.urls.append("https://prehraj.to/vymereny-cas-2011-cz-dabing/5fa127c56718f")                               
                              self.names.append("-------------------------------------")
                              self.urls.append("")         
                              self.names.append("Chappie (2015)")
                              self.urls.append("https://prehraj.to/chappie-cz-2015-hd-1080p/616d563b7ec43")                               
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                  
                              self.names.append("------------superhrdina--------------")
                              self.urls.append("")   
                              self.names.append("Rocketeer (1991)")
                              self.urls.append("https://prehraj.to/rocketeer-1991-cz-1080p/603410f046ae6")    
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                
                              self.names.append("----------------auto-----------------")
                              self.urls.append("")      
                              self.names.append("Rychle a zbesile 1 (2001)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-1-cz-dabing-jurys/62ecc5f6247f0")     
                              self.names.append("Rychle a zbesile 2 (2003)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-2-2003-cz-4k-uhd/5feb63696a121")     
                              self.names.append("Rychle a zbesile 3 (2006)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-3-2006-cz-dabing/611d72b409ca9")      
                              self.names.append("Rychle a zbesile 4 (2009)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-4-2009-cz-dabing/611d72b40b01a")   
                              self.names.append("Rychle a zbesile 5 (2011)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-5-2011-1080p-cz-sk-dab/6177bcee318de")     
                              self.names.append("Rychle a zbesile 6 (2013)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-6-2013-1080p-cz-sk-dab/6180442e1b982")       
                              self.names.append("Rychle a zbesile 7 (2015)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-7-en-cz-dab/61ada7d0d4138")         
                              self.names.append("Rychle a zbesile 8 (2017)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-8-4k-uhd-cz-dabing-2017/5b878581a69e6")     
                              self.names.append("Rychle a zbesile 9 (2019)")
                              self.urls.append("https://prehraj.to/rychle-a-zbesile-9-hobbs-a-shaw-2019-cz-dabing-hd/600aaf3b6a046")    
                              self.names.append("-------------------------------------")
                              self.urls.append("")   
                              self.names.append("Taxi 1 (1998)")
                              self.urls.append("https://prehraj.to/taxi-1-1998-cz-1080p/643eb2376d319")     
                              self.names.append("Taxi 2 (2000)")
                              self.urls.append("https://prehraj.to/taxi-2-2000-cz-1080p/61a554e823f46")  
                              self.names.append("Taxi 3 (2003)")
                              self.urls.append("https://prehraj.to/taxi-3-2003-full-hd-cz-fr/61167e0934a89")     
                              self.names.append("Taxi 4 (2007)")
                              self.urls.append("https://prehraj.to/taxi-4-2007-fullhd-czdabing/5f48ee558becd")  
                              self.names.append("Taxi 5 (2018)")
                              self.urls.append("https://prehraj.to/taxi-5-2018-cz-dabing-1080p-bluray-x264-cz-fr/5ffa5d28b2b05")                                
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                 
                              self.names.append("Kuryr 1 (2002)")
                              self.urls.append("https://prehraj.to/kuryr-1/6325f03657566")       
                              self.names.append("Kuryr 2 (2005)")
                              self.urls.append("https://prehraj.to/kuryr-2-2005-bluray-1080p-x264-dts-cz/5a178fbd9a73d")         
                              self.names.append("Kuryr 3 (2008)")
                              self.urls.append("https://prehraj.to/kuryr-3/61e53b254f376")         
                              self.names.append("Kuryr 4 (2015)")
                              self.urls.append("https://prehraj.to/kuryr-s01e04-harvest/5a9cdf64a171a")                                 
                              self.names.append("-------------------------------------")
                              self.urls.append("")   
                              self.names.append("Rallye smrti 1 (2008)")
                              self.urls.append("https://prehraj.to/rallye-smrti-1-cz-dabing/60f4933827b0c")
                              self.names.append("Rallye smrti 2 (2010)")
                              self.urls.append("https://prehraj.to/rallye-smrti-2-cz-dabing/60f49338286e3")     
                              self.names.append("Rallye smrti 3 (2012)")
                              self.urls.append("https://prehraj.to/rallye-smrti-3-peklo-na-zemi-blurayrip-cz-dabing/5dc1c296e701f")  
                              self.names.append("Rallye smrti 4 (2018)")
                              self.urls.append("https://prehraj.to/rallye-smrti-4-anarchie-akrni-2018-1080p-2-0-x264-sk-49-sten-ok/60bb4ca3628f6")                                                              
                              self.names.append("-------------------------------------")
                              self.urls.append("")                               
                              self.names.append("Need for Speed (2014)")
                              self.urls.append("https://prehraj.to/need-for-speed-2014-1080p-brrip-x264-cz/5a50448f42b1f")                                
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                
                              self.names.append("Extremni rychlost (2017)")
                              self.urls.append("https://prehraj.to/extremni-rychlost/60357403b4c6e")                                
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                
                              self.names.append("Bourlive dny (1990)")
                              self.urls.append("https://prehraj.to/bourlive-dny-days-of-thunder-1990-1080p-cz/60a1732c15a17")   
                              self.names.append("-------------------------------------")
                              self.urls.append("")            
                              self.names.append("Muj autak brouk (2005)")
                              self.urls.append("https://prehraj.to/muj-autak-brouk-1080p-cz/607535d605d6c")   
                              self.names.append("-------------------------------------")
                              self.urls.append("")       
                              self.names.append("Milacek Herbie (1968)")
                              self.urls.append("https://prehraj.to/milacek-herbie-komedie-1968-cz-dabing/60a51fd7e666a")   
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                 
                              self.names.append("----------------moto-----------------")
                              self.urls.append("")     
                              self.names.append("Biker Boyz (2003)")
                              self.urls.append("https://prehraj.to/motorkari-akcni-krimi-drama-2003-l-fishburne-cz-sten-ok/580dc06ebc409")    
                              self.names.append("-------------------------------------")
                              self.urls.append("")  
                              self.names.append("Torque Ohniva kola (2004)")
                              self.urls.append("https://prehraj.to/torque-ohniva-kola-2004-cz-1080p/6012bf96be2f7")    
                              self.names.append("-------------------------------------")
                              self.urls.append("")                                
                              self.names.append("V zajeti rychlosti (2005)")
                              self.urls.append("https://prehraj.to/v-zajeti-rychlosti-cz-dabing-1080p/5b42bc7f10705")  
                              self.names.append("-------------------------------------")
                              self.urls.append("")  
                              self.names.append("Divocaci (2007)")
                              self.urls.append("https://prehraj.to/divocaci-cz-dabing/60dd0bc699779")    
                              self.names.append("-------------------------------------")
                              self.urls.append("")  
                              self.names.append("")
                              self.urls.append("")                                
                      showlist(self.names, self["list"])
           

    def okClicked(self):
        idx = self["list"].getSelectionIndex()
        if idx is None:
            return
        try:
            name = self.names[idx]
            url = self.urls[idx]
            streams = self.parseStreams(name, url)
            # run player
            # mozne spustenie je:
            # 1) Player(self.session).play(name, "url_adresa na stream")
            # 2) Player(self.session).play(name, [{'title':'nazov streamu', 'url':'url_adresa na stream'}]) - a teda tu mozes poslat pole streamov ci uz jeden alebo X ked je ich viac ako jeden tak ti vyhodi na vyber ktory chces poslat
            Player(self.session).play(name, streams)
        except:
            print("ERROR: %s"%traceback.format_exc())
            self.session.open(MessageBox, text="Video bylo odstraneno", type=MessageBox.TYPE_ERROR, timeout = 8)
                  
                  
    def parseStreams(self, name, url):
        content2 = getUrl2(url, url)
        regexvideo = '{ file: "(.*?)"'
        regexvideo1 = '{ file: ".*?{ file: "(.*?)"'
        match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
        match3 = re.compile(regexvideo1,re.DOTALL).findall(content2)
        streams = []
        if len(match2) > 0:
            streams.append({'title': name + " 720p", 'url':match2[0].replace("#038;", "")})
            cmd = "echo 'FILM96' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.txt"
            os.system(cmd)
            url2 = "" + match2[0].replace("#038;", "").replace(":", "%3a")
            print "getVideos url2=", url2
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url2 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (720p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.txt"
            os.system(cmd)
        if len(match3) > 0:
            streams.append({'title': name + " 1080p", 'url':match3[0].replace("#038;", "")})
            url3 = match3[0].replace("#038;", "").replace(":", "%3a")
            print "getVideos url3=", url3
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url3 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (1080p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.txt"
            os.system(cmd)   
            cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM96/mylist.sh &"
            os.system(cmd)
        return streams
            
    def cancel(self):
        cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"      
        f.close()
        # name1 = "X"
        # cmd = ""
        # print("sh cmd =", cmd)
        # os.system(cmd)
        self.close()


















