from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM99/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM99(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM99/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM99"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
                  
                      link = ''
                      dotall = re.DOTALL
	              
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Naughty Rebel Geishakyd Wants to Try Her Dads Best Friends Cock")
                              self.urls.append("https://joysporn.sex/2022/12/06/naughty-rebel-geishakyd-wants-to-try-her-dads-best-friends-cock.html")
                              self.names.append("Young servant fucks his busty mistress Patty Michova in front of her husband")
                              self.urls.append("https://joysporn.sex/2016/12/15/young-servant-fucks-his-busty-mistress-patty-michova-in-front-of-her-husband.html")                                  
                              self.names.append("Great cool butt teen Harley Jade riding big hard cock outdoor")
                              self.urls.append("https://joysporn.sex/2018/02/07/great-cool-butt-teen-harley-jade-riding-big-hard-cock-outdoor.html")     
                              self.names.append("Young Punk Fucks His Chubby Roommate Eliz Benson")
                              self.urls.append("https://joysporn.sex/2022/09/26/young-punk-fucks-his-chubby-roommate-eliz-benson.html")  
                              self.names.append("Tessa Lane - Austrian shepherds love foam beer and dirty sex in the brewery")
                              self.urls.append("https://joysporn.sex/2018/02/27/tessa-lane-austrian-shepherds-love-foam-beer-and-dirty-sex-in-the-brewery.html")                                
                              self.names.append("Hot Full HD Porn With Slutty Busty Peta Jensen")
                              self.urls.append("https://joysporn.sex/2019/11/10/hot-full-hd-porn-with-slutty-busty-peta-jensen.html")                                
                              self.names.append("Big Natural Tits Katarina Rina - Oil Massage And Passionate Sex On The Table")
                              self.urls.append("https://joysporn.sex/2021/10/22/big-natural-tits-katarina-rina-oil-massage-and-passionate-sex-on-the-table.html")  
                              self.names.append("Big Exotic Booty Teen Nia Nacci Gets Her Pussy Creampied")
                              self.urls.append("https://joysporn.sex/2020/02/07/big-exotic-booty-teen-nia-nacci-gets-her-pussy-creampied.html")                                
                              self.names.append("Pretty Girl Alyx Star Bares Her Big Natural Boobs")
                              self.urls.append("https://joysporn.sex/2021/06/03/pretty-girl-alyx-star-bares-her-big-natural-boobs.html")   
                              self.names.append("Alex Chance - Brutal Man Fucks A Big Oiled Ass During Massage")
                              self.urls.append("https://joysporn.sex/2020/06/20/alex-chance-brutal-man-fucks-a-big-oiled-ass-during-massage.html")   
                              self.names.append("Redhead chubby minx Lennox Luxe takes cumshot on her natural boobs")
                              self.urls.append("https://joysporn.sex/2017/11/07/redhead-chubby-minx-lennox-luxe-takes-cumshot-on-her-natural-boobs.html")                                
                              self.names.append("My Busty Teacher Kagney Linn Karter Is A Cam Whore")
                              self.urls.append("https://joysporn.sex/2020/06/23/my-busty-teacher-kagney-linn-karter-is-a-cam-whore.html")                                
                              self.names.append("Big Ass Girl Sofia Lee Takes Charlie Deans Oiled Cock")
                              self.urls.append("https://joysporn.sex/2021/04/16/big-ass-girl-sofia-lee-takes-charlie-deans-oiled-cock.html")                               
                              self.names.append("Big Naked Booty Chick Riding Big Cock Under The Bridge")
                              self.urls.append("https://joysporn.sex/2021/10/04/big-naked-booty-chick-riding-big-cock-under-the-bridge.html")                               
                              self.names.append("Mature Man Fucks His Step Daughter Atlanta Moreno After College Classes")
                              self.urls.append("https://joysporn.sex/2022/08/10/mature-man-fucks-his-step-daughter-atlanta-moreno-after-college-classes.html")   
                              self.names.append("My Stepdaughter Is Naughty Again And Deserves Cum Punishment")
                              self.urls.append("https://joysporn.sex/2020/06/29/my-stepdaughter-is-naughty-again-and-deserves-cum-punishment.html")                               
                              self.names.append("Redhead Teen Takes Very Big Fat Cock In Her Tight Pussy")
                              self.urls.append("https://joysporn.sex/2020/07/22/redhead-teen-takes-very-big-fat-cock-in-her-tight-pussy.html")                                
                              self.names.append("Amber Jayne - Unusual Situation During Filming Of Porn And Scenario Change On Set")
                              self.urls.append("https://joysporn.sex/2022/03/04/amber-jayne-unusual-situation-during-filming-of-porn-and-scenario-change-on-set.html")                                
                              self.names.append("This Man Can Still Show That The Old Guard Is Still In The Fight")
                              self.urls.append("https://joysporn.sex/2022/03/18/this-man-can-still-show-that-the-old-guard-is-still-in-the-fight.html")                                
                              self.names.append("Big Booty Latina Mia Martinez Takes Radioactive Monster Dick")
                              self.urls.append("https://joysporn.sex/2022/03/21/big-booty-latina-mia-martinez-takes-radioactive-monster-dick.html")        
                              self.names.append("Russian Old Man Showed His Huge Monster Shlong And Fucked Tattooed")
                              self.urls.append("https://joysporn.sex/2022/03/07/russian-old-man-showed-his-huge-monster-shlong-and-fucked-tattooed.html")                                
                              self.names.append("Asian Small Pussy Teen Lulu Chu Gets Fucked By Big Cock")
                              self.urls.append("https://joysporn.sex/2022/08/01/asian-small-pussy-teen-lulu-chu-gets-fucked-by-big-cock.html")   
                              self.names.append("Colombian Big Booty Teen Andreina DeLuxe Gets Fucked During Massage Session")
                              self.urls.append("https://joysporn.sex/2022/07/31/colombian-big-booty-teen-andreina-deluxe-gets-fucked-during-massage-session.html")                                
                              self.names.append("Black Fucker Louie Smalls And His Adorable Young Girlfriend Allie Addison")
                              self.urls.append("https://joysporn.sex/2022/11/08/black-fucker-louie-smalls-and-his-adorable-young-girlfriend-allie-addison.html")                                
                              self.names.append("Poor Girl Kira Perez")
                              self.urls.append("https://joysporn.sex/2020/07/16/poor-girl-kira-perez-shes-losing-the-struggle-with-bbc-mutant.html")                                
                              self.names.append("Slender Blonde Takes Huge Black Cock In Her Tight Pussy")
                              self.urls.append("https://joysporn.sex/2020/06/02/slender-blonde-takes-huge-black-cock-in-her-tight-pussy.html")  
                              self.names.append("Young Latina Alina Lopez")
                              self.urls.append("https://joysporn.sex/2022/12/20/black-mutant-dredd-gives-young-latina-alina-lopez-a-try-his-monster-bbc.html")            
                              self.names.append("Passionate Sex In City Park. Young Girl Coco Lovelock Takes Very Big Dick")
                              self.urls.append("https://joysporn.sex/2022/05/22/passionate-sex-in-city-park-young-girl-coco-lovelock-takes-very-big-dick.html")  
                              self.names.append("Monster BBC Guy Fucks Slim Punk Girl Valerica Steele")
                              self.urls.append("https://joysporn.sex/2022/05/18/monster-bbc-guy-fucks-slim-punk-girl-valerica-steele.html")  
                              self.names.append("Selina Moon - My First BBC Huge Ebony Rod For My Petite Pussy")
                              self.urls.append("https://joysporn.sex/2021/07/21/selina-moon-my-first-bbc-huge-ebony-rod-for-my-petite-pussy.html")  
                              self.names.append("Slim Body Schoolgirl In Interracial Porn With Black Guy Jax Slayher")
                              self.urls.append("https://joysporn.sex/2021/07/01/slim-body-schoolgirl-in-interracial-porn-with-black-guy-jax-slayher.html")  
                              self.names.append("Tristan Summers And A Big Black Submarine In Its Waters")
                              self.urls.append("https://joysporn.sex/2021/04/30/tristan-summers-and-a-big-black-submarine-in-its-waters.html")          
                              self.names.append("Sia Lust - Big Black Guy Fucks Tiny Girls Tight Pussy")
                              self.urls.append("https://joysporn.sex/2021/04/02/sia-lust-big-black-guy-fucks-tiny-girls-tight-pussy.html")            
                              self.names.append("Interracial Porn With Horny Asian Babe Jade Kush And Black Mamba")
                              self.urls.append("https://joysporn.sex/2020/11/24/interracial-porn-with-horny-asian-babe-jade-kush-and-black-mamba.html")  
                              self.names.append("Ebony Repairman Fucks His Boss Naughty Daughter")
                              self.urls.append("https://joysporn.sex/2020/11/06/ebony-repairman-fucks-his-bosss-naughty-daughter.html")  
                              self.names.append("Young American Teen Lilly Ford Takes Mandingos BBC")
                              self.urls.append("https://joysporn.sex/2020/03/04/young-american-teen-lilly-ford-takes-mandingos-bbc.html")  
                              self.names.append("Naughty Schoolgirl Kali Roses Dreaming About A Huge Black Cock")
                              self.urls.append("https://joysporn.sex/2020/03/03/naughty-schoolgirl-kali-roses-dreaming-about-a-huge-black-cock.html")  
                              self.names.append("Oh my God Her pussy will never again be small after such a big cock")
                              self.urls.append("https://joysporn.sex/2018/01/05/oh-my-god-her-pussy-will-never-again-be-small-after-such-a-big-cock.html")     
                              self.names.append("Natural Tits Gamer Plays And Doesnt Know About Her Boyfriends Dirty Adventures")
                              self.urls.append("https://joysporn.sex/2022/04/08/natural-tits-gamer-plays-and-doesnt-know-about-her-boyfriends-dirty-adventures.html")            
                              self.names.append("Young Black Fucks Big Fat Booty Woman Kate Dee")
                              self.urls.append("https://joysporn.sex/2022/02/28/young-black-fucks-big-fat-booty-woman-kate-dee.html")  
                              self.names.append("Big Tits Mature Blonde Katie Morgan Takes Hard BBC")
                              self.urls.append("https://joysporn.sex/2020/02/10/big-tits-mature-blonde-katie-morgan-takes-hard-bbc.html")  
                              self.names.append("Cute chubby teen Natasha Nice takes big cock")
                              self.urls.append("https://joysporn.sex/2019/08/29/cute-chubby-teen-natasha-nice-takes-big-cock.html")  
                              self.names.append("Boss fuck a girl from the office")
                              self.urls.append("https://joysporn.sex/2014/07/01/boss-fuck-a-girl-from-the-office.html")  
                              self.names.append("Art teacher fucks busty girl")
                              self.urls.append("https://joysporn.sex/2014/01/21/art-teacher-fucks-busty-girl.html")          
                              self.names.append("Wet pussy fuck two girls")
                              self.urls.append("https://joysporn.sex/2014/07/07/wet-pussy-fuck-two-girls.html")         
                              self.names.append("Petite teen Carolina Sweets gets her pussy filled by BBC")
                              self.urls.append("https://joysporn.sex/2019/08/29/petite-teen-carolina-sweets-gets-her-pussy-filled-by-bbc.html")          
                              self.names.append("Exotic teen Zaya Cassidy gets her poor pussy plowed by BBC")
                              self.urls.append("https://joysporn.sex/2018/12/17/exotic-teen-zaya-cassidy-gets-her-poor-pussy-plowed-by-bbc.html")     
                              self.names.append("Poor Thief Freya Von Doom Gets Fucked By Incredibly Huge Monster Shlong")
                              self.urls.append("https://joysporn.sex/2022/04/01/poor-thief-freya-von-doom-gets-fucked-by-incredibly-huge-monster-shlong.html")        
                              self.names.append("")
                              self.urls.append("")  
                              self.names.append("")
                              self.urls.append("")  
                              self.names.append("")
                              self.urls.append("")  
                              self.names.append("")
                              self.urls.append("")                                
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '<link rel="canonical" href="(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -k '" + url + "' > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM99/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet joysporn bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)

                self.close()


















