from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILMX(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Nekonecny pribeh 1")
                              self.urls.append("https://prehraj.to/nekonecny-pribeh-cz-dabing/5b9cdcbcf368a")
                              self.names.append("Nekonecny pribeh 2")
                              self.urls.append("https://prehraj.to/nekonecny-pribeh-2-1989-cz-1080p/6193e9a597482")
                              self.names.append("Nekonecny pribeh 3")
                              self.urls.append("https://prehraj.to/nekonecny-pribeh-3-1994-cz-1080p/6193ea17d5259")
                              self.names.append("Madagaskar 1")
                              self.urls.append("https://prehraj.to/madagaskar-1-2005-fullhd-czdabing/5f7d57a9722ff")
                              self.names.append("Madagaskar 2")
                              self.urls.append("https://prehraj.to/madagaskar-2-utek-do-afriky-fullhd-cz-dabing/5f8171b884b91")
                              self.names.append("Madagaskar 3")
                              self.urls.append("https://prehraj.to/madagaskar-3-2012-cz-dabing/607ecddc60eab")                            
                              self.names.append("Doba Ledova 1")
                              self.urls.append("https://prehraj.to/doba-ledova-1-full-hd-cz-eng/613b953b55396")
                              self.names.append("Doba Ledova 2")
                              self.urls.append("https://prehraj.to/doba-ledova-2-obleva-2006-cz-dabing/613a0abcc00ff")
                              self.names.append("Doba Ledova 3")
                              self.urls.append("https://prehraj.to/doba-ledova-3-usvit-dinosauru-2009-cz-dabing/613d07fdadd62")
                              self.names.append("Doba Ledova 4")
                              self.urls.append("https://prehraj.to/doba-ledova-4-cz-dabing/61510c83ef362")
                              self.names.append("Doba Ledova 5")
                              self.urls.append("https://prehraj.to/doba-ledova-5-mamuti-drcnuti-2016-cz-dabing/5f779867c9833")
                              self.names.append("Doba Ledova 6")
                              self.urls.append("https://prehraj.to/doba-ledova-6-buckova-dobrodruzstvi-2022-cz-dab/629813a201167")
                              self.names.append("Lvi Kral 1")
                              self.urls.append("https://prehraj.to/lvi-kral/6314d3c852e3a")
                              self.names.append("Lvi Kral 2")
                              self.urls.append("https://prehraj.to/lvi-kral-2-simbuv-pribeh/6314d4f1cb93e")
                              self.names.append("Lvi Kral 3")
                              self.urls.append("https://prehraj.to/lvi-kral-3-cz-dabing/5c586f019f8e7")
                              self.names.append("Auta 1")
                              self.urls.append("https://prehraj.to/auta-1-2006-cz-4k-uhd/5f9040e884156")
                              self.names.append("Auta 2")
                              self.urls.append("https://prehraj.to/auta-2-1080p-cz/5f0667647674c")
                              self.names.append("Auta 3")
                              self.urls.append("https://prehraj.to/auta-3-cz-dabing-nejlepsi-kvalita/623a7541367d5")
                              self.names.append("Letadla 1")
                              self.urls.append("https://prehraj.to/letadla-2013-cz-1080p/6076e5e98e047")
                              self.names.append("Letadla 2")
                              self.urls.append("https://prehraj.to/letadla-2-hasici-a-zachranari-kresleny-2014-czdub/5f9f0fe9ac7b6")
                              self.names.append("Shrek 1")
                              self.urls.append("https://prehraj.to/shrek-1-2001-cz-dabing/5f73250a09942")
                              self.names.append("Shrek 2")
                              self.urls.append("https://prehraj.to/shrek-2-cz-dabing/61cdd48c96c9e")
                              self.names.append("Shrek 3")
                              self.urls.append("https://prehraj.to/shrek-3-cz-dabing/626d9a8ebbf21")
                              self.names.append("Shrek 4")
                              self.urls.append("https://prehraj.to/shrek-4-cz-dabing/5c53dceab756e")  
                              self.names.append("Ja padouch 1")
                              self.urls.append("https://prehraj.to/ja-padouch-1-2010-cz-dabing/602e8e0f52ef4")                                 
                              self.names.append("Ja padouch 2")
                              self.urls.append("https://prehraj.to/ja-padouch-2-2013-cz-dabing/6030556a649b3")
                              self.names.append("Ja padouch 3")
                              self.urls.append("https://prehraj.to/ja-padouch-3-2017-cz-1080p/5f9aef097b03b")
                              self.names.append("Kung fu Panda 1")
                              self.urls.append("https://prehraj.to/kung-fu-panda-1/615b294904817")
                              self.names.append("Kung fu Panda 2")
                              self.urls.append("https://prehraj.to/kung-fu-panda-2-2011-czdabing/5f25481db905e")
                              self.names.append("Kung fu Panda 3")
                              self.urls.append("https://prehraj.to/kung-fu-panda-3-cz-dabing/5c92fe83cef9a")
                              self.names.append("Letopisy Narnie 1")
                              self.urls.append("https://prehraj.to/letopisy-narnie-lev-carodejnice-a-skrin-2005-cz-1080p/612081446edb4")
                              self.names.append("Letopisy Narnie 2")
                              self.urls.append("https://prehraj.to/letopisy-narnie-2-princ-kaspian-2008-cz-dabing/5837160263d86")
                              self.names.append("Letopisy Narnie 3")
                              self.urls.append("https://prehraj.to/letopisy-narnie-3-plavba-jitrniho-poutnika-2010-hd-cz/5e91d0617fe22")
                              self.names.append("Za plotem")
                              self.urls.append("https://prehraj.to/za-plotem-2006-cz-dabing/60800de542465")
                              self.names.append("Hleda se Nemo")
                              self.urls.append("https://prehraj.to/hleda-se-nemo-cz-2003/5f9ef4508ea3e")
                              self.names.append("Hleda se Dori")
                              self.urls.append("https://prehraj.to/hleda-se-dori-hd-1080p-cz-dabing-2015-animovany-lehi/5933fbba6d0e5")
                              self.names.append("Smoulove 1")
                              self.urls.append("https://prehraj.to/smoulove-1-2011-hd-cz/5f84004981674")
                              self.names.append("Smoulove 2")
                              self.urls.append("https://prehraj.to/smoulove-2-2013-hd-cz/6159b1d9852df")
                              self.names.append("Smoulove 3")
                              self.urls.append("https://prehraj.to/smoulove-3-cz-dabing-2017-animovany/5b35a857dca94")
                              self.names.append("Pat a Mat ve filmu")
                              self.urls.append("https://prehraj.to/pat-a-mat/61a20501b49ef")
                              self.names.append("Vzhuru do oblak")
                              self.urls.append("https://prehraj.to/vzhuru-do-oblak-2009-cz-dabing/60800b2690123")
                              self.names.append("V hlave")
                              self.urls.append("https://prehraj.to/v-hlave-2015/617beffa3c83a")        
                              self.names.append("Ratatouille")
                              self.urls.append("https://prehraj.to/ratatouille-cz-dabing/61a49409a4e79")      
                              self.names.append("Toy story 1")
                              self.urls.append("https://prehraj.to/toy-story-1-pribeh-hracek-cz-sk-dabing-1995/6294b93e6fcf6")                                 
                              self.names.append("Toy story 2")
                              self.urls.append("https://prehraj.to/toy-story-pribeh-hracek-2-1999-cz-dabing/592d1c63c1da0")
                              self.names.append("Toy story 3")
                              self.urls.append("https://prehraj.to/toy-story-pribeh-hracek-3-2010-cz-dabing/592d1ce2e2dc5")
                              self.names.append("Toy story 4")
                              self.urls.append("https://prehraj.to/toy-story-4-pribeh-hracek-2019-hbo-hd-cz/61a3516c86268")
                              self.names.append("Jak vycvicit draka 1")
                              self.urls.append("https://prehraj.to/jak-vycvicit-draka-1-cz-dabing/629329b4890ea")
                              self.names.append("Jak vycvicit draka 2")
                              self.urls.append("https://prehraj.to/jak-vycvicit-draka-2-fullhd-cz-dabing/5f8d67977fc14")
                              self.names.append("Jak vycvicit draka 3")
                              self.urls.append("https://prehraj.to/jak-vycvicit-draka-3-cz-dabing-uhd/5fc95354c4a28")
                              self.names.append("Raubir Ralf")
                              self.urls.append("https://prehraj.to/raubir-ralf-2012/5f20017600ff1")
                              self.names.append("Raubir Ralf a internet")
                              self.urls.append("https://prehraj.to/raubir-ralf-a-internet-2018-cz-dabing-hd-1080p/5f26d51f2d0f5")
                              self.names.append("Splachnutej")
                              self.urls.append("https://prehraj.to/splachnutej-2006-cz-dabing/605effa11cd10")
                              self.names.append("Zatazeno obcas trakare 1")
                              self.urls.append("https://prehraj.to/zatazeno-obcas-trakare-1/6154a88665913")
                              self.names.append("Zatazeno obcas trakare 2")
                              self.urls.append("https://prehraj.to/zatazeno-obcas-trakare-2-2013-cz-dabing/5f742fbbcce31")
                              self.names.append("Velka syrova loupez")
                              self.urls.append("https://prehraj.to/velka-syrova-loupez-anim-1986-cz-dabing/609031a3b23f6")      
                              self.names.append("Megamysl")
                              self.urls.append("https://prehraj.to/megamysl-cz-dabing/5c586f01cf3a5")                               
                              self.names.append("Na vlasku 1")
                              self.urls.append("https://prehraj.to/na-vlasku-tangled-2010-cz-sk-en/5f035662a6137")
                              self.names.append("Na vlasku 2")
                              self.urls.append("https://prehraj.to/na-vlasku-2-pred-stastne-az-na-veky-2017-cz-dabing-bst/5c7a9e09584b9")
                              self.names.append("Medvidek Pu")
                              self.urls.append("https://prehraj.to/medvidek-pu-a-jeho-velkolepe-dobrodruzstvi-1997/5ac4d7a312d88")
                              self.names.append("Odvazna Vaiana")
                              self.urls.append("https://prehraj.to/odvazna-vaiana-cz-dabing/5c586f02819f5")
                              self.names.append("Pan vcelka")
                              self.urls.append("https://prehraj.to/pan-vcelka-cz/633f47b47e1f3")
                              self.names.append("Tarzan")
                              self.urls.append("https://prehraj.to/tarzan-1999-1080p-cz/5ef5e82d6a701")
                              self.names.append("Kniha dzungli 1")
                              self.urls.append("https://prehraj.to/kniha-dzungli-1-jungle-book-1967-cz-dabing-animovany/60efc32e8eb7a")
                              self.names.append("Kniha dzungli 2")
                              self.urls.append("https://prehraj.to/kniha-dzungli-2-2003-sk-cz-eng/58d7914312049")
                              self.names.append("Alenka v risi divu")
                              self.urls.append("https://prehraj.to/alenka-v-risi-divu-1951-cz/5cb2477235bf8")
                              self.names.append("Popelka")
                              self.urls.append("https://prehraj.to/popelka-1950-walt-disney-czdabink-dvdrip-lt/5818cdbf4ac6b")
                              self.names.append("Snehurka")
                              self.urls.append("https://prehraj.to/snehurka-a-sedm-trpasliku-1937-cz/61500f0b703ae")
                              self.names.append("Rebelka")
                              self.urls.append("https://prehraj.to/rebelka-2012-nejlepsi-kvalita-cz/5aba0e5e817ed")
                              self.names.append("Hotel Transylvanie 1")
                              self.urls.append("https://prehraj.to/hotel-transylvanie-1-cz-dabing/5c58753f655e7")
                              self.names.append("Hotel Transylvanie 2")
                              self.urls.append("https://prehraj.to/hotel-transylvanie-2-cz-full-hd/601335a9e74f1")                              
                              self.names.append("Wall e")
                              self.urls.append("https://prehraj.to/wall-e-2008-cz-dabing/6074223353c25")
                              self.names.append("Ledove kralovstvi 1")
                              self.urls.append("https://prehraj.to/ledove-kralovstvi-1-cz-dabing/6234db372e305")
                              self.names.append("Ledove kralovstvi 2")
                              self.urls.append("https://prehraj.to/ledove-kralovstvi-2-2019-cz-dabing-1080p/64158f6736948")
                              self.names.append("Adamsova Rodina 1") 
                              self.urls.append("https://prehraj.to/adamsova-rodina-1-1991-cz-dabing-vanocni-filmy/5fd7cafdecf82")
                              self.names.append("Adamsova Rodina 2") 
                              self.urls.append("https://prehraj.to/adamsova-rodina-2-1993-komedie/580ae4049b695")
                              self.names.append("Adamsova Rodina 1 anim")
                              self.urls.append("https://prehraj.to/adamsova-rodina-2019-cz/600bcb6ba7c6e")
                              self.names.append("Adamsova Rodina 2 anim")
                              self.urls.append("https://prehraj.to/adamsova-rodina-2-2022-animovany-cz-dabing/633263bc67acd")
                              self.names.append("Dum kouzel")
                              self.urls.append("https://prehraj.to/dum-kouzel-2013-czdab/6050f9e22fea6")
                              self.names.append("Dumbo")
                              self.urls.append("https://prehraj.to/dumbo-anim-1941-cz-dabing/60b7587ae6faf")
                              self.names.append("Uzasnakovi 1")
                              self.urls.append("https://prehraj.to/uzasnakovi-1-cz-dabing-top-kvalita-videa-a-zvuku/5fd4ac6005860")
                              self.names.append("Uzasnakovi 2")
                              self.urls.append("https://prehraj.to/uzasnakovi-2-2018-cz-dabing/62383ebee017d")
                              self.names.append("Kocour v botach")
                              self.urls.append("https://prehraj.to/kocour-v-botach-mali-dablove-2011-cz-dabing/59651e046038f")
                              self.names.append("Kocour v botach (1969)")
                              self.urls.append("https://prehraj.to/kocour-v-botach-1969/5ab563fd26a30")
                              self.names.append("Posledni jednorozec (1982)")
                              self.urls.append("https://prehraj.to/posledni-jednorozec-1982/5fd0438f0ad6c")
                              self.names.append("Starostlivi medvidci v risi kouzel")
                              self.urls.append("https://prehraj.to/starostlivi-medvidci-v-risi-kouzel/5820002908aa1")
                              self.names.append("Starostlivi medvidci (1985)")
                              self.urls.append("https://prehraj.to/starostlivi-medvidci-1985-by-red/5ff82fb4a7a85")
                              self.names.append("Asterix v Britanii")
                              self.urls.append("https://prehraj.to/asterix-v-britanii-1986-cz/639dbe754589b")
                              self.names.append("Asterix a prekvapeni pro Cezara")
                              self.urls.append("https://prehraj.to/asterix-a-prekvapeni-pro-cezara-1985-cz/63ea12fe6d00f")
                              self.names.append("Asterix a Kleopatra")
                              self.urls.append("https://prehraj.to/asterix-a-kleopatra-nejlepsi-kvalita-cz/5abc1c3894791")
                              self.names.append("Asterix a tajemstvi kouzelneho lektvaru")
                              self.urls.append("https://prehraj.to/asterix-a-tajemstvi-kouzelneho-lektvaru-cz-dabing-2018-animovany/5e681de067e17")
                              self.names.append("Kraska a zvire 1")
                              self.urls.append("https://prehraj.to/kraska-a-zvire-animovany/6003b8405d355")
                              self.names.append("Kraska a zvire 2")
                              self.urls.append("https://prehraj.to/kraska-a-zvire-2-kouzelne-vanoce-cz-dabing-1997-animovany-vanocni/5c1f64c9e2481")
                              self.names.append("Vcelka Maja")
                              self.urls.append("https://prehraj.to/vcelka-maja-2014-cz-sk-dabing/58fc776590592")
                              self.names.append("ready player one hra zacina")
                              self.urls.append("https://prehraj.to/ready-player-one-hra-zacina-akcni-cz-dab-2018-jad/5f2aa4d0652bb")
                              self.names.append("cislo 5 zije 1")
                              self.urls.append("https://prehraj.to/cislo-5-zije-1-720p-cz-1986/58de9b308c3bc")
                              self.names.append("cislo 5 zije 2")
                              self.urls.append("https://prehraj.to/cislo-5-zije-2-1988/610c0778ee241")
                              self.names.append("Hook")
                              self.urls.append("https://prehraj.to/hook-1991-1080p-bluray-x264-ac3-cz/5b1257c6a7145")
                              self.names.append("Gremlins 1")
                              self.urls.append("https://prehraj.to/gremlins-1984-x265-cz/5b09bb797829e")
                              self.names.append("Gremlins 2")
                              self.urls.append("https://prehraj.to/gremlins-2-1990-x265-cz/5b09eabed75cf")
                              self.names.append("Grinch")
                              self.urls.append("https://prehraj.to/grinch/6209f394b376d")
                              self.names.append("Stvoreni sveta")
                              self.urls.append("https://prehraj.to/stvoreni-sveta-1957-1080plq-cz-dabing-vanocni-filmy/5fb744206573a")
                              self.names.append("ET Mimozemstan")
                              self.urls.append("https://prehraj.to/et-mimozemstan-sci-fi-cz-dab-1986-jad/5ac07bfd172f3")
                      showlist(self.names, self["list"])
           

    def okClicked(self):
        idx = self["list"].getSelectionIndex()
        if idx is None:
            return
        try:
            name = self.names[idx]
            url = self.urls[idx]
            streams = self.parseStreams(name, url)
            # run player
            # mozne spustenie je:
            # 1) Player(self.session).play(name, "url_adresa na stream")
            # 2) Player(self.session).play(name, [{'title':'nazov streamu', 'url':'url_adresa na stream'}]) - a teda tu mozes poslat pole streamov ci uz jeden alebo X ked je ich viac ako jeden tak ti vyhodi na vyber ktory chces poslat
            Player(self.session).play(name, streams)
        except:
            print("ERROR: %s"%traceback.format_exc())
            self.session.open(MessageBox, text="Video bylo odstraneno", type=MessageBox.TYPE_ERROR, timeout = 8)
                  
                  
    def parseStreams(self, name, url):
        content2 = getUrl2(url, url)
        regexvideo = '{ file: "(.*?)"'
        regexvideo1 = '{ file: ".*?{ file: "(.*?)"'
        match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
        match3 = re.compile(regexvideo1,re.DOTALL).findall(content2)
        streams = []
        if len(match2) > 0:
            streams.append({'title': name + " 720p", 'url':match2[0].replace("#038;", "")})
            cmd = "echo 'FILMX' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.txt"
            os.system(cmd)
            url2 = "" + match2[0].replace("#038;", "").replace(":", "%3a")
            print "getVideos url2=", url2
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url2 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (720p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.txt"
            os.system(cmd)
        if len(match3) > 0:
            streams.append({'title': name + " 1080p", 'url':match3[0].replace("#038;", "")})
            url3 = match3[0].replace("#038;", "").replace(":", "%3a")
            print "getVideos url3=", url3
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url3 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (1080p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.txt"
            os.system(cmd)   
            cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMX/mylist.sh &"
            os.system(cmd)
        return streams
            
    def cancel(self):
        cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"          
        f.close()
        # name1 = "X"
        # cmd = ""
        # print("sh cmd =", cmd)
        # os.system(cmd)
        self.close()


















