from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage
from Plugins.Extensions.StreamHunter.FILM153.FILMG.FILMG import FILMG

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM153/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM153(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM153/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("Sylvester Stallone")
                              self.urls.append("https://www.csfd.cz/tvurce/33-sylvester-stallone/prehled/?sort=sort_average")
                              self.names.append("Arnold Schwarzenegger")
                              self.urls.append("https://www.csfd.cz/tvurce/34-arnold-schwarzenegger/prehled/?sort=rating_count")
                              self.names.append("Jean-Claude Van Damme")
                              self.urls.append("https://www.csfd.cz/tvurce/35-jean-claude-van-damme/prehled/?sort=rating_count")    
                              self.names.append("Dolph Lundgren")
                              self.urls.append("https://www.csfd.cz/tvurce/36-dolph-lundgren/prehled/?sort=sort_average")          
                              self.names.append("Brandon Lee")
                              self.urls.append("https://www.csfd.cz/tvurce/1994-brandon-lee/prehled/?sort=rating_count")                                   
                              self.names.append("Mel Gibson")
                              self.urls.append("https://www.csfd.cz/tvurce/1-mel-gibson/prehled/?sort=rating_count") 
                              self.names.append("Kurt Russell")
                              self.urls.append("https://www.csfd.cz/tvurce/110-kurt-russell/prehled/?sort=sort_average")  
                              self.names.append("Kevin Costner")
                              self.urls.append("https://www.csfd.cz/tvurce/141-kevin-costner/prehled/?sort=rating_count")                               
                              self.names.append("Tom Cruise")
                              self.urls.append("https://www.csfd.cz/tvurce/72-tom-cruise/prehled/?sort=rating_count")                                  
                              self.names.append("Harrison Ford")
                              self.urls.append("https://www.csfd.cz/tvurce/51-harrison-ford/prehled/?sort=rating_count")                                
                              self.names.append("Bruce Willis")
                              self.urls.append("https://www.csfd.cz/tvurce/3-bruce-willis/prehled/?sort=rating_count")       
                              self.names.append("Wesley Snipes")
                              self.urls.append("https://www.csfd.cz/tvurce/161-wesley-snipes/prehled/?sort=rating_count")       
                              self.names.append("Michael Dudikoff")
                              self.urls.append("https://www.csfd.cz/tvurce/773-michael-dudikoff/prehled/?sort=rating_count")       
                              self.names.append("Steven Seagal")
                              self.urls.append("https://www.csfd.cz/tvurce/482-steven-seagal/prehled/?sort=sort_average")       
                              self.names.append("Christopher Lambert")
                              self.urls.append("https://www.csfd.cz/tvurce/1879-christopher-lambert/prehled/?sort=rating_count")       
                              self.names.append("John Travolta")
                              self.urls.append("https://www.csfd.cz/tvurce/115-john-travolta/prehled/?sort=rating_count")       
                              self.names.append("Michael Douglas")
                              self.urls.append("https://www.csfd.cz/tvurce/267-michael-douglas/prehled/?sort=rating_count")       
                              self.names.append("Tom Hanks")
                              self.urls.append("https://www.csfd.cz/tvurce/330-tom-hanks/prehled/?sort=rating_count")       
                              self.names.append("Sean Connery")
                              self.urls.append("https://www.csfd.cz/tvurce/58-sean-connery/prehled/?sort=rating_count")      
                              self.names.append("Patrick Swayze")
                              self.urls.append("https://www.csfd.cz/tvurce/137-patrick-swayze/prehled/?sort=rating_count") 
                              self.names.append("David Hasselhoff")
                              self.urls.append("https://www.csfd.cz/tvurce/806-david-hasselhoff/prehled/?sort=rating_count") 
                              self.names.append("Charlie Sheen")
                              self.urls.append("https://www.csfd.cz/tvurce/487-charlie-sheen/prehled/?sort=rating_count") 
                              self.names.append("Morgan Freeman")
                              self.urls.append("https://www.csfd.cz/tvurce/92-morgan-freeman/prehled/?sort=rating_count") 
                              self.names.append("Denzel Washington")
                              self.urls.append("https://www.csfd.cz/tvurce/13-denzel-washington/prehled/?sort=rating_count") 
                              self.names.append("Samuel L. Jackson")
                              self.urls.append("https://www.csfd.cz/tvurce/425-samuel-l-jackson/prehled/?sort=rating_count")                               
                              self.names.append("Russell Crowe")
                              self.urls.append("https://www.csfd.cz/tvurce/111-russell-crowe/prehled/?sort=rating_count") 
                              self.names.append("Vin Diesel")
                              self.urls.append("https://www.csfd.cz/tvurce/129-vin-diesel/prehled/?sort=sort_average")         
                              self.names.append("Dwayne Johnson")
                              self.urls.append("https://www.csfd.cz/tvurce/9183-dwayne-johnson/prehled/?sort=rating_count")      
                              self.names.append("Antonio Banderas")
                              self.urls.append("https://www.csfd.cz/tvurce/353-antonio-banderas/prehled/?sort=sort_average") 
                              self.names.append("Keanu Reeves")
                              self.urls.append("https://www.csfd.cz/tvurce/46-keanu-reeves/prehled/?sort=rating_count") 
                              self.names.append("Robert Downey Jr.")
                              self.urls.append("https://www.csfd.cz/tvurce/145-robert-downey-jr/prehled/?sort=rating_count") 
                              self.names.append("Chris Hemsworth")
                              self.urls.append("https://www.csfd.cz/tvurce/35444-chris-hemsworth/prehled/?sort=rating_count")   
                              self.names.append("Jason Momoa")
                              self.urls.append("https://www.csfd.cz/tvurce/37288-jason-momoa/prehled/?sort=sort_average")    
                              self.names.append("Chris Pratt")
                              self.urls.append("https://www.csfd.cz/tvurce/39066-chris-pratt/prehled/?sort=rating_count")  
                              self.names.append("Jason Statham")
                              self.urls.append("https://www.csfd.cz/tvurce/2517-jason-statham/prehled/?sort=sort_average")   
                              self.names.append("Tom Hardy")
                              self.urls.append("https://www.csfd.cz/tvurce/23781-tom-hardy/prehled/?sort=rating_count")                                
                              self.names.append("Hugh Jackman")
                              self.urls.append("https://www.csfd.cz/tvurce/69-hugh-jackman/prehled/?sort=rating_count")     
                              self.names.append("Ben Affleck")
                              self.urls.append("https://www.csfd.cz/tvurce/94-ben-affleck/prehled/?sort=rating_count")   
                              self.names.append("George Clooney")
                              self.urls.append("https://www.csfd.cz/tvurce/31-george-clooney/prehled/?sort=rating_count")                               
                              self.names.append("Scott Adkins")
                              self.urls.append("https://www.csfd.cz/tvurce/15382-scott-adkins/biografie/?sort=sort_average")                              
                              self.names.append("Michael Keaton")
                              self.urls.append("https://www.csfd.cz/tvurce/184-michael-keaton/prehled/?sort=rating_count") 
                              self.names.append("Roy Scheider")
                              self.urls.append("https://www.csfd.cz/tvurce/56-roy-scheider/prehled/?sort=rating_count") 
                              self.names.append("Brad Pitt")
                              self.urls.append("https://www.csfd.cz/tvurce/5-brad-pitt/prehled/?sort=rating_count") 
                              self.names.append("Richard Gere")
                              self.urls.append("https://www.csfd.cz/tvurce/402-richard-gere/prehled/?sort=rating_count")   
                              self.names.append("Michael Douglas")
                              self.urls.append("https://www.csfd.cz/tvurce/267-michael-douglas/prehled/?sort=rating_count")      
                              self.names.append("Anthony Hopkins")
                              self.urls.append("https://www.csfd.cz/tvurce/225-anthony-hopkins/prehled/?sort=rating_count") 
                              self.names.append("Jackie Chan")
                              self.urls.append("https://www.csfd.cz/tvurce/37-jackie-chan/biografie/?sort=rating_count") 
                              self.names.append("Chuck Norris")
                              self.urls.append("https://www.csfd.cz/tvurce/865-chuck-norris/prehled/?sort=rating_count") 
                              self.names.append("Johnny Depp")
                              self.urls.append("https://www.csfd.cz/tvurce/331-johnny-depp/prehled/?sort=rating_count") 
                              self.names.append("Colin Farrell")
                              self.urls.append("https://www.csfd.cz/tvurce/2246-colin-farrell/prehled/?sort=sort_average") 
                              self.names.append("Jack Nicholson")
                              self.urls.append("https://www.csfd.cz/tvurce/182-jack-nicholson/prehled/?sort=rating_count") 
                              self.names.append("Alec Baldwin")
                              self.urls.append("https://www.csfd.cz/tvurce/351-alec-baldwin/prehled/?sort=rating_count")                           
                              self.names.append("Liam Neeson")
                              self.urls.append("https://www.csfd.cz/tvurce/16-liam-neeson/prehled/?sort=rating_count") 
                              self.names.append("Clint Eastwood")
                              self.urls.append("https://www.csfd.cz/tvurce/42-clint-eastwood/prehled/?sort=rating_count") 
                              self.names.append("Nicolas Cage")
                              self.urls.append("https://www.csfd.cz/tvurce/114-nicolas-cage/prehled/?sort=rating_count") 
                              self.names.append("Robin Williams")
                              self.urls.append("https://www.csfd.cz/tvurce/510-robin-williams/prehled/?sort=rating_count") 
                              self.names.append("Dustin Hoffman")
                              self.urls.append("https://www.csfd.cz/tvurce/419-dustin-hoffman/prehled/?sort=sort_average") 
                              self.names.append("Pierce Brosnan")
                              self.urls.append("https://www.csfd.cz/tvurce/65-pierce-brosnan/prehled/?sort=rating_count") 
                              self.names.append("Tommy Lee Jones")
                              self.urls.append("https://www.csfd.cz/tvurce/26-tommy-lee-jones/prehled/?sort=rating_count") 
                              self.names.append("Will Smith")
                              self.urls.append("https://www.csfd.cz/tvurce/27-will-smith/prehled/?sort=rating_count") 
                              self.names.append("Jim Carrey")
                              self.urls.append("https://www.csfd.cz/tvurce/322-jim-carrey/prehled/?sort=rating_count") 
                              self.names.append("Seann William Scott")
                              self.urls.append("https://www.csfd.cz/tvurce/1870-seann-william-scott/prehled/?sort=sort_average") 
                              self.names.append("Eddie Murphy")
                              self.urls.append("https://www.csfd.cz/tvurce/6-eddie-murphy/galerie/?sort=rating_count") 
                              self.names.append("David Duchovny")
                              self.urls.append("https://www.csfd.cz/tvurce/153-david-duchovny/prehled/?sort=rating_count")                                
                              self.names.append("Rutger Hauer")
                              self.urls.append("https://www.csfd.cz/tvurce/283-rutger-hauer/prehled/?sort=rating_count")                               
                              self.names.append("Charles Bronson")
                              self.urls.append("https://www.csfd.cz/tvurce/364-charles-bronson/biografie/?sort=rating_count") 
                              self.names.append("Jean-Paul Belmondo")
                              self.urls.append("https://www.csfd.cz/tvurce/2008-jean-paul-belmondo/prehled/?sort=rating_count") 
                              self.names.append("Terence Hill")
                              self.urls.append("https://www.csfd.cz/tvurce/2060-terence-hill/prehled/?sort=rating_count")       
                              self.names.append("Jean Reno")
                              self.urls.append("https://www.csfd.cz/tvurce/473-jean-reno/prehled/?sort=rating_count") 
                              self.names.append("")
                              self.urls.append("")  
                              self.names.append("************************")
                              self.urls.append("") 
                              self.names.append("Michelle Pfeiffer")
                              self.urls.append("https://www.csfd.cz/tvurce/582-michelle-pfeiffer/prehled/?sort=rating_count")                                
                              self.names.append("Cameron Diaz")
                              self.urls.append("https://www.csfd.cz/tvurce/123-cameron-diaz/prehled/?sort=rating_count") 
                              self.names.append("Jennifer Garner")
                              self.urls.append("https://www.csfd.cz/tvurce/5231-jennifer-garner/prehled/?sort=rating_count")                               
                              self.names.append("Sharon Stone")
                              self.urls.append("https://www.csfd.cz/tvurce/2-sharon-stone/prehled/?sort=rating_count") 
                              self.names.append("Liv Tyler")
                              self.urls.append("https://www.csfd.cz/tvurce/97-liv-tyler/prehled/?sort=rating_count")                               
                              self.names.append("Meryl Streep")
                              self.urls.append("https://www.csfd.cz/tvurce/589-meryl-streep/prehled/?sort=rating_count") 
                              self.names.append("Helen Hunt")
                              self.urls.append("https://www.csfd.cz/tvurce/553-helen-hunt/prehled/?sort=rating_count") 
                              self.names.append("Kristen Stewart")
                              self.urls.append("https://www.csfd.cz/tvurce/274-kristen-stewart/prehled/?sort=rating_count") 
                              self.names.append("Nicole Kidman")
                              self.urls.append("https://www.csfd.cz/tvurce/23-nicole-kidman/prehled/?sort=rating_count")                               
                              self.names.append("Kim Basinger")
                              self.urls.append("https://www.csfd.cz/tvurce/185-kim-basinger/prehled/?sort=rating_count")                               
                              self.names.append("Angelina Jolie")
                              self.urls.append("https://www.csfd.cz/tvurce/556-angelina-jolie/prehled/?sort=rating_count")   
                              self.names.append("Uma Thurman")
                              self.urls.append("https://www.csfd.cz/tvurce/180-uma-thurman/prehled/?sort=rating_count")      
                              self.names.append("Demi Moore")
                              self.urls.append("https://www.csfd.cz/tvurce/305-demi-moore/prehled/?sort=rating_count") 
                              self.names.append("Catherine Zeta-Jones")
                              self.urls.append("https://www.csfd.cz/tvurce/606-catherine-zeta-jones/prehled/?sort=rating_count") 
                              self.names.append("Scarlett Johansson")
                              self.urls.append("https://www.csfd.cz/tvurce/2411-scarlett-johansson/prehled/?sort=rating_count") 
                              self.names.append("Sandra Bullock")
                              self.urls.append("https://www.csfd.cz/tvurce/524-sandra-bullock/prehled/?sort=rating_count") 
                              self.names.append("Julia Roberts")
                              self.urls.append("https://www.csfd.cz/tvurce/4-julia-roberts/prehled/?sort=rating_count") 
                              self.names.append("Denise Richards")
                              self.urls.append("https://www.csfd.cz/tvurce/1900-denise-richards/prehled/?sort=rating_count") 
                              self.names.append("Sigourney Weaver")
                              self.urls.append("https://www.csfd.cz/tvurce/172-sigourney-weaver/prehled/?sort=sort_average")                                 
                              self.names.append("Jessica Biel")
                              self.urls.append("https://www.csfd.cz/tvurce/2348-jessica-biel/prehled/?sort=rating_count")  
                              self.names.append("Zoe Saldana")
                              self.urls.append("https://www.csfd.cz/tvurce/20541-zoe-saldana/prehled/?sort=rating_count")                                
                              self.names.append("Michelle Rodriguez")
                              self.urls.append("https://www.csfd.cz/tvurce/2234-michelle-rodriguez/prehled/?sort=rating_count")                               
                              self.names.append("Milla Jovovich")
                              self.urls.append("https://www.csfd.cz/tvurce/152-milla-jovovich/prehled/?sort=sort_average")  
                              self.names.append("************************************")
                              self.urls.append("")                               
                              self.names.append("Steven Spielberg")
                              self.urls.append("https://www.csfd.cz/tvurce/3091-steven-spielberg/prehled/?sort=rating_count")           
                              self.names.append("James Cameron")
                              self.urls.append("https://www.csfd.cz/tvurce/2840-james-cameron/prehled/?sort=rating_count")      
                              self.names.append("Zack Snyder")
                              self.urls.append("https://www.csfd.cz/tvurce/11185-zack-snyder/prehled/?sort=sort_average")        
                              self.names.append("George A. Romero")
                              self.urls.append("https://www.csfd.cz/tvurce/3056-george-a-romero/prehled/?sort=rating_count")                                   
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '</a>. <a href="(.*?)/away.php'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               cmd = "echo 'FILM53' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM153/mylist.txt"
               os.system(cmd)    
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2
               cmd = "echo  '''" + url + "' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM153/FILMG/mylist1.txt"
               os.system(cmd)
               line = "" + url + "\n"
               cmd = "echo '#DESCRIPTION ''" + name + "'' ' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM153/mylist.txt"
               os.system(cmd)   
               print "In bouquet line 1=", line
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.close()
               name1 = "X"  
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM153/mylist.sh >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)
               while not os.path.exists('/tmp/adresa.txt'):  # Kontrola existence souboru
                 time.sleep(3)
               with open('/tmp/jmeno.txt', 'r') as h:
                 jmeno = h.readline().strip()
                 print(jmeno)  
               name = ("") + jmeno                 
               with open('/tmp/adresa.txt', 'r') as k:
                 adresa = k.readline().strip()
                 print(adresa)  
               url = ("") + adresa      
               with open('/tmp/adresa1.txt', 'r') as k:
                 adresa1 = k.readline().strip()
                 print(adresa1)  
               url1 = ("") + adresa1 
               with open('/tmp/adresa2.txt', 'r') as k:
                 adresa2 = k.readline().strip()
                 print(adresa2)  
               url2 = ("") + adresa2        
               with open('/tmp/adresa3.txt', 'r') as k:
                 adresa3 = k.readline().strip()
                 print(adresa3)  
               url3 = ("") + adresa3                  
               name = self.names.append("")
               url = self.urls.append("")                 
               self.session.open(FILMG, name, url)   
               h.close()
               k.close()   
               cmd = "rm -rf /tmp/jmeno.txt >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)               
               cmd = "rm -rf /tmp/adresa.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)   
               cmd = "rm -rf /tmp/adresa1.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)  
               cmd = "rm -rf /tmp/adresa2.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)      
               cmd = "rm -rf /tmp/adresa3.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)                    
               return

    def cancel(self):
                cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
                os.system(cmd)   
                f.close()
                self.close()


















