import os
try:
    from urllib import urlencode  # Python 2
except ImportError:
    from urllib.parse import urlencode  # Python 3
from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label
from urllib import quote

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox
from Plugins.Extensions.StreamHunter.FILM255.FILM56.FILM56 import FILM56
from Plugins.Extensions.StreamHunter.FILM108.VirtualKeyBoardPath.VirtualKeyBoard import VirtualKeyBoard

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;37" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name=""    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/nic.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text=" " font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="10,53" size="690,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="600,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name=""    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/nic.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
                    <ePixmap name="green"  position="533,500" zPosition="4" size="533,50" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/logoys.png" transparent="1" alphatest="on" />                    
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="333,500" zPosition="4" size="333,50" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/streamhunter.png" transparent="1" alphatest="on" /--> 

	                <widget name="" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM255(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"green": self.okClicked,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Pro CHAT stiskni ..OK")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM255"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
	              regexcat = '<div class=\"col-6 col-sm-4 col-md-3 i\">.*?<article class=\"b-article b-article-no-labels\">.*?<a href=\"(.*?)\" title=\"(.*?)\"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append(name)
                              self.urls.append(url)
                      showlist(self.names, self["list"])
           

    def okClicked(self):
        def closeCallback(val=None):
            if val and len(val) > 0:
                print("****val=%s" % val)
                encoded_val = val.encode('unicode_escape').decode('utf-8')
                encoded_val = encoded_val.replace("val=", "")
                encoded_val = encoded_val.replace("\u00e1", "%u00E1")
                encoded_val = encoded_val.replace("\u010d", "%u010D")
                encoded_val = encoded_val.replace("\u010f", "%u010F")
                encoded_val = encoded_val.replace("\u00e9", "%u00E9")
                encoded_val = encoded_val.replace("\u011b", "%u011B")
                encoded_val = encoded_val.replace("\u00ed", "%u00ED")
                encoded_val = encoded_val.replace("\u0148", "%u0148")
                encoded_val = encoded_val.replace("\u00f3", "%u00F3")
                encoded_val = encoded_val.replace("\u0159", "%u0159")
                encoded_val = encoded_val.replace("\u0161", "%u0161")
                encoded_val = encoded_val.replace("\u0165", "%u0165")
                encoded_val = encoded_val.replace("\u00fa", "%u00FA")
                encoded_val = encoded_val.replace("\u016f", "%u016F")
                encoded_val = encoded_val.replace("\u00Fd", "%u00FD")
                encoded_val = encoded_val.replace("\u017e", "%u017E")
                encoded_val = encoded_val.replace(" ", "%20")   
                encoded_val = encoded_val.replace("+", "%2B")     
                encoded_val = encoded_val.replace("-", "%2D")   
                encoded_val = encoded_val.replace("/", "%2F")   
                encoded_val = encoded_val.replace("\\", "%5C")  
                encoded_val = encoded_val.replace("=", "%3D")  
                encoded_val = encoded_val.replace(")", "%29")   
                encoded_val = encoded_val.replace("(", "%28")  
                encoded_val = encoded_val.replace(".", "%2E")
                encoded_val = encoded_val.replace(",", "%2C") 
                encoded_val = encoded_val.replace(";", "%3B")                        
                encoded_val = encoded_val.replace("\\xfd", "%FD")         
                encoded_val = encoded_val.replace("\\xe1", "%E1")           
                encoded_val = encoded_val.replace("\\xed", "%ED")   
                encoded_val = encoded_val.replace("\\xe9", "%E9")   
                encoded_val = encoded_val.replace("\\xfa", "%FA")    
                encoded_val = encoded_val.replace("&#92;", "%5C")     
                encoded_val = encoded_val.replace("%5Cxa7", "%A7")        
                encoded_val = encoded_val.replace("%5Cxed", "%ED")             
                encoded_val = encoded_val.replace("%5Cxe1", "%E1")     
                encoded_val = encoded_val.replace("%5Cxfd", "%FD")    
                encoded_val = encoded_val.replace("%5Cxe9", "%E9")   
                encoded_val = encoded_val.replace("%5Cxfa", "%FA")    
                encoded_val = encoded_val.replace("%5C%5C", "\\")       
                encoded_val = encoded_val.replace("%5Cu0158", "%u0158")      
                encoded_val = encoded_val.replace("%5Cu0160", "%u0160")         
                encoded_val = encoded_val.replace("%5Cu011a", "%u011A")   
                encoded_val = encoded_val.replace("%5Cu010c", "%u010C")        
                encoded_val = encoded_val.replace("%5Cu017d", "%u017D")    
                encoded_val = encoded_val.replace("%5Cxdd", "%DD")    
                encoded_val = encoded_val.replace("%5Cxc1", "%C1")      
                encoded_val = encoded_val.replace("%5Cxcd", "%CD")    
                encoded_val = encoded_val.replace("%5Cxc9", "%C9")   
                encoded_val = encoded_val.replace("%5Cxda", "%DA")    
                encoded_val = encoded_val.replace("%5Cu016e", "%u016E")        
                encoded_val = encoded_val.replace("%5Cu0164", "%u0164")   
                encoded_val = encoded_val.replace("%5Cxd7", "%D7")    
                encoded_val = encoded_val.replace("%5Cxf7", "%F7")               
                with open("/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/chat.txt", "w") as file:
                    file.write(encoded_val)
                cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/mylist.sh &"
                os.system(cmd)

        def secondTextCallback(val=None):
            if val and len(val) > 0:
                print("****second val=%s" % val)
                encoded_val = val.encode('unicode_escape').decode('utf-8')
                encoded_val = encoded_val.replace("val=", "")
                encoded_val = encoded_val.replace("\u00e1", "%u00E1")
                encoded_val = encoded_val.replace("\u010d", "%u010D")
                encoded_val = encoded_val.replace("\u010f", "%u010F")
                encoded_val = encoded_val.replace("\u00e9", "%u00E9")
                encoded_val = encoded_val.replace("\u011b", "%u011B")
                encoded_val = encoded_val.replace("\u00ed", "%u00ED")
                encoded_val = encoded_val.replace("\u0148", "%u0148")
                encoded_val = encoded_val.replace("\u00f3", "%u00F3")
                encoded_val = encoded_val.replace("\u0159", "%u0159")
                encoded_val = encoded_val.replace("\u0161", "%u0161")
                encoded_val = encoded_val.replace("\u0165", "%u0165")
                encoded_val = encoded_val.replace("\u00fa", "%u00FA")
                encoded_val = encoded_val.replace("\u016f", "%u016F")
                encoded_val = encoded_val.replace("\u00Fd", "%u00FD")
                encoded_val = encoded_val.replace("\u017e", "%u017E")
                encoded_val = encoded_val.replace(" ", "%20")   
                encoded_val = encoded_val.replace("+", "%2B")     
                encoded_val = encoded_val.replace("-", "%2D")   
                encoded_val = encoded_val.replace("/", "%2F")   
                encoded_val = encoded_val.replace("\\", "%5C")  
                encoded_val = encoded_val.replace("=", "%3D")  
                encoded_val = encoded_val.replace(")", "%29")   
                encoded_val = encoded_val.replace("(", "%28")  
                encoded_val = encoded_val.replace(".", "%2E")
                encoded_val = encoded_val.replace(",", "%2C") 
                encoded_val = encoded_val.replace(";", "%3B")                        
                encoded_val = encoded_val.replace("\\xfd", "%FD")         
                encoded_val = encoded_val.replace("\\xe1", "%E1")           
                encoded_val = encoded_val.replace("\\xed", "%ED")   
                encoded_val = encoded_val.replace("\\xe9", "%E9")   
                encoded_val = encoded_val.replace("\\xfa", "%FA")    
                encoded_val = encoded_val.replace("&#92;", "%5C")     
                encoded_val = encoded_val.replace("%5Cxa7", "%A7")   
                encoded_val = encoded_val.replace("%5Cxed", "%ED")             
                encoded_val = encoded_val.replace("%5Cxe1", "%E1")     
                encoded_val = encoded_val.replace("%5Cxfd", "%FD")    
                encoded_val = encoded_val.replace("%5Cxe9", "%E9")   
                encoded_val = encoded_val.replace("%5Cxfa", "%FA")    
                encoded_val = encoded_val.replace("%5C%5C", "\\")      
                encoded_val = encoded_val.replace("%5Cu0158", "%u0158")      
                encoded_val = encoded_val.replace("%5Cu0160", "%u0160")         
                encoded_val = encoded_val.replace("%5Cu011a", "%u011A")   
                encoded_val = encoded_val.replace("%5Cu010c", "%u010C")        
                encoded_val = encoded_val.replace("%5Cu017d", "%u017D")    
                encoded_val = encoded_val.replace("%5Cxdd", "%DD")    
                encoded_val = encoded_val.replace("%5Cxc1", "%C1")      
                encoded_val = encoded_val.replace("%5Cxcd", "%CD")    
                encoded_val = encoded_val.replace("%5Cxc9", "%C9")   
                encoded_val = encoded_val.replace("%5Cxda", "%DA")    
                encoded_val = encoded_val.replace("%5Cu016e", "%u016E")        
                encoded_val = encoded_val.replace("%5Cu0164", "%u0164")   
                encoded_val = encoded_val.replace("%5Cxd7", "%D7")    
                encoded_val = encoded_val.replace("%5Cxf7", "%F7")                   
                with open("/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/prezdivka.txt", "w") as file:
                    file.write(encoded_val)
        prezdivka_file = '/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/prezdivka.txt'

        if not os.path.exists(prezdivka_file):
            self.session.openWithCallback(secondTextCallback, VirtualKeyBoard, title=_("prezdivka"), text='')
            data = "nejprve zadejte Vasi prezdivku a ta se ulozi a zustane ulozena"
            self.session.open(MessageBox, data, type = 1, timeout = 10)
        else:
            self.session.openWithCallback(closeCallback, VirtualKeyBoard, title=_("zde piste text"), text='')

            print("Soubor prezdivka.txt jiz existuje.")
            name = self.names.append("")
            url = self.urls.append("")
            self.session.open(FILM56, name, url)
            self.close()
            return




    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               content2 = getUrl2(url, url)
               regexvideo = '<div class=\"video-holder\">.*?iframe src=\"(.*?)\"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               if len(match2)>0:
                   url2 = "" + match2[0].replace("#038;", "").replace(":", "%3a")
                   print "getVideos url2=", url2
                   f.write("#SERVICE 4097:0:1:1:0:0:0:0:0:0:%s\n"%url2)
                   f.write("#DESCRIPTION %s 720p\n"%text)
               if len(match3)>0:    
                   url3 = match3[0].replace("#038;", "").replace(":", "%3a")
                   print "getVideos url3=", url3
                   f.write("#SERVICE 4097:0:1:1:0:0:0:0:0:0:%s\n"%url3)
                   f.write("#DESCRIPTION %s 1080p\n"%name)
             
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               text = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/mylist.sh '" + text + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet PREHRAJTO ..bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return




















