# -*- coding: utf-8 -*-
from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox
from enigma import eTimer

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import zlib
import threading
import time
import threading


CHAT_RELOAD_SECONDS = 20     # sekundy za kolko sa chat sam aktualizuje
DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.sh"
os.system(cmd)

class eConnectCallbackObj:
	def __init__(self, obj=None, connectHandler=None):
		self.connectHandler = connectHandler
		self.obj = obj
	
	def __del__(self):
		if 'connect' not in dir(self.obj):
			if 'get' in dir(self.obj):
				self.obj.get().remove(self.connectHandler)
			else:
				self.obj.remove(self.connectHandler)
		else:
			del self.connectHandler
		self.connectHandler = None
		self.obj = None
def eConnectCallback(obj, callbackFun):
	if 'connect' in dir(obj):
		return eConnectCallbackObj(obj, obj.connect(callbackFun))
	else:
		if 'get' in dir(obj):
			obj.get().append(callbackFun)
		else:
			obj.append(callbackFun)
		return eConnectCallbackObj(obj, callbackFun)


def getUrl(url):
    try:
        url = 'https://us25.chatzy.com/83438592067802'
        headers = {
            'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:109.0) Gecko/20100101 Firefox/113.0',
            'Accept': '*/*',
            'Accept-Language': 'cs,sk;q=0.8,en-US;q=0.5,en;q=0.3',
            'Content-Type': 'application/x-www-form-urlencoded',
            'Origin': 'https://us25.chatzy.com',
            'Connection': 'keep-alive',
            'Referer': 'https://us25.chatzy.com/83438592067802',
            'Cookie': 'ChatzyDevice=SBOXIFAZ1685002137cPtcWPd3W7qxiVtAHtm4lA&; ChatzyDaily=1; ChatzyPrefs2=lll&000000&',
            'Sec-Fetch-Dest': 'empty',
            'Sec-Fetch-Mode': 'cors',
            'Sec-Fetch-Site': 'same-origin',
            'TE': 'trailers'
        }
        data = 'X2309=1581170387&X9048=X1362&X7910=Fd6ejClS1lPUyvEHXx7H5w-83438592067802%252683438592067802%2526%2526X4700%25261685009707%25264%25265%2526yuxCgXt3OX4ir5AI%2526uuu%2526000000%2526%2526Czech%2BRepublic%2526%2526%2526%2526%2526%2526%2526%2526&X4849=2331&X1131=1685009707&X9974=&X2459=1'
        req = urllib2.Request(url, data, headers)
        response = urllib2.urlopen(req)
        link = response.read()
        response.close()
        
        with open('/tmp/xtes2', 'w') as file:
            file.write(link)

        lines = link.split('\n')
        reversed_lines = reversed(lines)
        reversed_text = '\n'.join(reversed_lines)

        return reversed_text
    except:
        return ""


def getUrl2(url, referer):
    print("Here in client2 getUrl url =", url)
    req = urllib2.Request(url)
    req.add_header('User-Agent', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36')
    req.add_header('Referer', referer)
    response = urllib2.urlopen(req)
    link=response.read()
    response.close()
    return link	


class FullHD(Screen):
    skin = """
        <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
            <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
            <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

            <eLabel text="Chat" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center" foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

            <widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
            <eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
            <widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
            
            <ePixmap name="red" position="0,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
            <ePixmap name="green" position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
            <ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
            <ePixmap name="blue" position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /> 

            <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
            <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
        </screen>"""


class HD(Screen):
    skin = """
        <screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
            <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
            <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#FF0000" /> 

            <eLabel text="Chat" font="Regular;33" position="330,500" size="333,50" zPosition="4" halign="right" foregroundColor="red" backgroundColor="#000000" transparent="1" /> 

            <widget name="list" position="10,53" size="690,400" zPosition="4" scrollbarMode="showOnDemand" />
            <eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
            <widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />

            <ePixmap name="red" position="0,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
            <ePixmap name="green" position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
            <ePixmap name="yellow" position="280,500" zPosition="2" size="200,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
            <ePixmap name="blue" position="480,500" zPosition="2" size="140,40" pixmap="" transparent="1" alphatest="on" /> 

            <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_yellow" position="290,500" size="200,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
            <widget name="key_blue" position="480,500" size="140,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
        </screen>"""

def remove_azbuka(text):
    azbuka_chars = {
        u'а': 'a', u'б': 'b', u'в': 'v', u'г': 'g', u'д': 'd',
        u'е': 'e', u'ё': 'e', u'ж': 'zh', u'з': 'z', u'и': 'i',
        u'й': 'i', u'к': 'k', u'л': 'l', u'м': 'm', u'н': 'n',
        u'о': 'o', u'п': 'p', u'р': 'r', u'с': 's', u'т': 't',
        u'у': 'u', u'ф': 'f', u'х': 'kh', u'ц': 'ts', u'ч': 'ch',
        u'ш': 'sh', u'щ': 'shch', u'ъ': '', u'ы': 'y', u'ь': '',
        u'э': 'e', u'ю': 'yu', u'я': 'ya',
        u'А': 'A', u'Б': 'B', u'В': 'V', u'Г': 'G', u'Д': 'D',
        u'Е': 'E', u'Ё': 'E', u'Ж': 'Zh', u'З': 'Z', u'И': 'I',
        u'Й': 'I', u'К': 'K', u'Л': 'L', u'М': 'M', u'Н': 'N',
        u'О': 'O', u'П': 'P', u'Р': 'R', u'С': 'S', u'Т': 'T',
        u'У': 'U', u'Ф': 'F', u'Х': 'Kh', u'Ц': 'Ts', u'Ч': 'Ch',
        u'Ш': 'Sh', u'Щ': 'Shch', u'Ъ': '', u'Ы': 'Y', u'Ь': '',
        u'Э': 'E', u'Ю': 'Yu', u'Я': 'Ya'
    }
    
    result = ''
    for char in text:
        if char in azbuka_chars:
            result += azbuka_chars[char]
        else:
            result += char
    
    return result


class FILM56(Screen):

    def __init__(self, session, name, url):
        if DESKHEIGHT > 1000:
            self.skin = FullHD.skin
        else:
            self.skin = HD.skin
        Screen.__init__(self, session)

        self.updateTimer = eTimer()
        self.updateTimer_conn = eConnectCallback(self.updateTimer.timeout, self.reloadChat)
#       self["list"] = MenuList([])
        #############################################                
        self.list = []                
#       self["list"] = List(self.list)
        self["list"] = RSList([])
        #############################################
        self["info"] = Label()
        self["key_red"] = Button(_("psát..text"))
        self["key_yellow"] = Button(_("upozornit na sebe")) 
        self["key_green"] = Button(_("číst..text"))
        self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
        {
            "red": self.cancel,
            "yellow": self.yellow_button_pressed,            
            "green": self.okClicked,
            "cancel": self.cancel,
            "ok": self.okClicked,
        }, -2)
        self.name = name
        self.url = url
        
        self["info"].setText("pro cteni...OK,      pro psani...EXIT")
        self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
        self.onClose.append(self.__onClose)
        self.onLayoutFinish.append(self.layoutFinished)
        self.auto_reload_enabled = True
        

    def layoutFinished(self):
        self.updateTimer.start(200, False) 

    def openTest(self):
        self.names = []
        self.urls = []
        #global f
        #path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.txt"
        #f = open(path, "w")
        #name1 = ""
        #line = ""
        #print("In bouquet line =", line)
        #f.write(line)
        print("@@@@@@@@@@@@@@@url=%s"%self.url)
        content = getUrl(self.url)
        #content_without_azbuka = remove_azbuka(content)
        content = remove_azbuka(content)
        #print("content =", content.decode('utf-8', 'ignore'))
        regexcat3 = '<P class="a"(.*?)"color:.*?;">(.*?)</P>'                 
        match3 = re.compile(regexcat3,re.DOTALL).findall(content)  
        regexcat = 'EN" "(.*?)">(.*?) '  
        match = re.compile(regexcat,re.DOTALL).findall(content)  
        if len(match) > 0:
            match.pop(0)                      
        match = match3 + match
        #print("match =", match)
        for i in range(len(match)):
            url, name = match[i]
            print("########## %s"%name)
            name = name.replace("E2</B>:", "*(E2)")
            name = name.replace("</B>:", "**napsal-->")
            name = name.replace("</B> joined the chat", "....se připojil(a) k chatu před")
            name = name.replace("joined the chat", "....se připojil(a) k chatu před")
            name = name.replace("</B> was timed out", "....vypršel časový limit před")
            name = name.replace("was timed out", "....vypršel časový limit před")
            name = name.replace("</B>", "....")
            name = name.replace("minutes ago", "minutami")
            name = name.replace("hours ago", "hodinami")
            name = name.replace("seconds ago", "sekundami")
            name = re.sub(r'</B><!--XA:.*?-->', '-->', name)
            name = name.replace("--> joined the chat", "....se připojil(a) k chatu před")
            name = name.replace("&gt;", ">")
            name = name.replace("&lt;", "<")                          
            name = name.replace("&#92;", "\\")                          
            name = name.replace("http://www.w3.org/TR/html4/strict.dtd", ">>aktualizovat<<")
            name = name.replace("&#39;", "")       
            name = name.replace("Порно", "porno")                               
            match[i] = (url, name)
        #print("match =", match)
        self.urls = []
        self.names = []
        for url, name in match:
            self.names.append(name)
            self.urls.append(url)
        showlist(self.names, self["list"])

    def okClicked(self):
        idx = self["list"].getSelectionIndex()
        if idx is None:
            return
        try:
            name = self.names[idx]
            url = self.urls[idx]
            self.BQwrite(name, url)
        except:
            data = name + ""
            self.session.open(MessageBox, data, type = 1, timeout = 10)

    def BQwrite(self, name, url):     
        print("getVideos url 1=", url)
        link = ''
        content2 = getUrl2(link + url, url)
        regexvideo = '<meta property="og:url" content="(.*?)"'
        regexvideo1 = '<meta http-equiv="content-type" content="(.*?)"'
        match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
        match3 = re.compile(regexvideo1,re.DOTALL).findall(content2)
        print("getVideos match2=", match2)
        cmd = "echo 'FILM56' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.txt"
        os.system(cmd)    
        data = name + " ....Played"
        self.session.open(MessageBox, data, type = 1, timeout = 10)

        #SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
        #SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
        if len(match2) > 0:  
            url2 = "" 
            print("getVideos url2=", url2)
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.txt"
            os.system(cmd)
            line = "" + url + "\n"            
            name = name.replace("amp;", "")
            name = name.replace("o d&#233;lce", "o delce")
            name = name.replace("&#39;", "")       
            name = name.replace("Порно", "porno")   
            name = name.decode('utf-8', 'ignore')
            print("name =", name)
            cmd = "echo '#DESCRIPTION ''" + name + "'' ' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.txt"
            os.system(cmd)                
            cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.sh >>/dev/null 2>&1 </dev/null & disown"
            os.system(cmd)
            while not os.path.exists('/tmp/adresa.txt'):  # Kontrola existence souboru
                time.sleep(3)
            with open('/tmp/jmeno.txt', 'r') as h:
                jmeno = h.readline().strip()
                print("jmeno =", jmeno.decode('utf-8', 'ignore'))
                name = ("") + jmeno                 
            with open('/tmp/adresa.txt', 'r') as k:
                adresa = k.readline().strip()
                print(adresa)  
                url = ("") + adresa      
            with open('/tmp/adresa1.txt', 'r') as k:
                adresa1 = k.readline().strip()
                print(adresa1)  
                url1 = u"" + adresa1.decode('utf-8', 'ignore')
            with open('/tmp/adresa2.txt', 'r') as k:
                adresa2 = k.readline().strip()
                print(adresa2)  
                url2 = ("") + adresa2
            with open('/tmp/adresa3.txt', 'r') as k:
                adresa3 = k.readline().strip()
                print(adresa3)  
                url3 = ("") + adresa3                  
            Player(self.session).play(name, [{'title':jmeno + " ***", 'url':adresa}, {'title':jmeno + " **", 'url':adresa1}, {'title':jmeno + " *", 'url':adresa2}, {'title':jmeno + " m3u", 'url':adresa3}])   
            h.close()
            k.close()   
            cmd = "rm -rf /tmp/jmeno.txt >>/dev/null 2>&1 </dev/null & disown"
            os.system(cmd)               
            cmd = "rm -rf /tmp/adresa.txt >>/dev/null 2>&1 </dev/null & disown"  
            os.system(cmd)   
            cmd = "rm -rf /tmp/adresa1.txt >>/dev/null 2>&1 </dev/null & disown"  
            os.system(cmd)  
            cmd = "rm -rf /tmp/adresa2.txt >>/dev/null 2>&1 </dev/null & disown"  
            os.system(cmd)      
            cmd = "rm -rf /tmp/adresa3.txt >>/dev/null 2>&1 </dev/null & disown"  
            os.system(cmd)   
        elif len(match3) > 0: 
            url4 = "" 
            print("getVideos url4=", url4)
            cmd = "echo  'https://vk.com''" + url + "' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/mylist.txt"
            os.system(cmd) 
            name = self.names.append("")
            url = self.urls.append("")                 
            self.session.open(FILM56, name, url)              
        return

    def reloadChat(self):
        self.updateTimer.stop()
        try:
            print("Reloading chat...")
            self.start_timer()
            time.sleep(2) 
            self.openTest()
        except:
             print("Reload chat failed.\n%s"%traceback.format_exc())
        self.updateTimer.start(CHAT_RELOAD_SECONDS*1000, False)

    def update_text(self):
        time.sleep(1)     
        self["info"].setText("20")    
        time.sleep(1)  
        self["info"].setText("19")   
        time.sleep(1)        
        self["info"].setText("18")    
        time.sleep(1)  
        self["info"].setText("17")       
        time.sleep(1)  
        self["info"].setText("16")    
        time.sleep(1)  
        self["info"].setText("15")   
        time.sleep(1)        
        self["info"].setText("14")    
        time.sleep(1)  
        self["info"].setText("13")   
        time.sleep(1)        
        self["info"].setText("12")    
        time.sleep(1)  
        self["info"].setText("11")         
        time.sleep(1)  
        self["info"].setText("10")    
        time.sleep(1)  
        self["info"].setText("9")   
        time.sleep(1)        
        self["info"].setText("8")    
        time.sleep(1)  
        self["info"].setText("7")       
        time.sleep(1)  
        self["info"].setText("6")    
        time.sleep(1)  
        self["info"].setText("5")   
        time.sleep(1)        
        self["info"].setText("4")    
        time.sleep(1)  
        self["info"].setText("3")   
        time.sleep(1)        
        self["info"].setText("2")    
        time.sleep(1)  
        self["info"].setText("1")    
        time.sleep(1)   
        self["info"].setText("Aktualizuji chat........")         


    def start_timer(self):
        timer = threading.Timer(1.0, self.update_text)
        timer.start()  

    def yellow_button_pressed(self):
        cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM255/FILM56/mylist.sh"
        os.system(cmd) 
        time.sleep(2)
        self.openTest()
        print("Skript byl spuštěn")

    def cancel(self):  
        self.close()

    def __onClose(self):
        self.updateTimer.stop()
        del self.updateTimer_conn
        del self.updateTimer
                
