from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.sh"
os.system(cmd)

def getUrl(url):
    print("Here in client2 getUrl url =", url)
    try:
        req = urllib2.Request(url)
        req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        response = urllib2.urlopen(req)
        link=response.read()
        response.close()
        return link
    except:
        return ""	

def getUrl2(url, referer):
        print("Here in client2 getUrl url =", url)
        req = urllib2.Request(url)
        req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
        response = urllib2.urlopen(req)
        link=response.read()
        response.close()
        return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

                        <widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
                        <eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
                        <widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
                        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
                        <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
                        <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
                        <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

                        <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
                        <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
                        <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
                        <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
                <screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

                        <widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
                        <eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
                        <widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
                        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
                        <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
                        <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
                        <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

                        <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
                        <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
                        <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
                        <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM52(Screen):

    def __init__(self, session, name, url):
        if DESKHEIGHT > 1000:
                self.skin = FullHD.skin
        else:
                self.skin = HD.skin
        Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        #############################################                
        self.list = []                
#                self["list"] = List(self.list)
        self["list"] = RSList([])
        #############################################
        self["info"] = Label()
        self["key_red"] = Button(_("Exit"))
        self["key_green"] = Button(_("Select"))
        self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
        {
                "red": self.cancel,
                "green": self.okClicked,
                "cancel": self.cancel,
                "ok": self.okClicked,
        }, -2)
        self.name = name
        self.url = url
        self["info"].setText("Please select favourite channel for bouquet")
        self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
        self.onLayoutFinish.append(self.openTest)

    def openTest(self):

        self.names = []
        self.urls = []

        global f
        path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.txt"
        f = open(path, "w")
        name1 = ""
        line = ""
        print("In bouquet line =", line)
        f.write(line)
        content = getUrl(self.url)
        print("content =", content)

        link = ''
        dotall = re.DOTALL

        regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
        match = re.compile(regexcat,re.DOTALL).findall(content)
        print("match =", match)
        self.urls = []
        self.names = []
        for url, name in match:
                self.names.append("Blade")
                self.urls.append("https://prehraj.to/blade-1998-bluray-1080p/5bc0ac559468c")
                self.names.append("Blade II")
                self.urls.append("https://prehraj.to/blade-2-2002-1080p-cz/5b28d873e17be")
                self.names.append("Blade III")
                self.urls.append("https://prehraj.to/blade-trinity-2004/5ac71830063ec")
                self.names.append("Iron Man 1")
                self.urls.append("https://prehraj.to/iron-man-1-cz-dabing/6583c31072207")
                self.names.append("Iron Man 2")
                self.urls.append("https://prehraj.to/iron-man-2-2010-cz-1080p/648e76b2cc13a")
                self.names.append("Iron Man 3")
                self.urls.append("https://prehraj.to/iron-man-3-2013-cz-1080p/648fb83c3bed9")
                self.names.append("Resident Evil 1")
                self.urls.append("https://prehraj.to/resident-evil-1-2002-cz-dabing-hit/56169e293c4ad")
                self.names.append("Resident Evil 2")
                self.urls.append("https://prehraj.to/resident-evil-2-apokalypsa-cz-dabing-nejlepsi-kvalita/5ada0fad7e66b")
                self.names.append("Resident Evil 3")
                self.urls.append("https://prehraj.to/resident-evil-3-zanik-2007-cz-dabing/58b462738af8d")
                self.names.append("Resident Evil 4")
                self.urls.append("https://prehraj.to/resident-evil-4-afterlife-2010-cz-dabing-hit/591036bee4104")
                self.names.append("Resident Evil 5")
                self.urls.append("https://prehraj.to/resident-evil-5-odveta/61bc8b9807193")
                self.names.append("Resident Evil 6")
                self.urls.append("https://prehraj.to/resident-evil-6-posledni-kapitola-cz-dabing-2016-akcni/5a1b04f1dc639")
                self.names.append("Spiderman 1")
                self.urls.append("https://prehraj.to/spiderman-1-cz-dabing-2002/57f9e9838c485")
                self.names.append("Spiderman 2")
                self.urls.append("https://prehraj.to/spiderman-2-cz-dabing/58137b6e04746")
                self.names.append("Spiderman 3")
                self.urls.append("https://prehraj.to/spiderman-3-2007-czdab/57dcb53207666")
                self.names.append("Spider Man - Daleko od domova")
                self.urls.append("https://prehraj.to/spider-man-daleko-od-domova-2018-cz/652ef6b708273")                    
                self.names.append("Spider Man - Bez Domova")
                self.urls.append("https://prehraj.to/spider-man-bez-domova-akcny-dobrodruzny-sci-fi-cz-dab-2021-csfd-85/625bbca128b1e")                                   
                self.names.append("Avengers 1")
                self.urls.append("https://prehraj.to/avengers-1-2012-cz-dabing-fullhd/655a018b5903d")
                self.names.append("Avengers 2")
                self.urls.append("https://prehraj.to/avengers-2-age-of-ultron-2015-cz-dabing/6460f5b899886")
                self.names.append("Avengers 3")
                self.urls.append("https://prehraj.to/avengers-3-infinity-war-cz/64627a0ed5947")
                self.names.append("Avengers 4")
                self.urls.append("https://prehraj.to/avengers-endgame-2019-cz-dabing-1080p/6583a578d07f2")
                self.names.append("Aquaman")
                self.urls.append("https://prehraj.to/aquamen-cz-dabing-hd-1920x1080/6175dff34c1ee")
                self.names.append("Wonder Woman 1")
                self.urls.append("https://prehraj.to/wonder-woman-2017-cz-dabing/5fa07f3d6241a")  
                self.names.append("Wonder Woman 2")
                self.urls.append("https://prehraj.to/wonder-woman-1984-2020-cz-4k-uhd/612e98fb37994")                                 
                self.names.append("Antman 1")
                self.urls.append("https://prehraj.to/antman-cz-dabing/5b437fcb3b446")
                self.names.append("Antman 2")
                self.urls.append("https://prehraj.to/ant-man-2-cz-dabing/64883e5e7d968")
                self.names.append("Thor 1")
                self.urls.append("https://prehraj.to/thor-2011-cz-dabing-fullhd/6585b4abf2696")
                self.names.append("Thor 2")
                self.urls.append("https://prehraj.to/thor-2-2013-cz/64a03ab9a6ce2")
                self.names.append("Thor 3")
                self.urls.append("https://prehraj.to/thor-3-ragnarok-cz-dabing/656f4d5569f4e")
                self.names.append("Thor 4")
                self.urls.append("https://prehraj.to/thor-4-laska-ako-hrom-cz-dabing/656f4e3452453")                              
                self.names.append("Doctor Strange 1")
                self.urls.append("https://prehraj.to/doktor-strange-cz-dabing-2016-akcni-scifi/6371337e29129")
                self.names.append("Doctor Strange 2")
                self.urls.append("https://prehraj.to/doctor-strange-2/629f8a29a1eea")                              
                self.names.append("Capitan Marvel")
                self.urls.append("https://prehraj.to/capitan-marvel-cz-dabing-2019/5d0fbd312c0ae")
                self.names.append("Black Panther 1")
                self.urls.append("https://prehraj.to/black-panter-cz-dabing/5faa6957f2641") 
                self.names.append("Black Panther 2")
                self.urls.append("https://prehraj.to/black-panter-2-wakanda-necht-zije-2022-cz-dabing/63be09962661a")                              
                self.names.append("Strazci Galaxie 1")
                self.urls.append("https://prehraj.to/strazci-galaxie-cz-najlepsia-kvalita-4k-upscaled/5977129c6be36")
                self.names.append("Strazci Galaxie 2")
                self.urls.append("https://prehraj.to/strazci-galaxie-2-cz-dabing-2017/6581d128be27f")
                self.names.append("Hulk")
                self.urls.append("https://prehraj.to/hulk-cz-dabing/591036ed592d7")
                self.names.append("Neuveritelny Hulk")
                self.urls.append("https://prehraj.to/hulk-2-neuveritelny-hulk-cz-dabing-2008/560627d77fecd")
                self.names.append("Hulk 3")
                self.urls.append("https://prehraj.to/hulk-2003/5bc24ed65ed04")
                self.names.append("Black_Widow")
                self.urls.append("https://prehraj.to/black-widow-2021-czdab/6539d0794aab9")
                self.names.append("Sebevrazedny oddil")
                self.urls.append("https://prehraj.to/sebevrazedny-oddil-2016-cz/5a6c5fff5e4cf")
                self.names.append("Sebevrazedny oddil 2")
                self.urls.append("https://prehraj.to/sebevrazedny-oddil-2/64b1b86490841")
                self.names.append("Podivuhodna promena Harley Quinn")
                self.urls.append("https://prehraj.to/podivuhodna-promena-harley-quinn-cz-dabing-2020-novinky-akcni-komiks-marvel-avi-by-05m05/6055c02bd411a")                              
                self.names.append("Fantasticka ctyrka 1")
                self.urls.append("https://prehraj.to/fantasticka-ctyrka-cz-dabing-bluray-akcni-sci-fi-2015/5bc21ac567aff")        
                self.names.append("Fantasticka ctyrka 2")
                self.urls.append("https://prehraj.to/fantasticka-ctyrka-2-2007-mkv-1080p-cz-h265/5bc1f8c199767")      
                self.names.append("Fantasticka ctyrka 3")
                self.urls.append("https://prehraj.to/fantasticka-ctyrka-3-sci-fi-2015-cz/5c7cd074d610f")                                 
                self.names.append("Daredevil")
                self.urls.append("https://prehraj.to/daredevil-2003-cz-dabing/5c05d6d6af22d")
                self.names.append("Elektra")
                self.urls.append("https://prehraj.to/elektra-cz-dabing-akcni-dobrodruzny-usa-2005/56f6c9166fbe1")
                self.names.append("Ghost Rider 1")
                self.urls.append("https://prehraj.to/ghost-rider-1-cage-2007-cz-dabing/5c51d37b8245c")
                self.names.append("Ghost Rider 2")
                self.urls.append("https://prehraj.to/ghost-rider-2/5c8954eb523b9")
                self.names.append("Soudce Dredd")
                self.urls.append("https://prehraj.to/soudce-dredd-2012/5aa9c9a329a5a")
                self.names.append("Dredd")
                self.urls.append("https://prehraj.to/dredd-2012-cz-1080p/631fd28d0e199")
                self.names.append("Deadpool 1")
                self.urls.append("https://prehraj.to/deadpool-1-2016-cz-dabing/6116529fe202b")
                self.names.append("Deadpool 2")
                self.urls.append("https://prehraj.to/deadpool-2-2018-cz-dabing/60cf6bf1c84f4")
                self.names.append("Capitan America 1")
                self.urls.append("https://prehraj.to/capitan-america-prvni-avenger-2011-cz-dabing-top/60cf687f928b8")
                self.names.append("Capitan America 2")
                self.urls.append("https://prehraj.to/capitan-america-navrat-prveho-avengera-cz-dabing/59d5b8108caca")
                self.names.append("Capitan America 3")
                self.urls.append("https://prehraj.to/capitan-america-obcanska-valka-cz-dabing-2016/5a005d8206690")
                self.names.append("Nick Fury, Zvlastni Agent")
                self.urls.append("https://prehraj.to/nick-fury-zvlastni-agent-1998-cz-dabing/5c5343a0ee221")   
                self.names.append("Flash (2023)")
                self.urls.append("https://prehraj.to/flash-cz-dabing-2023/64c05f65edd38")                    
                self.names.append("Super 8")
                self.urls.append("https://prehraj.to/super-8-2011-1080p-hevc/5c627b4c9cfed")                               
                self.names.append("Venom 1")
                self.urls.append("https://prehraj.to/film-venom-1-2018-cz/61cb16a1be1e2")
                self.names.append("Venom 2")
                self.urls.append("https://prehraj.to/venom-2-2022-hd-1080p-cz-5-1/62fed8196c6f2")
                self.names.append("Batman 1")
                self.urls.append("https://prehraj.to/batman-1989-cz-1080p/60e0919abd3e9")
                self.names.append("Batman 2")
                self.urls.append("https://prehraj.to/batman-se-vraci-1992-cz-1080p/60e09ab6ebd5c")
                self.names.append("Batman a Robin")
                self.urls.append("https://prehraj.to/batman-a-robin-1997-hd-cz/5f85347523c07")
                self.names.append("Temny rytir")
                self.urls.append("https://prehraj.to/temny-rytier-2008-cz-dabing/5775850ac687a")       
                self.names.append("Temny rytir povstal")
                self.urls.append("https://prehraj.to/temny-rytier-povstal-brrip-cz-dabing/586aa4db48a1b")     
                self.names.append("Batman vs Superman usvit spravedlnosti")
                self.urls.append("https://prehraj.to/batman-vs-superman-usvit-spravedlnosti-2016-theatrical-1080p/626f5890f3e7e")  
                self.names.append("Muz z oceli")
                self.urls.append("https://prehraj.to/muz-z-oceli-2013-cz-4k-uhd/5ff706594e6b2")        
                self.names.append("Liga spravedlnosti")
                self.urls.append("https://prehraj.to/liga-spravedlnosti-zacka-snydera-zack-snyders-justice-league-2021-1080p-webrip-x264-ac3-2-0-cz-5-1-en/6207d0a3c8f8f")                                    
                self.names.append("Superman I")
                self.urls.append("https://prehraj.to/superman-1978-czdab/5ffa73280084d")
                self.names.append("Superman II")
                self.urls.append("https://prehraj.to/superman-2-akcni-1980-cz-dabing/6097e4db23c37")
                self.names.append("Superman III")
                self.urls.append("https://prehraj.to/superman-3-1983-cz-dabing-superman-iii/5db700e26bae9")
                self.names.append("Superman IV")
                self.urls.append("https://prehraj.to/superman-4-superman-iv-the-quest-for-peace-1987-aac-2-0-1080p-h-264-1920x800-cz-dabing/62b28d04e116f")                              
                self.names.append("Robocop")
                self.urls.append("https://prehraj.to/robocop-cz-dabing-2014/5d6e4a56efbdf")
                self.names.append("Robocop 1")
                self.urls.append("https://prehraj.to/robocop-1-cz-dabing-1987/57d40ddebfe4f")
                self.names.append("Robocop 2")
                self.urls.append("https://prehraj.to/robocop-2-cz-dabing-1990/5b8ab20b2a4f4")
                self.names.append("Robocop 3")
                self.urls.append("https://prehraj.to/robocop-3-cz-dabing-1993/5a49d539e3a28")
                self.names.append("Robocop 4")
                self.urls.append("https://prehraj.to/robocop-4-cz-dabing-2000/5de6ef3149974")
                self.names.append("Terminator 1")
                self.urls.append("https://prehraj.to/terminator-1/590e3dff07c98")
                self.names.append("Terminator 2")
                self.urls.append("https://prehraj.to/terminator-2-den-zuctovani-1991-hdrip-cz-dabing-m3/5d56b5bd0d032")
                self.names.append("Terminator 3")
                self.urls.append("https://prehraj.to/terminator-3-vzpoura-stroju/6330422c668cb")
                self.names.append("Terminator 4")
                self.urls.append("https://prehraj.to/terminator-4-cz-dabing-nejlepsi-kvalita/5ad1f09393227")
                self.names.append("Terminator 5")
                self.urls.append("https://prehraj.to/terminator-5-genisys-schwarzenegger-2015-cz-dabing/5c4f2a753bd62")
                self.names.append("Terminator 6")
                self.urls.append("https://prehraj.to/terminator-temny-osud-2019-cz-dabing-full-hd/5e38b7f3caedc")                              
                self.names.append("Vzpoura Stroju 1986")
                self.urls.append("https://prehraj.to/vzpoura-stroju-1986-cz/5ce11979ae27a")
                self.names.append("Kacer Howard 1986")
                self.urls.append("https://prehraj.to/kacer-howard-1986-cz-1080p/5fed91ed8f008")                              
                self.names.append("Navrat do Budoucnosti 1")
                self.urls.append("https://prehraj.to/navrat-do-budoucnosti-1-hd-720p-cz-bandy/5962b3f383429")
                self.names.append("Navrat do Budoucnosti 2")
                self.urls.append("https://prehraj.to/navrat-do-budoucnosti-2-cz-dabing-1989-by-kamer/5828aa1eeccd1")
                self.names.append("Navrat do Budoucnosti 3")
                self.urls.append("https://prehraj.to/navrat-do-budoucnosti-3-cz-dabing-1990/57c2b4009264c")
                self.names.append("Blizka setkani tretiho druhu 1977") 
                self.urls.append("https://prehraj.to/blizka-setkani-tretiho-druhu-1977-cz-1080p/5f508a217d464")
                self.names.append("Vladci vesmiru") 
                self.urls.append("https://prehraj.to/vladci-vesmiru-masters-of-the-universe-fullhd-1080p-cz-1987-phdteam/60ac24bf80375")
                self.names.append("Temny andel")
                self.urls.append("https://prehraj.to/temny-andel-1990/5ab6d8b263252")
                self.names.append("Predator 1")
                self.urls.append("https://prehraj.to/predator-1-cz/5a9f68ec46fb5")
                self.names.append("Predator 2")
                self.urls.append("https://prehraj.to/predator-2-cz-720p-xvid-ac3-5-1-bandy/58d406facfa2d")
                self.names.append("Predator evoluce")
                self.urls.append("https://prehraj.to/predator-evoluce-cz-dabing-4k-kvalita/5c4fb28950e89")
                self.names.append("Alien vs Predator 1")
                self.urls.append("https://prehraj.to/alien-vs-predator-1-cz-dabing-2004/5820f7c7a9fce")
                self.names.append("Alien vs Predator 2")
                self.urls.append("https://prehraj.to/alien-vs-predator-2-2007-1080p-cz/5c67787fc40f7")
                self.names.append("Predatori")
                self.urls.append("https://prehraj.to/predatori-2010-1080p-cz/5a65ac07ddaca")
                self.names.append("Vetrelec 1")
                self.urls.append("https://prehraj.to/vetrelec-1-1979-hdrip-cz-dabing-m3/5c8fa9274c149")
                self.names.append("Vetrelec 2")
                self.urls.append("https://prehraj.to/vetrelec-2/5b788f3b275c0")
                self.names.append("Vetrelec 3")
                self.urls.append("https://prehraj.to/vetrelec-3/5b7895b6e1b1f")
                self.names.append("Vetrelec 4")
                self.urls.append("https://prehraj.to/vetrelec-4-vzkriseni-1080p-1997-predlzena-verzia-digitalne-remastrovane-cz-dabing/603021f366427")
                self.names.append("Vetrelec Covenant")
                self.urls.append("https://prehraj.to/vetrelec-covenant-cz-dabing-2017-hd-prometheus-2/5c03223dcb98e")
                self.names.append("TO 1990")
                self.urls.append("https://prehraj.to/to-cz-dabing-1990-horor-it/5bddbbe8639c6")
                self.names.append("TO 1 2017")
                self.urls.append("https://prehraj.to/to-it-2017-hdrip-cz-dabing-m3/5c4c7460dfa40")
                self.names.append("TO 2 2017")
                self.urls.append("https://prehraj.to/to-kapitola-2-cz-dabing/5e171ecaa1e6e")
                self.names.append("Smrtelne zlo 1")
                self.urls.append("https://prehraj.to/smrtelne-zlo-cz-dabing-horor-komedie-usa-19/58cea9681500b")
                self.names.append("Smrtelne zlo 2")
                self.urls.append("https://prehraj.to/smrtelne-zlo-2-1987-czdabing/57ebc338344d8")
                self.names.append("Smrtelne zlo 3")
                self.urls.append("https://prehraj.to/smrtelne-zlo-03-czdab/62d60582815aa")
                self.names.append("Navrat ozivlich mrtvol 2")
                self.urls.append("https://prehraj.to/navrat-ozivlich-mrtvol-2-1987/5d04c34a7087a")
                self.names.append("Navrat ozivlich mrtvol 3")
                self.urls.append("https://prehraj.to/navrat-ozivlich-mrtvol-3-1993/5d77b587676a3")
                self.names.append("Usvit mrtvych")
                self.urls.append("https://prehraj.to/usvit-mrtvych-dawn-of-the-dead-2004-cz-dabing/5913229bdf252")
                self.names.append("Soumrak mrtvych")
                self.urls.append("https://prehraj.to/soumrak-mrtvych-pegg-2004-cz-dabing/5dcc30905f0e6")
                self.names.append("Zombieland 1")
                self.urls.append("https://prehraj.to/zombieland-2009-1080p-brrip-x264-ac3-cz/589a65d15bab4")
                self.names.append("Zombieland 2")
                self.urls.append("https://prehraj.to/zombieland-2-cz-dabing/5e7a35721036f")
                self.names.append("Zeme mrtvych")
                self.urls.append("https://prehraj.to/zeme-mrtvych-cz-dabing-nejlepsi-kvalita/5ae5be390cddb")
                self.names.append("Hvezdna Brana")
                self.urls.append("https://prehraj.to/hvezdna-brana-1994-cz-1080p/5fb74b53c90df")
                self.names.append("Hvezdna pechota 1")
                self.urls.append("https://prehraj.to/hvezdna-pechota-starship-troopers-1997-1080p-bluray-x264-multidub-chd/6074096ac3896")
                self.names.append("Hvezdna pechota 2")
                self.urls.append("https://prehraj.to/hvezdna-pechota-2-cz-dabing/61069af84ff9e")
                self.names.append("Hvezdna pechota 3")
                self.urls.append("https://prehraj.to/hvezdna-pechota-3-cz-dabing-nejlepsi-kvalita/5b11de91b8e5d")
                self.names.append("Ridick 1")
                self.urls.append("https://prehraj.to/ridick-czdab-2013/58344c05bdc15")
                self.names.append("Ridick 2")
                self.urls.append("https://prehraj.to/ridick-2013-czdab-by-fidlatko/5e36a5d8ddca6")
                self.names.append("Ridick 3")
                self.urls.append("https://prehraj.to/ridick-3-cernocerna-tma/5dd1b095eb16e")
                self.names.append("Smrtonosna zbran 1")
                self.urls.append("https://prehraj.to/smrtonosna-zbran-1-1987-1080p-bluray-x264-cz/5a43e8d2a57e3")
                self.names.append("Smrtonosna zbran 2")
                self.urls.append("https://prehraj.to/smrtonosna-zbran-2-lethal-weapon-2-1989-dvdrip-cz/5a12dbd0cc8f4")
                self.names.append("Smrtonosna zbran 3")
                self.urls.append("https://prehraj.to/smrtonosna-zbran-3-gibson-1992-cz-dabing/5c4da2d17170a")
                self.names.append("Smrtonosna zbran 4")
                self.urls.append("https://prehraj.to/smrtonosna-zbran-4-lethal-weapon-4-cz-dabing-1998/5814845815d38")
                self.names.append("Sileny Max 1")
                self.urls.append("https://prehraj.to/sileny-max-1979-cz-4k-uhd/603817ce77801")
                self.names.append("Sileny Max 2")
                self.urls.append("https://prehraj.to/sileny-max-2-bojovnik-silnic-1981-cz-1080p/5ff1051d7132f")
                self.names.append("Sileny Max 3")
                self.urls.append("https://prehraj.to/sileny-max-a-dom-hromu-1985/5aa770291c44c")
                self.names.append("Sileny Max Zbesila cesta")
                self.urls.append("https://prehraj.to/sileny-max-zbesila-cesta-hd-czdabing/60c90d2809756")
                self.names.append("Interceptor 1986")
                self.urls.append("https://prehraj.to/cerny-prizrak-cz-dabing-1986/580f32745265b")
                self.names.append("Modry Hrom 1983")
                self.urls.append("https://prehraj.to/modry-hrom-1983-akcni-cesky-dabing/5800e717d9f65")
                self.names.append("Cerny Blesk 2009")
                self.urls.append("https://prehraj.to/cerny-blesk-akcni-2009-cz-dabing/6064e31c3fa59")
                self.names.append("Do utoku")
                self.urls.append("https://prehraj.to/do-utoku-over-the-top-stallone-1987-cz-dabing/5c534f38121f4")
                self.names.append("Kriminal")
                self.urls.append("https://prehraj.to/kriminal-1989-czdab/55c7916a7178d")  
                self.names.append("Neni uniku")
                self.urls.append("https://prehraj.to/neni-uniku-1993-cz-dabing/57bcd8b45408f")     
                self.names.append("Prepadeni v Pacifiku")
                self.urls.append("https://prehraj.to/prepadeni-v-pacifiku-1992-full-hd-cz-5-1-digitalne-remastrovane/6022fdfef34aa")             
                self.names.append("Bitevni lod")
                self.urls.append("https://prehraj.to/bitevni-lod-battleship-2012-cz-1080p/5f410b2edfbb6")      
                self.names.append("Pacific Rim 1")
                self.urls.append("https://prehraj.to/pacific-rim-utok-na-zemi-2013-1080p-blurayx264-cz/5a12a68e8edb6")    
                self.names.append("Pacific Rim 2")
                self.urls.append("https://prehraj.to/pacific-rim-2-povstani-2018-hdrip-cz-dabing-m3/5dedc71bdcc9a")           
                self.names.append("Den nezavislosti 1")
                self.urls.append("https://prehraj.to/den-nezavislosti-cz-dabing-1996-by-kamer/5828c67a3e839")    
                self.names.append("Den nezavislosti 2")
                self.urls.append("https://prehraj.to/den-nezavislosti-novy-utok-nejlepsi-kvalita-cz/5abac3b184161")    
                self.names.append("Paty element")
                self.urls.append("https://prehraj.to/paty-element-1997-cz/63886ef6c7787")                                
                self.names.append("Lvi srdce")
                self.urls.append("https://prehraj.to/lvi-srdce-nejlepsi-kvalita-cz/5ab830fcad1f3")              
                self.names.append("Kobra")
                self.urls.append("https://prehraj.to/kobra-1986-cz-1080p/5ff780760431a")        
                self.names.append("Demolition Man")
                self.urls.append("https://prehraj.to/demolition-man-cz-dabing-1993/569a9654bd558")       
                self.names.append("Tango a Cash")
                self.urls.append("https://prehraj.to/tango-a-cash-1989-dvdrip-xvid-cz/58616a90ae224")          
                self.names.append("Stuj nebo maminka vystreli")
                self.urls.append("https://prehraj.to/stuj-nebo-maminka-vystreli-1992-cz/613ba84dc36f6")          
                self.names.append("Utek z New Yorku")
                self.urls.append("https://prehraj.to/utek-z-new-yorku-akcni-1981-cz-dabing/609661cb61e87")     
                self.names.append("Utek z L. A.")
                self.urls.append("https://prehraj.to/utek-z-l-a-akcni-dobrodruzny-sci-fi-usa-1996-cz/558bd236a0e1b")  
                self.names.append("Zoldak legie zkazy")
                self.urls.append("https://prehraj.to/zoldak-legie-zkazy-1998-cz-1080p/6074dc17613e3")                               
                self.names.append("Velke nesnaze v Male Cine")
                self.urls.append("https://prehraj.to/velke-nesnaze-v-male-cine-big-trouble-in-little-china-1080p-cz/5bab7374abfcc")    
                self.names.append("Zuctovani v Malem Tokiu")
                self.urls.append("https://prehraj.to/zuctovani-v-malem-tokiu-1991-cz-dabing/58821b64a77f4")    
                self.names.append("Total Recall")
                self.urls.append("https://prehraj.to/total-recall-total-recall-1990-cz-1920x1080-114min-xm/5de34ddba3108")    
                self.names.append("Bezici muz")
                self.urls.append("https://prehraj.to/bezici-muz-the-running-man-cz-dabing-1987-720p-bdrip-top-kvalita-r/5fedd4584bc4c")      
                self.names.append("Sreet Fighter")
                self.urls.append("https://prehraj.to/street-fighter-posledni-boj-1994-cz/6127e6fc98950")        
                self.names.append("Mortal Kombat 1")
                self.urls.append("https://prehraj.to/mortal-kombat-1-boj-na-zivot-a-na-smrt-1995-dvdrip-cz/586bd79b0231f")   
                self.names.append("Mortal Kombat 2")
                self.urls.append("https://prehraj.to/mortal-kombat-2-vyhlazeni-1997-cz/61073209f09eb")          
                self.names.append("Mortal Kombat (2021)")
                self.urls.append("https://prehraj.to/mortal-kombat-2021-cz-4k/63c603b6ad26e")                                  
                self.names.append("Komando")
                self.urls.append("https://prehraj.to/komando-commando-1985-1080phd-cze-ac3-nova-cze-ac3-prima-eng-dts/5df85ef1307c7")
                self.names.append("Conan 1")
                self.urls.append("https://prehraj.to/barbar-conan-1982-cz/60d34ad8b781c")                                   
                self.names.append("Conan 2")
                self.urls.append("https://prehraj.to/barbar-conan-2-nicitel-1984-cz/5f6fa987cfa98")    
                self.names.append("Ruda Sonja")
                self.urls.append("https://prehraj.to/ruda-sonja-full-hd/5eab48920cf11")         
                self.names.append("Barbar Conan (2011)")
                self.urls.append("https://prehraj.to/barbar-conan-2011-cz-dabing/5f02420ea1a6b")        
                self.names.append("Souboj Titanu (1981)")
                self.urls.append("https://prehraj.to/souboj-titanu-1981-bluray-1080p-x264-cz-dabing-vasut-lukavsky-cst/5b9f74801ce7e")             
                self.names.append("Souboj Titanu (2010)")
                self.urls.append("https://prehraj.to/souboj-titanu-2010-cz-1080p/6480a637d65fb")      
                self.names.append("Hnev Titanu (2012)")
                self.urls.append("https://prehraj.to/hnev-titanu-2012-cz-dab/5bfea849785bf")                   
                self.names.append("Dvojity zasah")
                self.urls.append("https://prehraj.to/dvojity-zasah-1991-cz-1080p/614cf120b393c")      
                self.names.append("Univerzalni vojak 1")
                self.urls.append("https://prehraj.to/univerzalni-vojak-1992-cz-1080p/61546055ab979")      
                self.names.append("Univerzalni vojak 2")
                self.urls.append("https://prehraj.to/univerzalni-vojak-2-zpet-v-akci-1999-cz-dabing/5c2732d1ce423")                                 
                self.names.append("Cyborg")
                self.urls.append("https://prehraj.to/cyborg-van-damme-jk/5f78c79a531a6")   
                self.names.append("Tron 1")
                self.urls.append("https://prehraj.to/tron-1982/5dd55ac42be90")   
                self.names.append("Tron 2")
                self.urls.append("https://prehraj.to/tron-cz-dabing-2010-125-min-sci-fi-akcni-thriller-dobrodruzny/6041dbee45379")                                
                self.names.append("Rudy skorpion")
                self.urls.append("https://prehraj.to/rudy-skorpion-1987-cz-dabing/594f1534ba61d")                                  
                self.names.append("Krvavy sport")
                self.urls.append("https://prehraj.to/krvavy-sport-1988-m-720p-bluray-x264-cz/6051ba8dcfde4")
                self.names.append("Krvavy sport 2")
                self.urls.append("https://prehraj.to/krvavy-sport-ii-konfrontace-bloodsport-2-1996-akcni-cz-dabing/590d7a4507a8c")                              
                self.names.append("Kickboxer")
                self.urls.append("https://prehraj.to/kickboxer-1989/5ab66f445140b")
                self.names.append("Karate Tiger")
                self.urls.append("https://prehraj.to/karate-tiger-1-neustupuj-nevzdavej-se-1986-cz/6035a39f07ec4")
                self.names.append("Vrana")
                self.urls.append("https://prehraj.to/vrana-1994-1080p-brrip-x264-cz/5a181d06530d3")        
                self.names.append("Vrana - mesto andelu")
                self.urls.append("https://prehraj.to/vrana-2-mesto-andelu-cz-dab-1996-jad/5c4aff713da5f")                                  
                self.names.append("Tanec s vlky")
                self.urls.append("https://prehraj.to/tanec-s-vlky-nejlepsi-kvalita-cz/5aab3f818c2bb")     
                self.names.append("Statecne srdce")
                self.urls.append("https://prehraj.to/statecne-srdce-1995-cz-4k-uhd/5fdf84bb7afd2")             
                self.names.append("Posledni mohykan")
                self.urls.append("https://prehraj.to/posledni-mohykan-1992-cz/62e852a6138ff")      
                self.names.append("Gladiator")
                self.urls.append("https://prehraj.to/gladiator-cz-dabing-2000/5d5cd08ce771c")     
                self.names.append("Armagedon")
                self.urls.append("https://prehraj.to/armagedon-hd-cz-dab-1998/58a333ed39627")                                 
                self.names.append("Vodni svet")
                self.urls.append("https://prehraj.to/vodni-svet-1995-czdabing/5f09e5b4d5efb")        
                self.names.append("Kazatel")
                self.urls.append("https://prehraj.to/kazatel-priest-2011-1080p-bluray-cz-en-dd-5-1/631df2a658d29")                   
                self.names.append("Hrozba smrti")
                self.urls.append("https://prehraj.to/hrozba-smrti-1989/5a99039cd9d6b")     
                self.names.append("Top Gun")
                self.urls.append("https://prehraj.to/top-gun-1986-cz/5fe02c2e216d3")  
                self.names.append("Top Gun Maverick")
                self.urls.append("https://prehraj.to/top-gun-maverick-2022-cz-dabing-1080p/64e00306b2900")                 
                self.names.append("Americky bojovnik 1")
                self.urls.append("https://prehraj.to/americky-bojovnik-1992-cz-dabing/588298fe5eb94")       
                self.names.append("Americky bojovnik 2")
                self.urls.append("https://prehraj.to/americky-ninja-2-cz-dabing/5c83e09ed2b5b")        
                self.names.append("Americky bojovnik 3")
                self.urls.append("https://prehraj.to/americky-ninja-3/592052b48a917")         
                self.names.append("Americky bojovnik 4")
                self.urls.append("https://prehraj.to/americky-ninja-4-1990/5ac192905ec00")                                  
                self.names.append("Rambo 1")
                self.urls.append("https://prehraj.to/rambo-1-1982-hd-cz/5eabe3d5e2752")
                self.names.append("Rambo 2")
                self.urls.append("https://prehraj.to/rambo-2-cz-dabing/5b98c570387ee")
                self.names.append("Rambo 3")
                self.urls.append("https://prehraj.to/rambo-3-cz-dabing/5b98c5e138161")
                self.names.append("Rambo 4")
                self.urls.append("https://prehraj.to/rambo-4-2008-hd-cz/5eac113ac9018")
                self.names.append("Rambo 5")
                self.urls.append("https://prehraj.to/2022-posledni-krev-rambo-2022-1080p-brrip-cz-dabing/630b811e49793")
                self.names.append("Rocky 1")
                self.urls.append("https://prehraj.to/rocky-1-cz-dabing-1080p-1976/56f3d21abaf2c")
                self.names.append("Rocky 2")
                self.urls.append("https://prehraj.to/rocky-2-cz-dabing/60e61a60c5f75")
                self.names.append("Rocky 3")
                self.urls.append("https://prehraj.to/rocky-3-1982-720p-hdtv-x264-cz/59e0979b2f26e")
                self.names.append("Rocky 4")
                self.urls.append("https://prehraj.to/rocky-4-1985-cz/5e5d6db0deea4")
                self.names.append("Rocky 5")
                self.urls.append("https://prehraj.to/rocky-5-nejlepsi-kvalita-cz/5abfd8119424c")
                self.names.append("Rocky 6")
                self.urls.append("https://prehraj.to/rocky-6-rocky-balboa-6-2006-cz-dabing/56f3cc5ef40af")
                self.names.append("Creed 1")
                self.urls.append("https://prehraj.to/creed-2015-cz-dabing-1080p/5c755f4819a29")
                self.names.append("Creed 2")
                self.urls.append("https://prehraj.to/creed-2-uhd-cz/602e81380c214")
                self.names.append("Creed 3")
                self.urls.append("https://prehraj.to/creed-iii-2023-cztit-1080p/642c89326da76")                              
                self.names.append("Indiana Jones 1")
                self.urls.append("https://prehraj.to/indiana-jones-a-dobyvatele-ztracene-archy-1981-cz/5eccd327b790a")     
                self.names.append("Indiana Jones 2")
                self.urls.append("https://prehraj.to/indiana-jones-2-chram-zkazy-1984-cz/61489869b9c6d")    
                self.names.append("Indiana Jones 3")
                self.urls.append("https://prehraj.to/indiana-jones-3-posledni-krizova-vyprava-1989-cz/61491404908cb")     
                self.names.append("Indiana Jones 4")
                self.urls.append("https://prehraj.to/indiana-jones-4-kralovstvi-kristalove-lebky-cz-dabing/5fb795544e4a8")     
                self.names.append("Indiana Jones 5")
                self.urls.append("https://prehraj.to/indiana-jones-a-nastroj-osudu-2023-cz-dabing-1080p/64ef0416e277b")                   
                self.names.append("Avatar")
                self.urls.append("https://prehraj.to/avatar-2009-cz/65838fb7c338f")          
                self.names.append("Avatar 2")
                self.urls.append("https://prehraj.to/avatar-2-2022-cz-dabing-1080p/6543683462f6d")                                  
        showlist(self.names, self["list"])
           

    def okClicked(self):
        idx = self["list"].getSelectionIndex()
        if idx is None:
            return
        try:
            name = self.names[idx]
            url = self.urls[idx]
            streams = self.parseStreams(name, url)
            # run player
            # mozne spustenie je:
            # 1) Player(self.session).play(name, "url_adresa na stream")
            # 2) Player(self.session).play(name, [{'title':'nazov streamu', 'url':'url_adresa na stream'}]) - a teda tu mozes poslat pole streamov ci uz jeden alebo X ked je ich viac ako jeden tak ti vyhodi na vyber ktory chces poslat
            Player(self.session).play(name, streams)
        except:
            print("ERROR: %s"%traceback.format_exc())
            self.session.open(MessageBox, text="Video bylo odstraneno", type=MessageBox.TYPE_ERROR, timeout = 8)
                  
                  
    def parseStreams(self, name, url):
        content2 = getUrl2(url, url)
        regexvideo = '{ file: "(.*?)"'
        regexvideo1 = '{ file: ".*?{ file: "(.*?)"'
        match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
        match3 = re.compile(regexvideo1,re.DOTALL).findall(content2)
        streams = []
        if len(match2) > 0:
            streams.append({'title': name + " 720p", 'url':match2[0].replace("#038;", "")})
            cmd = "echo 'FILM52' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.txt"
            os.system(cmd)
            url2 = "" + match2[0].replace("#038;", "").replace(":", "%3a")
            print "getVideos url2=", url2
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url2 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (720p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.txt"
            os.system(cmd)
        if len(match3) > 0:
            streams.append({'title': name + " 1080p", 'url':match3[0].replace("#038;", "")})
            url3 = match3[0].replace("#038;", "").replace(":", "%3a")
            print "getVideos url3=", url3
            cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url3 + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.txt"
            os.system(cmd)
            cmd = "echo '#DESCRIPTION ''" + name + "'' (1080p)' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.txt"
            os.system(cmd)   
            cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM52/mylist.sh &"
            os.system(cmd)
        return streams
            
    def cancel(self):
        cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
        os.system(cmd)       
        f.close()
        # name1 = "X"
        # cmd = ""
        # print("sh cmd =", cmd)
        # os.system(cmd)
        self.close()


















