from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox
from Plugins.Extensions.StreamHunter.FILM55.FILM56.FILM56 import FILM56
from Plugins.Extensions.StreamHunter.FILM108.VirtualKeyBoardPath.VirtualKeyBoard import VirtualKeyBoard

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM55/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
        <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
            <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
            <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

            <eLabel text="VK.com P" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center" foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

            <widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
            <eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
            <widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
            
            <ePixmap name="red" position="0,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
            <ePixmap name="green" position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
            <ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
            <ePixmap name="blue" position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /> 

            <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
            <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
        </screen>"""


class HD(Screen):
    skin = """
        <screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
            <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
            <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#FF0000" /> 

            <eLabel text="VK.com P" font="Regular;33" position="330,500" size="333,50" zPosition="4" halign="right" foregroundColor="red" backgroundColor="#000000" transparent="1" /> 

            <widget name="list" position="10,53" size="690,400" zPosition="4" scrollbarMode="showOnDemand" />
            <eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
            <widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />

            <ePixmap name="red" position="0,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
            <ePixmap name="green" position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
            <ePixmap name="yellow" position="280,500" zPosition="2" size="200,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
            <ePixmap name="blue" position="480,500" zPosition="2" size="140,40" pixmap="" transparent="1" alphatest="on" /> 

            <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
            <widget name="key_yellow" position="290,500" size="200,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
            <widget name="key_blue" position="480,500" size="140,40" valign="center" halign="center" zPosition="4" foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
        </screen>"""


f = ""

class FILM55(Screen):

    def __init__(self, session, name, url):
        if DESKHEIGHT > 1000:
            self.skin = FullHD.skin
        else:
            self.skin = HD.skin
        Screen.__init__(self, session)

        self.list = []
        self["list"] = RSList(self.list)
        self["info"] = Label()
        self["key_red"] = Button(_("Exit"))
        self["key_yellow"] = Button(_("Vyhledavani"))       
        self["key_green"] = Button(_("Select"))
        self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
        {
            "red": self.cancel,
            "yellow": self.hledej,            
            "green": self.okClicked,
            "cancel": self.cancel,
            "ok": self.okClicked,
        }, -2)
        self.name = name
        self.url = url
        self["info"].setText("Please select favourite channel for bouquet")
        self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
        self.onLayoutFinish.append(self.openTest)

    def hledej(self):
        def closeCallback(result):
            if result:
                text = result.strip()
                if text:
                    text = text.replace(" ", "%20")
                    address = "https://vk.com/search?c%5Badult%5D=1&c%5Bper_page%5D=40&c%5Bq%5D={}&c%5Bsection%5D=video&c%5Bsort%5D=2".format(text)
                    with open("/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM55/mylist.txt", "w") as file:
                        file.write(address)
                    name = self.names.append("")
                    url = self.urls.append("")
                    self.session.open(FILM56, name, url)


        self.session.openWithCallback(closeCallback, VirtualKeyBoard, title=_("Zde piste text"), text='')


    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM55/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("0***@public202311464")
                              self.urls.append("https://vk.com/video/@public202311464")
                              self.names.append("1***@prn_full")
                              self.urls.append("https://vk.com/video/@prn_full")                              
                              self.names.append("2***@sexroom_group")
                              self.urls.append("https://vk.com/video/@sexroom_group")
                              self.names.append("3***@bronfi")
                              self.urls.append("https://vk.com/video/@bronfi")   
                              self.names.append("4***@public172454327")
                              self.urls.append("https://vk.com/video/@public172454327")      
                              self.names.append("5***@pfhd_reserve")
                              self.urls.append("https://vk.com/video/@pfhd_reserve")         
                              self.names.append("6***@callporn")
                              self.urls.append("https://vk.com/video/@callporn")  
                              self.names.append("7***@tvn_porn")
                              self.urls.append("https://vk.com/video/@tvn_porn")  
                              self.names.append("8***@ssonyg")
                              self.urls.append("https://vk.com/video/@ssonyg")  
                              self.names.append("9***@analpornforyou")
                              self.urls.append("https://vk.com/video/@analpornforyou")  
                              self.names.append("10***@porno_biglike")
                              self.urls.append("https://vk.com/video/@porno_biglike")  
                              self.names.append("11***@adult_sex_pron1")
                              self.urls.append("https://vk.com/video/@adult_sex_pron1")  
                              self.names.append("12***@thecozi")
                              self.urls.append("https://vk.com/video/@thecozi")  
                              self.names.append("13***@interracialsexx")
                              self.urls.append("https://vk.com/video/@interracialsexx")        
                              self.names.append("14***@alladults")
                              self.urls.append("https://vk.com/video/@alladults")    
                              self.names.append("15***@bbcvid")
                              self.urls.append("https://vk.com/video/@bbcvid")    
                              self.names.append("16***@bigmonstercock")
                              self.urls.append("https://vk.com/video/@bigmonstercock")    
                              self.names.append("17***@blacked_blackedraw")
                              self.urls.append("https://vk.com/video/@blacked_blackedraw")    
                              self.names.append("18***@pornushkavk")
                              self.urls.append("https://vk.com/video/@pornushkavk")    
                              self.names.append("19***@vixenmg")
                              self.urls.append("https://vk.com/video/@vixenmg")    
                              self.names.append("20***@girls_love_big_cocks")
                              self.urls.append("https://vk.com/video/@girls_love_big_cocks")     
                              self.names.append("21***@lvnprn18")
                              self.urls.append("https://vk.com/video/@lvnprn18")      
                              self.names.append("22***@full_search_here")
                              self.urls.append("https://vk.com/video/@full_search_here")           
                              self.names.append("23***@boynasution")
                              self.urls.append("https://vk.com/video/@boynasution")         
                              self.names.append("24***@public219539644")
                              self.urls.append("https://vk.com/video/@public219539644")         
                              self.names.append("25***@toocozi")
                              self.urls.append("https://vk.com/video/@toocozi")         
                              self.names.append("26***@idontlikeporniloveit18")
                              self.urls.append("https://vk.com/video/@idontlikeporniloveit18")         
                              self.names.append("27***@club197090752")
                              self.urls.append("https://vk.com/video/@club197090752")        
                              self.names.append("28***@egroup18")
                              self.urls.append("https://vk.com/video/@egroup18")   
                              self.names.append("29***@lovimomentp")
                              self.urls.append("https://vk.com/video/@lovimomentp")   
                              self.names.append("30***@queenofspadesqos")
                              self.urls.append("https://vk.com/video/@queenofspadesqos")   
                              self.names.append("31***@ramonmonstercockxxx")
                              self.urls.append("https://vk.com/video/@ramonmonstercockxxx")   
                              self.names.append("32***@club209942790")
                              self.urls.append("https://vk.com/video/@club209942790")   
                              self.names.append("33***@julesjordanxxx")
                              self.urls.append("https://vk.com/video/@julesjordanxxx")   
                              self.names.append("34***@club209668872")
                              self.urls.append("https://vk.com/video/@club209668872")      
                              self.names.append("35***@pornokingvkk")
                              self.urls.append("https://vk.com/video/@pornokingvkk")              
                              self.names.append("36***@bbw_pawg")
                              self.urls.append("https://vk.com/video/@bbw_pawg")           
                              self.names.append("37***@brazzers_sas")
                              self.urls.append("https://vk.com/video/@brazzers_sas")           
                              self.names.append("38***@private_erotic")
                              self.urls.append("https://vk.com/video/@private_erotic")           
                              self.names.append("39***@bangbros_official")
                              self.urls.append("https://vk.com/video/@bangbros_official")                                  
                              self.names.append("40***@club120512581")
                              self.urls.append("https://vk.com/video/@club120512581")                                                             
                              self.names.append("41***@porncube1")
                              self.urls.append("https://vk.com/video/@porncube1")           
                              self.names.append("42***@alyxstar")
                              self.urls.append("https://vk.com/video/@alyxstar")           
                              self.names.append("43***@hotpeppergirl")
                              self.urls.append("https://vk.com/video/@hotpeppergirl")           
                              self.names.append("44***@public170516399")
                              self.urls.append("https://vk.com/video/@public170516399")    
                              self.names.append("45***@club98244749")
                              self.urls.append("https://vk.com/video/@club98244749")         
                              self.names.append("46***@assanaldeepthroat")
                              self.urls.append("https://vk.com/video/@assanaldeepthroat")    
                              self.names.append("47***@club197090752")
                              self.urls.append("https://vk.com/video/@club197090752")       
                              self.names.append("48***@club161911578")
                              self.urls.append("https://vk.com/video/@club161911578")   
                              self.names.append("49***@club209497068")
                              self.urls.append("https://vk.com/video/@club209497068")        
                              self.names.append("50***@hhdmu5")
                              self.urls.append("https://vk.com/video/@hhdmu5")       
                              self.names.append("51***@moviesex")
                              self.urls.append("https://vk.com/video/@moviesex")       
                              self.names.append("52***@czechorgasm")
                              self.urls.append("https://vk.com/video/@czechorgasm")          
                              self.names.append("53***@thecozu")
                              self.urls.append("https://vk.com/video/@thecozu")        
                              self.names.append("54***@xfap_4k")
                              self.urls.append("https://vk.com/video/@xfap_4k")        
                              self.names.append("55***@tobichek23")
                              self.urls.append("https://vk.com/video/@tobichek23")     
                              self.names.append("56***@public183631100")
                              self.urls.append("https://vk.com/video/@public183631100")         
                              self.names.append("57***@NTB")
                              self.urls.append("https://vk.com/video/playlist/-202224315_24?section=playlist_24")  
                              self.names.append("58***@cinema_adults")
                              self.urls.append("https://vk.com/video/@cinema_adults/playlists")    
                              self.names.append("59***@best.sexy.models")
                              self.urls.append("https://vk.com/video/@best.sexy.models/playlists")  
                              self.names.append("60***@club209540153")
                              self.urls.append("https://vk.com/video/@club209540153/playlists")     
                              self.names.append("61***@fap_time_2021")
                              self.urls.append("https://vk.com/video/@fap_time_2021/playlists")    
                              self.names.append("62***@relaxnicely")
                              self.urls.append("https://vk.com/video/@relaxnicely")                                
                              self.names.append("63***@brazzershdporno")
                              self.urls.append("https://vk.com/video/@brazzershdporno")  
                              self.names.append("64***@public200121731")
                              self.urls.append("https://vk.com/video/@public200121731")                                
                              self.names.append("65***@queenofspadesqos")
                              self.urls.append("https://vk.com/video/@queenofspadesqos") 
                              self.names.append("66***@brothalovers")
                              self.urls.append("https://vk.com/video/playlist/-126032549_121?section=playlist_121") 
                              self.names.append("67***@brutaldildo")
                              self.urls.append("https://vk.com/video/playlist/-126032549_65?section=playlist_65") 
                              self.names.append("68***@masage")
                              self.urls.append("https://vk.com/video/playlist/-126032549_14") 
                              self.names.append("69***@clubannetteschwarz")
                              self.urls.append("https://vk.com/video/@clubannetteschwarz") 
                              self.names.append("70***@club27234250")
                              self.urls.append("https://vk.com/video/@club27234250") 
                              self.names.append("71***@virgo.peridot")
                              self.urls.append("https://vk.com/video/@virgo.peridot")          
                              self.names.append("72***@club154109474")
                              self.urls.append("https://vk.com/video/@club154109474")   
                              self.names.append("73***@pornolifexxx")
                              self.urls.append("https://vk.com/video/@pornolifexxx")                                 
                              self.names.append("74***@queenofspadeas")
                              self.urls.append("https://vk.com/video/@queenofspadeas")  
                              self.names.append("75***@one_brazzers")
                              self.urls.append("https://vk.com/video/@one_brazzers")  
                              self.names.append("76***@dannydxxx")
                              self.urls.append("https://vk.com/video/@dannydxxx")  
                              self.names.append("77***@zzprn")
                              self.urls.append("https://vk.com/video/@zzprn")                                
                              self.names.append("78***@cuckoldstraponfemdom")
                              self.urls.append("https://vk.com/video/@cuckoldstraponfemdom") 
                              self.names.append("79***@uabestofthebest")
                              self.urls.append("https://vk.com/video/@uabestofthebest")   
                              self.names.append("80***@lovepornxxx")
                              self.urls.append("https://vk.com/video/@lovepornxxx/playlists")  
                              self.names.append("81***@hrporn_group")
                              self.urls.append("https://vk.com/video/@hrporn_group")   
                              self.names.append("82***@MOM4k")
                              self.urls.append("https://vk.com/video/playlist/-90647749_635")             
                              self.names.append("83***@evilangelfans")
                              self.urls.append("https://vk.com/video/@evilangelfans/playlists")                                 
                              self.names.append("84***@uloz")
                              self.urls.append("https://vk.com/video/@id214185242?section=uploaded")        
                              self.names.append("85***@kat")
                              self.urls.append("https://vk.com/search?c%5Badult%5D=1&c%5Bper_page%5D=40&c%5Bq%5D=Katie%20Kush&c%5Bsection%5D=video&c%5Bsort%5D=2")    
                              self.names.append("86***@brothalovers")
                              self.urls.append("https://drive.google.com/uc?id=1ZIOUQ54X1Pouc0Pu-ZgXpfEzDYnABKLO&export=open&confirm=t&uuid=5c093b4f-462f-4852-b7e5-c822c181901f")      
                              self.names.append("87***@uloz")
                              self.urls.append("https://drive.google.com/uc?id=1LWuDNg8LvJ0u484jPKbJFUJoojxUr6ky&export=download")   
                              self.names.append("88***@TeenX3")
                              self.urls.append("https://drive.google.com/uc?id=1Cx_UMuHssW0nhug0prCjRZw0zxEbUzY6&export=download")      
                              self.names.append("89***@TeenX4")
                              self.urls.append("https://drive.google.com/uc?id=19uMqdOWHK2uGIk9cnmdlCGvmjKz2k4EY&export=download")            
                              self.names.append("89***@Blacked")
                              self.urls.append("https://drive.google.com/uc?id=1G7qJTMHRGT3Shh7sz46jS5zuvVC9DtEH&export=download")         
                              self.names.append("89***@BlackedRAW")
                              self.urls.append("https://drive.google.com/uc?id=1Ue-FSVOPgeZ9JQLpbYmRZ3-1UaRlEZYi&export=download")         
                              self.names.append("89***@Black")
                              self.urls.append("https://drive.google.com/uc?id=1lr9U2Y_lX004QkmBVGQKmb8e8NBWSlYF&export=download")        
                              self.names.append("89***@Ass")
                              self.urls.append("https://drive.google.com/uc?id=11OEU8q7CD-O3Ww477wTVFUPMEjeYazUE&export=download")    
                              self.names.append("89***@Dildo")
                              self.urls.append("https://drive.google.com/uc?id=1RcSyfJuvZLXfKqBOfDDzMoaiWyyF_ALw&export=download")     
                              self.names.append("89***@best")
                              self.urls.append("https://drive.google.com/uc?id=1zCjKQ3cCmjhZsY3hjY7EnGeDnQCG4NK-&export=download")                                   
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = getUrl2(link + url, url)
               regexvideo = '</a>. <a href="(.*?)/away.php'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
               cmd = "echo 'FILM55' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM55/mylist.txt"
               os.system(cmd)    
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2
               cmd = "echo  '" + url + "' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM55/mylist.txt"
               os.system(cmd)
               line = "" + url + "\n" 
               print "In bouquet line 1=", line
               line = ""
               print "In bouquet line 2=", line
               f.close()
               name1 = "X"  
               name = self.names.append("")
               url = self.urls.append("")                 
               self.session.open(FILM56, name, url) 
               cmd = "rm -rf /tmp/jmeno.txt >>/dev/null 2>&1 </dev/null & disown"
               os.system(cmd)               
               cmd = "rm -rf /tmp/adresa.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)   
               cmd = "rm -rf /tmp/adresa1.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)  
               cmd = "rm -rf /tmp/adresa2.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)      
               cmd = "rm -rf /tmp/adresa3.txt >>/dev/null 2>&1 </dev/null & disown"  
               os.system(cmd)                    
               return

    def cancel(self):
                cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
                os.system(cmd)   
                f.close()
                self.close()


















