from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM83/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM83(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM83/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM83"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("BlackedRaw--Savannah-Bond---What-Boyfriend")
                              self.urls.append("https://hdporn92.com/blackedraw-savannah-bond-what-boyfriend/")
                              self.names.append("Blacked--Kay-Lovely--Don7t-Ask-Don7t-Tell")
                              self.urls.append("https://hdporn92.com/blacked-kay-lovely-dont-ask-dont-tell/")
                              self.names.append("BlackedRaw--Penny-Barber-03-Armani-Black---Suite-After-Party")
                              self.urls.append("https://hdporn92.com/blackedraw-penny-barber-armani-black-suite-after-party/")
                              self.names.append("BlackedRaw--Britt-Blair---Just-Like-That")
                              self.urls.append("https://hdporn92.com/blackedraw-britt-blair-just-like-that/")
                              self.names.append("BlackedRaw--Emma-Rosie---Stepping-Out")
                              self.urls.append("https://hdporn92.com/blackedraw-emma-rosie-stepping-out/")
                              self.names.append("BlackedRaw--Mia-Kay--Ferocious")
                              self.urls.append("https://hdporn92.com/blackedraw-mia-kay-ferocious/")                              
                              self.names.append("Blacked-Raw--Lauren-Phillips--Hotwife-Goals")
                              self.urls.append("https://hdporn92.com/blacked-raw-lauren-phillips-hotwife-goals/")
                              self.names.append("Blacked-Raw--Destiny-Cruz--Easy-Access")
                              self.urls.append("https://hdporn92.com/blacked-raw-destiny-cruz-easy-access/")
                              self.names.append("Blacked-Raw--Vicki-Chase-03-Avery-Crist--Two-Piece")
                              self.urls.append("https://hdporn92.com/blacked-raw-vicki-chase-avery-crist-two-piece/")
                              self.names.append("Blacked-Raw--Avi-Love-03-Kira-Noir--One-Night")
                              self.urls.append("https://hdporn92.com/blacked-raw-avi-love-kira-noir-one-night/")
                              self.names.append("Blacked-Raw--Baby-Nicols-03-Agatha-Vega--Join-Us-Now")
                              self.urls.append("https://hdporn92.com/blacked-raw-baby-nicols-agatha-vega-join-us-now/")
                              self.names.append("Blacked-Raw--Lilly-Bell--Alone-Time")
                              self.urls.append("https://hdporn92.com/blacked-raw-lilly-bell-alone-time/")
                              self.names.append("Blacked-Raw--Venera-Maxima--Hot-Ride")
                              self.urls.append("https://hdporn92.com/blacked-raw-venera-maxima-hot-ride/")
                              self.names.append("Blacked-Raw--Naomi-Swann-03-Cecilia-Lion--Huge-Surprise")
                              self.urls.append("https://hdporn92.com/blacked-raw-naomi-swann-cecilia-lion-huge-surprise/")
                              self.names.append("Blacked-Raw--Nala-Brooks--Come-Here-Daddy")
                              self.urls.append("https://hdporn92.com/blacked-raw-nala-brooks-come-here-daddy/")
                              self.names.append("Blacked-Raw--Jessie-Saint--Impatient")
                              self.urls.append("https://hdporn92.com/blacked-raw-jessie-saint-impatient/")
                              self.names.append("Blacked-Raw--Jordan-Maxx--Secrets")
                              self.urls.append("https://hdporn92.com/blacked-raw-jordan-maxx-secrets/")
                              self.names.append("Blacked-Raw--Freya-Mayer-03-Ariana-Van-X--Top-That")
                              self.urls.append("https://hdporn92.com/blacked-raw-freya-mayer-ariana-van-x-top-that/")
                              self.names.append("Blacked-Raw--Nikki-Sweet--Sweet-Opportunity")
                              self.urls.append("https://hdporn92.com/blacked-raw-nikki-sweet-sweet-opportunity/")
                              self.names.append("Blacked-Raw--Serena-Santos--Wild-Night")
                              self.urls.append("https://hdporn92.com/blacked-raw-serena-santos-wild-night/")
                              self.names.append("Blacked-Raw--Katie-Kush-03-Kylie-Rocket--Not-Ready-For-This")
                              self.urls.append("https://hdporn92.com/blacked-raw-katie-kush-kylie-rocket-not-ready-for-this/")
                              self.names.append("Blacked-Raw--Cecilia-Lion--Fans-Only")
                              self.urls.append("https://hdporn92.com/blacked-raw-cecilia-lion-fans-only/")
                              self.names.append("Blacked-Raw--Coco-Lovelock--Freshly-Squeezed")
                              self.urls.append("https://hdporn92.com/blacked-raw-coco-lovelock-freshly-squeezed/")
                              self.names.append("Blacked-Raw--Elsa-Jean--Treat-For-You")
                              self.urls.append("https://hdporn92.com/blacked-raw-elsa-jean-treat-for-you/")
                              self.names.append("Blacked-Raw--Violet-Myers--Nothing-To-Lose")
                              self.urls.append("https://hdporn92.com/blacked-raw-violet-myers-nothing-to-lose/")
                              self.names.append("Blacked-Raw--Mona-Azar--Private-Party")
                              self.urls.append("https://hdporn92.com/blacked-raw-mona-azar-private-party/")
                              self.names.append("Blacked-Raw--Morgan-Lee--Next-Door")
                              self.urls.append("https://hdporn92.com/blacked-raw-morgan-lee-next-door/")
                              self.names.append("Blacked-Raw--Kali-Roses--Firestarter")
                              self.urls.append("https://hdporn92.com/blacked-raw-kali-roses-firestarter/")
                              self.names.append("Blacked-Raw--Little-Dragon--Trade-Off")
                              self.urls.append("https://hdporn92.com/blacked-raw-little-dragon-trade-off/")
                              self.names.append("Blacked-Raw--Texas-Patti--Take-A-Ride")
                              self.urls.append("https://hdporn92.com/blacked-raw-texas-patti-take-a-ride/")
                              self.names.append("Blacked--Stefany-Kyler--Lasting-Memories")
                              self.urls.append("https://hdporn92.com/blacked-stefany-kyler-lasting-memories/")
                              self.names.append("Blacked-Raw--Sonya-Blaze--Flawless")
                              self.urls.append("https://hdporn92.com/blacked-raw-sonya-blaze-flawless/")
                              self.names.append("Blacked-Raw--Sophia-West--Get-In")
                              self.urls.append("https://hdporn92.com/blacked-raw-sophia-west-get-in/")
                              self.names.append("Blacked-Raw--Violet-Starr-03-Alina-Ali--Come-Watch")
                              self.urls.append("https://hdporn92.com/blacked-raw-violet-starr-alina-ali-come-watch/")
                              self.names.append("Blacked-Raw--Quinn-Wilde--All-Nighter")
                              self.urls.append("https://hdporn92.com/blacked-raw-quinn-wilde-all-nighter/")
                              self.names.append("Blacked-Raw--Gianna-Dior--Psychosexual--Part-")
                              self.urls.append("https://hdporn92.com/blacked-raw-gianna-dior-psychosexual-part-/")
                              self.names.append("Blacked-Raw--Anya-Krey--Let7s-Go")
                              self.urls.append("https://hdporn92.com/blacked-raw-anya-krey-lets-go/")
                              self.names.append("Blacked-Raw--Kenzie-Anne--Absolute-Dime")
                              self.urls.append("https://hdporn92.com/blacked-raw-kenzie-anne-absolute-dime/")
                              self.names.append("Blacked-Raw--Chloe-Cherry--Loving-It")
                              self.urls.append("https://hdporn92.com/blacked-raw-chloe-cherry-loving-it/")
                              self.names.append("Blacked-Raw--Stefany-Kyler-03-Apolonia-Lapiedra--Dessert")
                              self.urls.append("https://hdporn92.com/blacked-raw-stefany-kyler-apolonia-lapiedra-dessert/")
                              self.names.append("Blacked-Raw--Aria-Banks--In-View")
                              self.urls.append("https://hdporn92.com/blacked-raw-aria-banks-in-view/")
                              self.names.append("Blacked-Raw--April-Snow--Bye-Boy")
                              self.urls.append("https://hdporn92.com/blacked-raw-april-snow-bye-boy/")
                              self.names.append("Blacked-Raw--Charlotte-Sins-03-Eliza-Ibarra--Down-To-Party")
                              self.urls.append("https://hdporn92.com/blacked-raw-charlotte-sins-eliza-ibarra-down-to-party/")
                              self.names.append("Blacked-Raw--Blake-Blossom--It7s-On")
                              self.urls.append("https://hdporn92.com/blacked-raw-blake-blossom-its-on/")
                              self.names.append("Blacked-Raw--Syren-De-Mer--Overnight")
                              self.urls.append("https://hdporn92.com/blacked-raw-syren-de-mer-overnight/")
                              self.names.append("Blacked-Raw--Alina-Ali-03-Kayley-Gunner--Jump-In")
                              self.urls.append("https://hdporn92.com/blacked-raw-alina-ali-kayley-gunner-jump-in/")
                              self.names.append("Blacked-Raw--Carmen-Caliente--Soaking")
                              self.urls.append("https://hdporn92.com/blacked-raw-carmen-caliente-soaking/")
                              self.names.append("Blacked-Raw--Alina-Lopez--Night-Ride")
                              self.urls.append("https://hdporn92.com/blacked-raw-alina-lopez-night-ride/")
                              self.names.append("Blacked-Raw--Jazmin-Luv-03-Anna-Claire-Clouds--Let7s-All-Be-Friends")
                              self.urls.append("https://hdporn92.com/blacked-raw-jazmin-luv-anna-claire-clouds-lets-all-be-friends/")
                              self.names.append("Blacked-Raw--Allie-Nicole-03-Haley-Reed--Take-A-Dip")
                              self.urls.append("https://hdporn92.com/blacked-raw-allie-nicole-haley-reed-take-a-dip/")
                              self.names.append("Blacked-Raw--Nicole-Doshi--Centerfold")
                              self.urls.append("https://hdporn92.com/blacked-raw-nicole-doshi-centerfold/")
                              self.names.append("Blacked-Raw--Gia-Derza--Every-Inch")
                              self.urls.append("https://hdporn92.com/blacked-raw-gia-derza-every-inch/")                            
                              self.names.append("Blacked-Raw--Sky-Pierce--Seduction")
                              self.urls.append("https://hdporn92.com/blacked-raw-sky-pierce-seduction/")
                              self.names.append("Blacked-Raw--Sera-Ryder--Interested")
                              self.urls.append("https://hdporn92.com/blacked-raw-sera-ryder-interested/")
                              self.names.append("Blacked-Raw--Haley-Spades--Going-Out")
                              self.urls.append("https://hdporn92.com/blacked-raw-haley-spades-going-out/")
                              self.names.append("Blacked-Raw--Azul-Hermosa--Luscious")
                              self.urls.append("https://hdporn92.com/blacked-raw-azul-hermosa-luscious/")
                              self.names.append("Blacked-Raw--Scarlett-Hampton--Interception")
                              self.urls.append("https://hdporn92.com/blacked-raw-scarlett-hampton-interception/")
                              self.names.append("Blacked-Raw--Sonya-Blaze-03-Sybil--After-The-Club")
                              self.urls.append("https://hdporn92.com/blacked-raw-sonya-blaze-sybil-after-the-club/")
                              self.names.append("Blacked-Raw-V46")
                              self.urls.append("https://hdporn92.com/blacked-raw-v46/")
                              self.names.append("Blacked-Raw--Cadence-Lux--Late-Night-Plans")
                              self.urls.append("https://hdporn92.com/blacked-raw-cadence-lux-late-night-plans/")
                              self.names.append("Blacked-Raw--Marilyn-Sugar--Sweet-Spot")
                              self.urls.append("https://hdporn92.com/blacked-raw-marilyn-sugar-sweet-spot/")
                              self.names.append("Blacked-Raw--Blake-Blossom-03-Madi-Laine--Party-Of-Three")
                              self.urls.append("https://hdporn92.com/blacked-raw-blake-blossom-madi-laine-party-of-three/")
                              self.names.append("Blacked-Raw--Holly-Molly--Night-Games")
                              self.urls.append("https://hdporn92.com/blacked-raw-holly-molly-night-games/")
                              self.names.append("Blacked-Raw--Slimthick-Vic--All-Yours")
                              self.urls.append("https://hdporn92.com/blacked-raw-slimthick-vic-all-yours/")
                              self.names.append("Blacked-Raw--Agatha-Vega--Two-For-Me")
                              self.urls.append("https://hdporn92.com/blacked-raw-agatha-vega-two-for-me/")
                              self.names.append("Blacked-Raw--Jamie-Michelle--For-Your-Eyes")
                              self.urls.append("https://hdporn92.com/blacked-raw-jamie-michelle-for-your-eyes/")
                              self.names.append("Blacked-Raw--Liya-Silver--Welcome-Aboard")
                              self.urls.append("https://hdporn92.com/blacked-raw-liya-silver-welcome-aboard/")
                              self.names.append("Blacked-Raw--Mila-Monet-03-Nicole-Kitt--Big-Fans")
                              self.urls.append("https://hdporn92.com/blacked-raw-mila-monet-nicole-kitt-big-fans/")
                              self.names.append("Blacked-Raw--Mary-Rock--Midnight-Layover")
                              self.urls.append("https://hdporn92.com/blacked-raw-mary-rock-midnight-layover/")
                              self.names.append("Blacked-Raw--Eve-Marlowe-03-Audrey-Noir--Midnight-Layover")
                              self.urls.append("https://hdporn92.com/blacked-raw-eve-marlowe-audrey-noir-midnight-layover/")
                              self.names.append("Blacked-Raw--Asia-Vargas--Fast-Ride")
                              self.urls.append("https://hdporn92.com/blacked-raw-asia-vargas-fast-ride/")
                              self.names.append("Blacked-Raw--Lily-Larimar--Double-Fun")
                              self.urls.append("https://hdporn92.com/blacked-raw-lily-larimar-double-fun/")
                              self.names.append("Blacked-Raw--Alina-West--Wild-West")
                              self.urls.append("https://hdporn92.com/blacked-raw-alina-west-wild-west/")
                              self.names.append("Blacked-Raw--Kenzie-Anne--Looking-For-Trouble")
                              self.urls.append("https://hdporn92.com/blacked-raw-kenzie-anne-looking-for-trouble/")
                              self.names.append("Blacked-Raw--Scarlett-Jones--Show-Around")
                              self.urls.append("https://hdporn92.com/blacked-raw-scarlett-jones-show-around/")
                              self.names.append("Blacked-Raw--Amber-Moore--Private-View")
                              self.urls.append("https://hdporn92.com/blacked-raw-amber-moore-private-view/")
                              self.names.append("Blacked-Raw--Little-Dragon--Arresting")
                              self.urls.append("https://hdporn92.com/blacked-raw-little-dragon-arresting/")
                              self.names.append("BlackedRaw--Spencer-Bradley--Flexing-It")
                              self.urls.append("https://hdporn92.com/blackedraw-spencer-bradley-flexing-it/")
                              self.names.append("Blacked-Raw--High-Gear")
                              self.urls.append("https://hdporn92.com/blacked-raw-high-gear/")
                              self.names.append("BlackedRaw--Leana-Lovings--Good-Loving")
                              self.urls.append("https://hdporn92.com/blackedraw-leana-lovings-good-loving/")                              
                              self.names.append("BlackedRaw--Anissa-Kate--Special-Surprise")
                              self.urls.append("https://hdporn92.com/blackedraw-anissa-kate-special-surprise/")                              
                              self.names.append("BlackedRaw--Scarlett-Jones-03-Mina-Von-D---Scorchers")
                              self.urls.append("https://hdporn92.com/blackedraw-scarlett-jones-mina-von-d-scorchers/")
                              self.names.append("BlackedRaw--Chloe-Surreal---Special-Package")
                              self.urls.append("https://hdporn92.com/blackedraw-chloe-surreal-special-package/")
                              self.names.append("BlackedRaw--Valerica-Steele---Wilding")
                              self.urls.append("https://hdporn92.com/blackedraw-valerica-steele-wilding/")
                      showlist(self.names, self["list"]) 
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               content2 = getUrl2(url, url)
               regexvideo = 'https://streamtape(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "https://streamtape" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (K HTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36' --referer 'https://streamtape.com/' '" + url + "' > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM83/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet BlackedRaw-bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















