from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM89/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM89(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM89/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM89"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("CastingCouchHD--Tessa--Valet-parks-a-BBC-inside-her-for-a-job")
                              self.urls.append("https://hdporn92.com/castingcouchhd-tessa-valet-parks-a-bbc-inside-her-for-a-job/")                                                          
                              self.names.append("CastingCouch-HD--Alyssa")
                              self.urls.append("https://hdporn92.com/castingcouch-hd-alyssa/")
                              self.names.append("Casting-Couch-HD--Leila--Thick-With-Huge-Tits")
                              self.urls.append("https://hdporn92.com/casting-couch-hd-leila-thick-with-huge-tits/")
                              self.names.append("CastingCouchHD--Macey--Thick-White-Girl-Is-FREAKY")
                              self.urls.append("https://hdporn92.com/castingcouchhd-macey-thick-white-girl-is-freaky/")
                              self.names.append("CastingCouchHD--Mella---Year-Old-With-An-Amazing-Ass")
                              self.urls.append("https://hdporn92.com/castingcouchhd-mella--year-old-with-an-amazing-ass/")
                              self.names.append("CastingCouch-HD--Scarlet--Redhead-Pounded-By-BBC")
                              self.urls.append("https://hdporn92.com/castingcouch-hd-scarlet-redhead-pounded-by-bbc/")
                              self.names.append("CastingCouch-HD--Sabrina--Tall-Girl-Cannot-Wait-For-BBC")
                              self.urls.append("https://hdporn92.com/castingcouch-hd-sabrina-tall-girl-cannot-wait-for-bbc/")
                              self.names.append("CastingCouchHD--Selina--Full-Lip-White-Girl-Sucks-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-selina-full-lip-white-girl-sucks-bbc/")
                              self.names.append("CastingCouchHD--Jaidah--Words-Cannot-Describe-Her")
                              self.urls.append("https://hdporn92.com/castingcouchhd-jaidah-words-cannot-describe-her/")
                              self.names.append("CastingCouchHD--Angel--Perky-Tits-White-Girl-Loves-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-angel-perky-tits-white-girl-loves-bbc/")
                              self.names.append("CastingCouchHD--Nolina--Hesitant-At-First")
                              self.urls.append("https://hdporn92.com/castingcouchhd-nolina-hesitant-at-first/")
                              self.names.append("CastingCouchHD--Haley--Enjoying-Being-Single")
                              self.urls.append("https://hdporn92.com/castingcouchhd-haley-enjoying-being-single/")
                              self.names.append("CastingCouchHD--Ava--She-Was-Ready-To-Go")
                              self.urls.append("https://hdporn92.com/castingcouchhd-ava-she-was-ready-to-go/")
                              self.names.append("CastingCouchHD--Nicole--Perfect-Figure-To-Be-In-A-Rap-Video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-nicole-perfect-figure-to-be-in-a-rap-video/")
                              self.names.append("CastingCouchHD--Camila--Petite-Girl-With-Great-Ass")
                              self.urls.append("https://hdporn92.com/castingcouchhd-camila-petite-girl-with-great-ass/")
                              self.names.append("CastingCouchHD--Nicole--Big-Ass-Girl-Does-Anal-and-Gets-Creampied!")
                              self.urls.append("https://hdporn92.com/castingcouchhd-nicole-big-ass-girl-does-anal-and-gets-creampied/")
                              self.names.append("CastingCouchHD--Braylin--Santa-Barbara-Does-It-Now!")
                              self.urls.append("https://hdporn92.com/castingcouchhd-braylin-santa-barbara-does-it-now/")
                              self.names.append("CastingCouchHD--Ali--Orgasmic-Strawberry-Blonde")
                              self.urls.append("https://hdporn92.com/castingcouchhd-ali-orgasmic-strawberry-blonde/")
                              self.names.append("CastingCouchHD--Ariana---Shy-Latina-Can-Barely-Take-It")
                              self.urls.append("https://hdporn92.com/castingcouchhd-ariana-49-shy-latina-can-barely-take-it/")
                              self.names.append("CastingCouchHD--Lauren--Body-Built-For-A-Rap-Video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lauren-body-built-for-a-rap-video/")
                              self.names.append("CastingCouchHD--Naomi--She-is-down-for-Anything")
                              self.urls.append("https://hdporn92.com/castingcouchhd-naomi-she-is-down-for-anything/")
                              self.names.append("CastingCouchHD--Tokyo--Bubble-Butt-Bouncing-On-A-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-tokyo-bubble-butt-bouncing-on-a-bbc/")
                              self.names.append("CastingCouchHD--Stella--Multiple-Orgasms-From-Her-st-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-stella-multiple-orgasms-from-her-st-bbc/")
                              self.names.append("CastingCouchHD--Naomi--Big-Titty-Ebony-Model-Creampied")
                              self.urls.append("https://hdporn92.com/castingcouchhd-naomi-big-titty-ebony-model-creampied/")
                              self.names.append("CastingCouchHD--Meloni--9-yr-old-fucks-st-black-guy")
                              self.urls.append("https://hdporn92.com/castingcouchhd-meloni-9-yr-old-fucks-st-black-guy/")
                              self.names.append("CastingCouchHD--Vivian--Sweet-girl-fucks-her-st-black-guy")
                              self.urls.append("https://hdporn92.com/castingcouchhd-vivian-sweet-girl-fucks-her-st-black-guy/")
                              self.names.append("CastingCouchHD--Kay--Kay-Fucks-Her-First-Black-Guy")
                              self.urls.append("https://hdporn92.com/castingcouchhd-kay-kay-fucks-her-first-black-guy/")
                              self.names.append("CastingCouchHD--Desiree--She-Really-Gave-It-Her-All")
                              self.urls.append("https://hdporn92.com/castingcouchhd-desiree-she-really-gave-it-her-all/")
                              self.names.append("CastingCouchHD--Lily--Married-Lily-Tries-Black-Dick")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lily-married-lily-tries-black-dick/")
                              self.names.append("CastingCouchHD--Amber--Innocent-Redhead-Fucks-First-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-amber-innocent-redhead-fucks-first-bbc/")
                              self.names.append("CastingCouchHD--Bella--Perfect-Tits-On-This-Girl")
                              self.urls.append("https://hdporn92.com/castingcouchhd-bella-perfect-tits-on-this-girl/")
                              self.names.append("CastingCouchHD--Mia--Nervous-Model-Takes-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-mia-nervous-model-takes-bbc/")
                              self.names.append("CastingCouchHD--Talia")
                              self.urls.append("https://hdporn92.com/castingcouchhd-talia/")
                              self.names.append("CastingCouchHD--Luna--PAWG-redhead-auditions")
                              self.urls.append("https://hdporn92.com/castingcouchhd-luna-pawg-redhead-auditions/")
                              self.names.append("CastingCouchHD--Kennedy--PAWG-Almost-Walked-Out")
                              self.urls.append("https://hdporn92.com/castingcouchhd-kennedy-pawg-almost-walked-out/")
                              self.names.append("CastingCouchHD--Marie--PAWG-takes-st-BBC-and-lets-him-creampie-her")
                              self.urls.append("https://hdporn92.com/castingcouchhd-marie-pawg-takes-st-bbc-and-lets-him-creampie-her/")
                              self.names.append("CastingCouchHD--Christina--Gorgeous-Blonde-Christina")
                              self.urls.append("https://hdporn92.com/castingcouchhd-christina-gorgeous-blonde-christina/")
                              self.names.append("CastingCouchHD--Lila--Thick-PAWG-wants-in-a-rap-video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lila-thick-pawg-wants-in-a-rap-video/")
                              self.names.append("CastingCouchHD--Angelina--Quiet-girl-goes-wild-for-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-angelina-quiet-girl-goes-wild-for-bbc/")
                              self.names.append("CastingCouchHD--Nina--Latina-gives-it-her-all")
                              self.urls.append("https://hdporn92.com/castingcouchhd-nina-latina-gives-it-her-all/")
                              self.names.append("CastingCouchHD--Max--Pale-Skin-White-Girl-Takes-On-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-max-pale-skin-white-girl-takes-on-bbc/")
                              self.names.append("CastingCouchHD--Zihna--Pale-Skin-White-Girl-Takes-On-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-zihna-pale-skin-white-girl-takes-on-bbc/")
                              self.names.append("CastingCouchHD--Carrie--Natural-Big-Titty-Blonde-Fucks--Black-Guys")
                              self.urls.append("https://hdporn92.com/castingcouchhd-carrie-natural-big-titty-blonde-fucks--black-guys/")
                              self.names.append("CastingCouchHD--Sasha--She-really-wanted-in-the-video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-sasha-she-really-wanted-in-the-video/")
                              self.names.append("CastingCouchHD--Angel--Tall-MILF-Wants-In-Rap-Video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-angel-tall-milf-wants-in-rap-video/")
                              self.names.append("CastingCouchHD--Gia--Wanted-a-Shot-At-a-Rap-Video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-gia-wanted-a-shot-at-a-rap-video/")
                              self.names.append("CastingCouchHD--Lucy--Thick-white-girl-goes-for-it")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lucy-thick-white-girl-goes-for-it/")
                              self.names.append("CastingCouchHD--Athena--Ready-For-A-Rap-Video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-athena-ready-for-a-rap-video/")
                              self.names.append("CastingCouchHD--Blake--Bakery-Worker-With-Cake")
                              self.urls.append("https://hdporn92.com/castingcouchhd-blake-bakery-worker-with-cake/")
                              self.names.append("CastingCouchHD--Lucy--PAWG-Will-To-Take-It-In-Her-Ass")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lucy-pawg-will-to-take-it-in-her-ass/")
                              self.names.append("CastingCouchHD--Armani--Extremely-hot-girl-with-a-nasty-side")
                              self.urls.append("https://hdporn92.com/castingcouchhd-armani-extremely-hot-girl-with-a-nasty-side/")
                              self.names.append("CastingCouchHD--Naomi--Bubbly-girl-excited-to-be-in-a-rap-video")
                              self.urls.append("https://hdporn92.com/castingcouchhd-naomi-bubbly-girl-excited-to-be-in-a-rap-video/")
                              self.names.append("CastingCouchHD--Mia--April--Wild-Threesome-That-Includes-ANAL")
                              self.urls.append("https://hdporn92.com/castingcouchhd-mia-april-wild-threesome-that-includes-anal/")
                              self.names.append("CastingCouchHD--Lizzie--Sweet-girl-with-a-nasty-side")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lizzie-sweet-girl-with-a-nasty-side/")
                              self.names.append("CastingCouchHD--Beverly--Really-Enjoyed-Her-Return")
                              self.urls.append("https://hdporn92.com/castingcouchhd-beverly-really-enjoyed-her-return/")
                              self.names.append("CastingCouchHD--Ameena--Exotic-and-a-killer-body")
                              self.urls.append("https://hdporn92.com/castingcouchhd-ameena-exotic-and-a-killer-body/")
                              self.names.append("CastingCouchHD--Veronica--Perfect-perky-tits-on-this-white-girl")
                              self.urls.append("https://hdporn92.com/castingcouchhd-veronica-perfect-perky-tits-on-this-white-girl/")
                              self.names.append("CastingCouchHD--Blaire--She-Says-She-Would-Do-Anything")
                              self.urls.append("https://hdporn92.com/castingcouchhd-blaire-she-says-she-would-do-anything/")
                              self.names.append("CastingCouchHD--Quinn-Waters--Long-Time-No-See")
                              self.urls.append("https://hdporn92.com/castingcouchhd-quinn-waters-long-time-no-see/")
                              self.names.append("CastingCouchHD--Molly---yr-old-experiences-some-firsts")
                              self.urls.append("https://hdporn92.com/castingcouchhd-molly--yr-old-experiences-some-firsts/")
                              self.names.append("CastingCouchHD--Chanel-Brooks--Big-Butt-Meets-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-chanel-brooks-big-butt-meets-bbc/")
                              self.names.append("CastingCouchHD--Jasmine--PAWG-Surfer-Takes-First-BBC")
                              self.urls.append("https://hdporn92.com/castingcouchhd-jasmine-pawg-surfer-takes-first-bbc/")
                              self.names.append("CastingCouchHD--Eve--Black-girl-with-a-PERFECT-ass")
                              self.urls.append("https://hdporn92.com/castingcouchhd-eve-black-girl-with-a-perfect-ass/")
                              self.names.append("CastingCouchHD--Madison--Pale-Skin-PAWG-Goes-For-It")
                              self.urls.append("https://hdporn92.com/castingcouchhd-madison-pale-skin-pawg-goes-for-it/")
                              self.names.append("CastingCouchHD--Savannah--Sweet-Girl-Forgot-About-Her-Boyfriend")
                              self.urls.append("https://hdporn92.com/castingcouchhd-savannah-sweet-girl-forgot-about-her-boyfriend/")
                              self.names.append("CastingCouchHD--Violet--Surprise")
                              self.urls.append("https://hdporn92.com/castingcouchhd-violet-surprise/")
                              self.names.append("CastingCouchHD--Sotchi--She-is-Saving-Her-Pussy")
                              self.urls.append("https://hdporn92.com/castingcouchhd-sotchi-she-is-saving-her-pussy/")
                              self.names.append("CastingCouchHD--Mina--She-Really-Wanted-To-Meet-The-Artist")
                              self.urls.append("https://hdporn92.com/castingcouchhd-mina-she-really-wanted-to-meet-the-artist/")
                              self.names.append("CastingCouchHD--Lily--Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lily-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Mina--Omg-the-latest-CCHD")
                              self.urls.append("https://hdporn92.com/castingcouchhd-mina-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Valentina--Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-valentina-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Belle--Omg-the-latest-CCHD")
                              self.urls.append("https://hdporn92.com/castingcouchhd-belle-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Crystal--Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-crystal-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Bambi--Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-bambi-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Harley---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-harley-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Valentina---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-valentina-omg-the-latest-cchd-/")
                              self.names.append("CastingCouchHD---Maxies-Audition")
                              self.urls.append("https://hdporn92.com/castingcouchhd-maxies-audition/")
                              self.names.append("CastingCouchHD--Crystal---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-crystal-omg-the-latest-cchd-/")
                              self.names.append("CastingCouchHD--Emily--Addis---OMG-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-emily-addis-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Lexi---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-lexi-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Maxie--Alexis---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-maxie-alexis-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Cherry---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-cherry-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--E---Audition")
                              self.urls.append("https://hdporn92.com/castingcouchhd-e-es-audition/")
                              self.names.append("CastingCouchHD--Violet---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-violet-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Alyson---OMG-The-Latest-CCHD")
                              self.urls.append("https://hdporn92.com/castingcouchhd-alyson-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Taki--Violet---OMG-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-taki-violet-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Ava--OMG-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-ava-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Marr---OMG-The-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-marr-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Eva---omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-eva-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--DeeDee--omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-deedee-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Tifa---Omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-tifa-omg-the-latest-cchd/")
                              self.names.append("CastingCouchHD--Violet--omg-the-latest-cchd")
                              self.urls.append("https://hdporn92.com/castingcouchhd-violet-omg-the-latest-cchd-/")
                      showlist(self.names, self["list"]) 
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               content2 = getUrl2(url, url)
               regexvideo = 'https://streamtape(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "https://streamtape" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (K HTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36' --referer 'https://streamtape.com/' '" + url + "' > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM89/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet CastingCouchHD-bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















