from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
from Tools.Directories import fileExists
import urllib2


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM90/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILM90(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM90/mylist.txt"
	              f = open(path, "w")
	              name1 = "FILM90"
	              line = "#NAME " + name1 + "\n"
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("NetVideoGirls--Sofi--The-Girl-Next-Door")
                              self.urls.append("https://hdporn92.com/netvideogirls-sofi/")                                                          
                              self.names.append("NetVideoGirls--Violet--Unemployed-Waitress")
                              self.urls.append("https://hdporn92.com/netvideogirls-violet/")
                              self.names.append("NetVideoGirls--Aria--Super-Hot-Busty-9-year-old-Aria")
                              self.urls.append("https://hdporn92.com/netvideogirls-aria-super-hot-busty-9-year-old-aria/")
                              self.names.append("NetVideoGirls--Liz--Petite-With-Great-Ass")
                              self.urls.append("https://hdporn92.com/netvideogirls-liz-petite-with-great-ass/")
                              self.names.append("NetVideoGirls--Nola--Busty-Latina-VERY-Shy")
                              self.urls.append("https://hdporn92.com/netvideogirls-nola/")
                              self.names.append("NetVideoGirls--Nala--NATURAL-Redhead")
                              self.urls.append("https://hdporn92.com/netvideogirls-nala-natural-redhead/")
                              self.names.append("NetVideoGirls--Madi--Super-Exotic-Calendar-girl")
                              self.urls.append("https://hdporn92.com/netvideogirls-madi-super-exotic-calendar-girl/")
                              self.names.append("NetVideoGirls--Luna--Insane-Body-On-This--Year-Old")
                              self.urls.append("https://hdporn92.com/netvideogirls-luna-insane-body-on-this--year-old/")
                              self.names.append("NetVideoGirls--Mandy-03-Liz--An-Audition-She-Will-Remember")
                              self.urls.append("https://hdporn92.com/netvideogirls-mandy-liz-an-audition-she-will-remember/")
                              self.names.append("NetVideoGirls--Nova--Out-of-work-Musician-in-LA")
                              self.urls.append("https://hdporn92.com/netvideogirls-nova-out-of-work-musician-in-la/")
                              self.names.append("NetVideoGirls--Honey--Sweater-Than-Honey")
                              self.urls.append("https://hdporn92.com/netvideogirls-honey-sweater-than-honey/")
                              self.names.append("NetVideoGirls--Alyssa--Shy-03-Softspoken")
                              self.urls.append("https://hdporn92.com/netvideogirls-alyssa-shy-softspoken/")
                              self.names.append("NetVideoGirls--Mila--Amazing-Brunette-With-A-Perfect-Body")
                              self.urls.append("https://hdporn92.com/netvideogirls-mila-amazing-brunette-with-a-perfect-body/")
                              self.names.append("NetVideoGirls--Nicole--Out-Of-Work-Hottie")
                              self.urls.append("https://hdporn92.com/netvideogirls-nicole-out-of-work-hottie/")
                              self.names.append("NetVideoGirls--Big-Tits-College-Girl-Octavia")
                              self.urls.append("https://hdporn92.com/netvideogirls-big-tits-college-girl-octavia/")
                              self.names.append("NetVideoGirls--Mella--Confident--Year-Old")
                              self.urls.append("https://hdporn92.com/netvideogirls-mella-confident--year-old/")
                              self.names.append("NetVideoGirls--Scarlet--Cute-Teen-Redhead--Scarlet7s-Audition")
                              self.urls.append("https://hdporn92.com/netvideogirls-scarlet-cute-teen-redhead-scarlets-audition/")
                              self.names.append("NetVideoGirls--Kacey--Anal-With-A-Stranger")
                              self.urls.append("https://hdporn92.com/netvideogirls-kacey-anal-with-a-stranger/")
                              self.names.append("NetVideoGirls--Nina--Gorgeous-brunette-trying-new-things")
                              self.urls.append("https://hdporn92.com/netvideogirls-nina-gorgeous-brunette-trying-new-things/")
                              self.names.append("NetVideoGirls--Charlotte--Personable-Bubbly-Adventurous30-AND-Married")
                              self.urls.append("https://hdporn92.com/netvideogirls-charlotte-personable-bubbly-adventurous-and-married/")
                              self.names.append("NetVideoGirls--Alice--Out-Of-Work-Bartender")
                              self.urls.append("https://hdporn92.com/netvideogirls-alice-out-of-work-bartender/")
                              self.names.append("NetVideoGirls--Mia--Horny-Thick-Girl")
                              self.urls.append("https://hdporn92.com/netvideogirls-mia-horny-thick-girl/")
                              self.names.append("NetVideoGirls--Cecilia--Kind-First-Timer")
                              self.urls.append("https://hdporn92.com/netvideogirls-cecilia-kind-first-timer/")
                              self.names.append("NetVideoGirls--Gia--9-yr-old-Asian-hottie-Gia")
                              self.urls.append("https://hdporn92.com/netvideogirls-gia-9-yr-old-asian-hottie-gia/")
                              self.names.append("NetVideoGirls--Kendall--Shy-sensual-and-a-cheater!")
                              self.urls.append("https://hdporn92.com/netvideogirls-kendall-shy-sensual-and-a-cheater/")
                              self.names.append("NetVideoGirls--Ava--Hardcore-Calendar-Girl")
                              self.urls.append("https://hdporn92.com/netvideogirls-ava-hardcore-calendar-girl/")
                              self.names.append("NetVideoGirls--Katie--The-Party-Girl")
                              self.urls.append("https://hdporn92.com/netvideogirls-katie-the-party-girl/")
                              self.names.append("NetVideoGirls--Jaidah--Gorgeous-Latina-Influencer")
                              self.urls.append("https://hdporn92.com/netvideogirls-jaidah-gorgeous-latina-influencer/")
                              self.names.append("NetVideoGirls--Sabrina--Horny-Girl-From-Snap")
                              self.urls.append("https://hdporn92.com/netvideogirls-sabrina-horny-girl-from-snap/")
                              self.names.append("NetVideoGirls--Angel--Full-Perky-Tits-On-This-Model")
                              self.urls.append("https://hdporn92.com/netvideogirls-angel-full-perky-tits-on-this-model/")
                              self.names.append("NetVideoGirls--Nina--Sexy-First-timer-Nina-on-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-nina-sexy-first-timer-nina-on-nvg/")
                              self.names.append("NetVideoGirls--Jamie--Long-Time-Friend")
                              self.urls.append("https://hdporn92.com/netvideogirls-jamie-long-time-friend/")
                              self.names.append("NetVideoGirls--Nolina--Voluptuous-Brunette")
                              self.urls.append("https://hdporn92.com/netvideogirls-nolina-voluptuous-brunette/")
                              self.names.append("NetVideoGirls--April--Hope-Her-BF-Doesn7t-Mind")
                              self.urls.append("https://hdporn92.com/netvideogirls-april-hope-her-bf-doesnt-mind/")
                              self.names.append("NetVideoGirls--Yelena--Unemployed-Latina-finds-a-job")
                              self.urls.append("https://hdporn92.com/netvideogirls-yelena-unemployed-latina-finds-a-job/")
                              self.names.append("NetVideoGirls--Bailey")
                              self.urls.append("https://hdporn92.com/netvideogirls-bailey/")
                              self.names.append("NetVideoGirls--Angela--Shy-and--yrs-old")
                              self.urls.append("https://hdporn92.com/netvideogirls-angela-shy-and--yrs-old/")
                              self.names.append("NetVideoGirls--Britney--0-yrs-old-reserved-at-first")
                              self.urls.append("https://hdporn92.com/netvideogirls-britney-0-yrs-old-reserved-at-first/")
                              self.names.append("NetVideoGirls--Mimi--Voluptuous-Asian-calendar-girl")
                              self.urls.append("https://hdporn92.com/netvideogirls-mimi-voluptuous-asian-calendar-girl/")
                              self.names.append("NetVideoGirls--Gianna--Busty-suspicious-waitress-in-LA")
                              self.urls.append("https://hdporn92.com/netvideogirls-gianna-busty-suspicious-waitress-in-la/")
                              self.names.append("NetVideoGirls--Avalon--Exotic-beauty-with-a-nasty-side!")
                              self.urls.append("https://hdporn92.com/netvideogirls-avalon-exotic-beauty-with-a-nasty-side/")
                              self.names.append("NetVideoGirls--Lena--A-very-unique-calendar-girl")
                              self.urls.append("https://hdporn92.com/netvideogirls-lena-a-very-unique-calendar-girl/")
                              self.names.append("NetVideoGirls--Paulina--Persistent-and-determined-Latina")
                              self.urls.append("https://hdporn92.com/netvideogirls-paulina-persistent-and-determined-latina/")
                              self.names.append("NetVideoGirls--Vivian--Auditioning-during-her-lunch-break")
                              self.urls.append("https://hdporn92.com/netvideogirls-vivian-auditioning-during-her-lunch-break/")
                              self.names.append("NetVideoGirls--Kay--Beautiful-Model-With-Amazing-tits")
                              self.urls.append("https://hdporn92.com/netvideogirls-kay-beautiful-model-with-amazing-tits/")
                              self.names.append("NetVideoGirls--Lily--Busty-Married-Lilly-out-of-work-in-LA")
                              self.urls.append("https://hdporn92.com/netvideogirls-lily-busty-married-lilly-out-of-work-in-la/")
                              self.names.append("NetVideoGirls--Vanessa--Exotic-LA-Native-is-WILD")
                              self.urls.append("https://hdporn92.com/netvideogirls-vanessa-exotic-la-native-is-wild/")
                              self.names.append("NetVideoGirls--Amber--Shy-Redhead-Tries-Something-New")
                              self.urls.append("https://hdporn92.com/netvideogirls-amber-shy-redhead-tries-something-new/")
                              self.names.append("NetVideoGirls--Sophia--Matter-of-time-before-this-nurse-cheated")
                              self.urls.append("https://hdporn92.com/netvideogirls-sophia-matter-of-time-before-this-nurse-cheated/")
                              self.names.append("NetVideoGirls--Sophia-03-Scarlett--Latina-with-a-perfect-body-ambushed!")
                              self.urls.append("https://hdporn92.com/netvideogirls-sophia-scarlett-latina-with-a-perfect-body-ambushed/")
                              self.names.append("NetVideoGirls--Mia--Outgoing-Busty-Latina-Auditions")
                              self.urls.append("https://hdporn92.com/netvideogirls-mia-outgoing-busty-latina-auditions/")
                              self.names.append("NetVideoGirls--Kennedy--Shy-nervous-and-scared-and-then30")
                              self.urls.append("https://hdporn92.com/netvideogirls-kennedy-shy-nervous-and-scared-and-then/")
                              self.names.append("NetVideoGirls--Charma--Shy-9-year-old-auditions")
                              self.urls.append("https://hdporn92.com/netvideogirls-charma-shy-9-year-old-auditions/")
                              self.names.append("NetVideoGirls--Kai--Calendar-girl-with-giant-natural-tits")
                              self.urls.append("https://hdporn92.com/netvideogirls-kai-calendar-girl-with-giant-natural-tits/")
                              self.names.append("NetVideoGirls--Stella-is-a-busty-sex-crazed-CHEATER")
                              self.urls.append("https://hdporn92.com/netvideogirls-stella-is-a-busty-sex-crazed-cheater/")
                              self.names.append("NetVideoGirls--Marie--WTF-is-this-guy-saying30")
                              self.urls.append("https://hdporn92.com/netvideogirls-marie-wtf-is-this-guy-saying/")
                              self.names.append("NetVideoGirls--Venus--Determined-Latina-trying-new-things")
                              self.urls.append("https://hdporn92.com/netvideogirls-venus-determined-latina-trying-new-things/")
                              self.names.append("NetVideoGirls--Lucy-(-Accountant-during-the-day-)-on-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-lucy-accountant-during-the-day-on-nvg/")
                              self.names.append("NetVideoGirls--Jazlyn--Hair-stylist-trying-to-make-it")
                              self.urls.append("https://hdporn92.com/netvideogirls-jazlyn-hair-stylist-trying-to-make-it/")
                              self.names.append("NetVideoGirls--Christina--Great-Body-On-This-Hot-Blonde")
                              self.urls.append("https://hdporn92.com/netvideogirls-christina-great-body-on-this-hot-blonde/")
                              self.names.append("NetVideoGirls--Lila--Hot--Year-Old-With-Perfect-Curves")
                              self.urls.append("https://hdporn92.com/netvideogirls-lila-hot--year-old-with-perfect-curves/")
                              self.names.append("NetVideoGirls--Aria---years-old-and-VERY-excited")
                              self.urls.append("https://hdporn92.com/netvideogirls-aria--years-old-and-very-excited/")
                              self.names.append("NetVideoGirls--Angelina--Gorgeous-Latina-on-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-angelina-gorgeous-latina-on-nvg/")
                              self.names.append("NetVideoGirls--Nina--Exotic-and-Easy-going")
                              self.urls.append("https://hdporn92.com/netvideogirls-nina-exotic-and-easy-going/")
                              self.names.append("NetVideoGirls--Heather--Sexy-hot-out-of-work-blonde")
                              self.urls.append("https://hdporn92.com/netvideogirls-heather-sexy-hot-out-of-work-blonde/")
                              self.names.append("NetVideoGirls--Kitt--Exotic-and-ambitious-with-a-wild-side")
                              self.urls.append("https://hdporn92.com/netvideogirls-kitt-exotic-and-ambitious-with-a-wild-side/")
                              self.names.append("NetVideoGirls--Numi--Latina-with-perfect-tits")
                              self.urls.append("https://hdporn92.com/netvideogirls-numi-latina-with-perfect-tits/")
                              self.names.append("NetVideoGirls--Anastasia--USA--Russia-0")
                              self.urls.append("https://hdporn92.com/netvideogirls-anastasia-usa--russia-0/")
                              self.names.append("NetVideoGirls--Jasmine--Skeptical-busty-newbie-on-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-jasmine-skeptical-busty-newbie-on-nvg/")
                              self.names.append("NetVideoGirls--Kira--This-Native-American-is-4-ft-0-inches-and-AMAZING!")
                              self.urls.append("https://hdporn92.com/netvideogirls-kira-this-native-american-is-4-ft-0-inches-and-amazing/")
                              self.names.append("NetVideoGirls--Armani--Insanely-hot-girl-with-big-naturals")
                              self.urls.append("https://hdporn92.com/netvideogirls-armani-insanely-hot-girl-with-big-naturals/")
                              self.names.append("NetVideoGirls--Kassandra--Asian-in-her-Calendar-Audition")
                              self.urls.append("https://hdporn92.com/netvideogirls-kassandra-asian-in-her-calendar-audition/")
                              self.names.append("NetVideoGirls--Lilith--Aspiring-9-Year-Old-Musician")
                              self.urls.append("https://hdporn92.com/netvideogirls-lilith-aspiring-9-year-old-musician/")
                              self.names.append("NetVideoGirls--Summer--Happy-to-get-laid-and-get-a-job")
                              self.urls.append("https://hdporn92.com/netvideogirls-summer-happy-to-get-laid-and-get-a-job/")
                              self.names.append("NetVideoGirls--Casi--Aerialist-puts-on-a-show")
                              self.urls.append("https://hdporn92.com/netvideogirls-casi-aerialist-puts-on-a-show/")
                              self.names.append("NetVideoGirls--Lilli--Dancer-trying-to-make-it")
                              self.urls.append("https://hdporn92.com/netvideogirls-lilli-dancer-trying-to-make-it/")
                              self.names.append("NetVideoGirls--Cece--Exotic-Model-wants-to-make-it-BIG")
                              self.urls.append("https://hdporn92.com/netvideogirls-cece-exotic-model-wants-to-make-it-big/")
                              self.names.append("NetVideoGirls--Beverly--She-was-shy-when-she-clothed30")
                              self.urls.append("https://hdporn92.com/netvideogirls-beverly-she-was-shy-when-she-clothed/")
                              self.names.append("NetVideoGirls--Ameena--Long-beach-babe-auditions")
                              self.urls.append("https://hdporn92.com/netvideogirls-ameena-long-beach-babe-auditions/")
                              self.names.append("NetVideoGirls--Molly---in-LA")
                              self.urls.append("https://hdporn92.com/netvideogirls-molly--in-la/")
                              self.names.append("NetVideoGirls--Nikki--Not-in-Arkansas-Anymore")
                              self.urls.append("https://hdporn92.com/netvideogirls-nikki-not-in-arkansas-anymore/")
                              self.names.append("NetVideoGirls--Mae--Always-the-nice-ones")
                              self.urls.append("https://hdporn92.com/netvideogirls-mae-always-the-nice-ones/")
                              self.names.append("NetVideoGirls--Sophia--She-Was-Determined-To-Get-The-Job")
                              self.urls.append("https://hdporn92.com/netvideogirls-sophia-she-was-determined-to-get-the-job/")
                              self.names.append("NetVideoGirls--Luna--Colorful-and-Stylish--Stylish-Model-Auditions")
                              self.urls.append("https://hdporn92.com/netvideogirls-luna-colorful-and-stylish-stylish-model-auditions/")
                              self.names.append("NetVideoGirls--Chanel--She-swallowed-his-energy")
                              self.urls.append("https://hdporn92.com/netvideogirls-chanel-she-swallowed-his-energy/")
                              self.names.append("NetVideoGirls--Venus--Designer-Looks")
                              self.urls.append("https://hdporn92.com/netvideogirls-venus-designer-looks/")
                              self.names.append("NetVideoGirls--Alexis--Ditzy-Big-Boob-Blonde")
                              self.urls.append("https://hdporn92.com/netvideogirls-alexis-ditzy-big-boob-blonde/")
                              self.names.append("NetVideoGirls--Reina--Wannabe-influencer-seeking-adventure")
                              self.urls.append("https://hdporn92.com/netvideogirls-reina-wannabe-influencer-seeking-adventure/")
                              self.names.append("NetVideoGirls--Josie--OC-Beach-girl-shows-her-nasty-side-in-LA")
                              self.urls.append("https://hdporn92.com/netvideogirls-josie-oc-beach-girl-shows-her-nasty-side-in-la/")
                              self.names.append("NetVideoGirls--Ari-Alectra--Chasing-Her-LA-Dreams")
                              self.urls.append("https://hdporn92.com/netvideogirls-ari-alectra-chasing-her-la-dreams/")
                              self.names.append("NetVideoGirls--Lily--All-natural-first-time-Goddess")
                              self.urls.append("https://hdporn92.com/netvideogirls-lily-all-natural-first-time-goddess/")
                              self.names.append("NetVideoGirls--Kat-is-a-Slutty-MILF-with-a-super-toned-body")
                              self.urls.append("https://hdporn92.com/netvideogirls-kat-is-a-slutty-milf-with-a-super-toned-body/")
                              self.names.append("NetVideoGirls--Mazy--Not-So-Shy-After-All")
                              self.urls.append("https://hdporn92.com/netvideogirls-mazy-not-so-shy-after-all/")
                              self.names.append("NetVideoGirls--Alice--Quite-Redhead-Craves-Fame")
                              self.urls.append("https://hdporn92.com/netvideogirls-alice-quite-redhead-craves-fame/")
                              self.names.append("NetVideoGirls--Brianna--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-brianna-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Dakota--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-dakota-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Elle--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-elle-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Mimi--Omg-the-latest-nvg")
                              self.urls.append("https://hdporn92.com/netvideogirls-mimi-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Alina--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-alina-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--August--Omg-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-august-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Mouseline--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-mouseline-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Addis---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-addis-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Lexi---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-lexi-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Cherry--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-cherry-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Misty--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-misty-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Odette--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-odette-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Nova---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-nova-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Paris---Omg-the-latest-nvg")
                              self.urls.append("https://hdporn92.com/netvideogirls-paris-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Arianna---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-arianna-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Ava---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-ava-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Zamora--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-zamora-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Karlie---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-karlie-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Violet---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-violet-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Nika--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-nika-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Bonita---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-bonita-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Charlotte--OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-charlotte-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Carter---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-carter-omg-the-latest-nvg/")
                              self.names.append("NetVideoGirls--Sarah---OMG-The-Latest-NVG")
                              self.urls.append("https://hdporn92.com/netvideogirls-sarah-omg-the-latest-nvg/")
                      showlist(self.names, self["list"]) 
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               content2 = getUrl2(url, url)
               regexvideo = 'https://streamtape(.*?)"'
               match2 = re.compile(regexvideo,re.DOTALL).findall(content2)
               print "getVideos match2=", match2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "https://streamtape" + match2[0].replace("#038;", "")
               print "getVideos url2=", url2
               url = url2.replace("", "")
               line = "curl -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (K HTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36' --referer 'https://streamtape.com/' '" + url + "' > /tmp/test/x" "\n"

               print "In bouquet line 1=", line
               f.write(line)
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.write(line)
               data = name + " ....Played"
               self.session.open(MessageBox, data, type = 1, timeout = 10)
               f.close()
               name1 = "X"
               cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILM90/mylist.sh '" + name1 + "' > /tmp/sh.txt &"
               print "sh cmd =", cmd
               os.system(cmd)
               data = "Favourites bouquet NetVideoGirls-bouquet installed. \streaming ...Play"
               self.session.open(MessageBox, data, type = 1, timeout = 5)
               self.close()
               return

    def cancel(self):
                f.close()
                name1 = "X"
                cmd = ""
                print "sh cmd =", cmd
                os.system(cmd)
                self.close()


















