# -*- coding: utf-8 -*-
from urllib2 import urlopen
from Components.MenuList import MenuList
from Components.Label import Label

from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Components.ActionMap import NumberActionMap
from Components.Input import Input
from Components.Pixmap import Pixmap
from Components.FileList import FileList
from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import *
from Screens.InfoBar import MoviePlayer, InfoBar
from Screens.Console import Console
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase
from Plugins.Plugin import PluginDescriptor
from Components.ActionMap import ActionMap
from Components.Button import Button
from Components.SelectionList import SelectionList, SelectionEntryComponent
from Components.ScrollLabel import ScrollLabel
import Components.PluginComponent
from Screens.InputBox import InputBox

from twisted.web.client import getPage, downloadPage

import os, re, traceback
from Screens.InfoBar import MoviePlayer
from enigma import eServiceReference
from enigma import eServiceCenter
from enigma import getDesktop
from Plugins.Extensions.StreamHunter.lib.Utils import RSList, showlist
# toto je nove
from Plugins.Extensions.StreamHunter.lib.MyPlayer import Player
from Tools.Directories import fileExists
import urllib2
import time


DESKHEIGHT = getDesktop(0).size().height()

cmd = "chmod 755 /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMP/mylist.sh"
os.system(cmd)

def getUrl(url):
    print "Here in client2 getUrl url =", url
    try:
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link
    except:
        return ""	

def getUrl2(url, referer):
        print "Here in client2 getUrl url =", url
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
        req.add_header('Referer', referer)
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	return link	


class FullHD(Screen):
    skin = """
                <screen position="center,center" size="1056,831" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="1050,825" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="1056,831" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;50" position="500,750" size="500,75" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="120,80" size="900,600" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="105,150" zPosition="-1" size="150,103" backgroundColor="#222222" />
			<widget name="info" position="75,712" zPosition="4" size="450,37" font="Regular;27" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,750"   zPosition="2" size="210,60" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="210,750" zPosition="2" size="210,60" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="420,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="630,525" zPosition="2" size="210,60" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="210,750" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="420,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="630,525" size="210,60" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;30" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


class HD(Screen):
    skin = """
		<screen position="center,center" size="704,554" title="StreamHunter" flags="wfNoBorder" backgroundColor="transparent">
                <eLabel position="center,center" zPosition="1" size="700,550" backgroundColor="#000000" /> 
                <eLabel position="center,center" zPosition="-1" size="704,554" backgroundColor="#ffffff" /> 

                        <eLabel text="StreamHunter" font="Regular;33" position="333,500" size="333,50" zPosition="4" halign="center"  foregroundColor="blue" backgroundColor="#000000" transparent="1"/> 

			<widget name="list" position="80,53" size="600,400" zPosition="4" scrollbarMode="showOnDemand" />
			<eLabel position="70,100" zPosition="-1" size="100,68" backgroundColor="#222222" />
			<widget name="info" position="50,474" zPosition="4" size="300,24" font="Regular;18" foregroundColor="#ffffff" transparent="1" halign="center" valign="center" />
		        <ePixmap name="red"    position="0,500"   zPosition="2" size="140,40" pixmap="skin_default/buttons/red.png" transparent="1" alphatest="on" />
	                <ePixmap name="green"  position="140,500" zPosition="2" size="140,40" pixmap="skin_default/buttons/green.png" transparent="1" alphatest="on" />
	                <!--ePixmap name="yellow" position="280,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/yellow.png" transparent="1" alphatest="on" /> 
	                <ePixmap name="blue"   position="420,350" zPosition="2" size="140,40" pixmap="skin_default/buttons/blue.png" transparent="1" alphatest="on" /--> 

	                <widget name="key_red" position="0,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <widget name="key_green" position="140,500" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /> 
	                <!--widget name="key_yellow" position="280,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" />
	                <widget name="key_blue" position="420,350" size="140,40" valign="center" halign="center" zPosition="4"  foregroundColor="#ffffff" font="Regular;20" transparent="1" shadowColor="#25062748" shadowOffset="-2,-2" /-->
                </screen>"""


f = ""

class FILMP(Screen):

    def __init__(self, session, name, url):
                if DESKHEIGHT > 1000:
		       self.skin = FullHD.skin
		else:
                       self.skin = HD.skin
		Screen.__init__(self, session)

#        	self["list"] = MenuList([])
        	#############################################                
		self.list = []                
#                self["list"] = List(self.list)
                self["list"] = RSList([])
                #############################################
		self["info"] = Label()
		self["key_red"] = Button(_("Exit"))
		self["key_green"] = Button(_("Select"))
                self["setupActions"] = ActionMap(["SetupActions", "ColorActions", "TimerEditActions"],
		{
			"red": self.cancel,
			"green": self.okClicked,
			"cancel": self.cancel,
			"ok": self.okClicked,
		}, -2)
                self.name = name
                self.url = url
                self["info"].setText("Please select favourite channel for bouquet")
                self.srefOld = self.session.nav.getCurrentlyPlayingServiceReference()
                self.onLayoutFinish.append(self.openTest)

    def openTest(self):

                      self.names = []
	              self.urls = []
	              
	              global f
	              path = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMP/mylist.txt"
	              f = open(path, "w")
	              name1 = ""
	              line = ""
                      print "In bouquet line =", line
                      f.write(line)
                      content = getUrl(self.url)
	              print "content =", content
	              
                      link = ''
                      dotall = re.DOTALL
                      
	              regexcat = 'content="width=device-width, initial-scale=1"> <title>(.*?) -.*?<link rel="canonical" href="(.*?)"'  
                      match = re.compile(regexcat,re.DOTALL).findall(content)
                      print "match =", match
                      self.urls = []
                      self.names = []
                      for url, name in match:
	                      self.names.append("ČT 1 HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021879&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("ČT 2 HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021880&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("ČT 24")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021881&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("Nova SPORT 1 HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021852&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Nova SPORT 2")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021869&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("Nova HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021851&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Nova Cinema HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021850&extension=ts&play_token=2kjYZqk6Jo:cz:") 
                              self.names.append("Nova Action HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021849&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Nova Fun HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021868&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("Nova International")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021843&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Nova Gold")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021867&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("Prima Paramount")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021860&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Prima MAX HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021859&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Prima ZOOM HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021858&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Prima HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021857&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Prima Love HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021856&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Prima Cool HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021853&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Prima Krimi HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021854&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("TV JOJ HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021797&extension=ts&play_token=ohhNxZ3Oep:slov:") 
                              self.names.append("Dajto HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021793&extension=ts&play_token=ohhNxZ3Oep:slov:")
                              self.names.append("HBO HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021889&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("HBO 2")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021841&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("HBO 3")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021842&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Film+")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021838&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("AXN")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021871&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Cinemax")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021885&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Cinemax 2")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021836&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Filmbox")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021864&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("Filmbox Family")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021887&extension=ts&play_token=ohhNxZ3Oep:cz:") 
                              self.names.append("Filmbox Stars")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021840&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Filmbox Premium")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021839&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Film Europe")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021837&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Minimax")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021870&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Šlágr Premium")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021834&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append(" Šlágr2")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021848&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("National Geographic")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021832&extension=ts&play_token=ohhNxZ3Oep:cz:")
                              self.names.append("Vixen HD")
                              self.urls.append("http://new.ivue.co:25461/play/live.php?mac=00:1A:79:46:68:C4&stream=1021916&extension=ts&play_token=rMchuUsKGN:cz:")                         
                      showlist(self.names, self["list"])
           

    def okClicked(self):
	   idx = self["list"].getSelectionIndex()
           if idx is None:
                  return
           else:
                  name = self.names[idx]
                  url = self.urls[idx]
                  line = "" + url + "\n"
                  self.BQwrite(name, url)
                  
                  
#    def cancel(self):
#                Screen.close(self, False)

    def BQwrite(self, name, url):
               print "getVideos url 1=", url
               link = ''
               content2 = []
               match2 = []
               print "getVideos match2=", match2
               cmd = "echo 'FILMP' > /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMP/mylist.txt"
               os.system(cmd)    
               

#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088///embedlive.flexmmp.com/live/livestream.php?ch=tv8&#038;id=2
#SERVICE 5002:0:1:1:0:0:0:0:0:0:http%3a//127.0.0.1%3a8088/https%3a//embedlive.flexmmp.com/live/livestream.php?ch=tv8&id=2
               
               url2 = "" 
               print "getVideos url2=", url2
               cmd = "echo  '#SERVICE 4097:0:1:1:0:0:0:0:0:0:''" + url + "' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMP/mylist.txt"
               os.system(cmd)
               line = "" + url + "\n"
               cmd = "echo '#DESCRIPTION ''" + name + "'' ' >> /usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMP/mylist.txt"
               os.system(cmd)   
               print "In bouquet line 1=", line
               line = "#DESCRIPTION " + name + "\n"
               print "In bouquet line 2=", line
               f.close()
               name1 = "X"                     
               Player(self.session).play(name, [{'title':name + " ***", 'url':url}])                         
               return

    def cancel(self):
                cmd = "/usr/lib/enigma2/python/Plugins/Extensions/StreamHunter/FILMP/mylist.sh >>/dev/null 2>&1 </dev/null & disown"
                os.system(cmd)
                cmd = "wget -q -O - http://127.0.0.1/web/servicelistreload?mode=2 >>/dev/null 2>&1 </dev/null & disown"  
                os.system(cmd)   
                f.close()
                self.close()


















